<?php
return array(
    "name"              => esc_html__("Animated Letters", 'qonspt'),
    "base"              => "wst_letters",
    'category'          => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    "content_element"   => true,
    'icon'              => 'no-bg stline-font-size',
    "params"            => array(
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Letters Animation", 'qonspt'),
            "param_name"        => "in_anims",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "value"     => array(
                esc_html__( "Bounce Up", 'qonspt' )             => "fx1",
                esc_html__( "Slide From Right", 'qonspt' )      => "fx2",
                esc_html__( "Fade Up Down", 'qonspt' )          => "fx3",
                esc_html__( "Rotate Up Down", 'qonspt' )        => "fx4",
                esc_html__( "Slide Down Rotate", 'qonspt' )     => "fx5",
                esc_html__( "Fast Up Down", 'qonspt' )          => "fx6",
                esc_html__( "Swipe Up", 'qonspt' )              => "fx7",
                esc_html__( "Swipe Down", 'qonspt' )            => "fx8",
                esc_html__( "Small Rotate", 'qonspt' )          => "fx9",
                esc_html__( "Rotate Left", 'qonspt' )           => "fx10",
                esc_html__( "Flip Left", 'qonspt' )             => "fx11",
                esc_html__( "Swing Left", 'qonspt' )            => "fx12",
                esc_html__( "Fade Up", 'qonspt' )               => "fx13",
                esc_html__( "Wave To Top", 'qonspt' )           => "fx14",
                esc_html__( "Rotate Letter", 'qonspt' )         => "fx15",
                esc_html__( "Fall Short From Top", 'qonspt' )   => "fx16",
                esc_html__( "Colored Background", 'qonspt' )    => "fx17",
                esc_html__( "Fall Long From Top", 'qonspt' )    => "fx18",
            ),  
         ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Align', 'qonspt' ),
            'param_name'        => 'let_align',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-6',
            'value'     => array(
                esc_html__( 'Left', 'qonspt' )      => '',
                esc_html__( 'Center', 'qonspt' )    => 'center',
                esc_html__( 'Right', 'qonspt' )     => 'right',
            ),
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Extra class name", "qonspt"),
            "param_name"    => "el_class",
            "description"   => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        ),
        array(
            'type'                  => 'param_group',
            'heading'               => esc_html__('Content', 'qonspt'),
            'param_name'            => 'letters_txts',
            'value'     => urlencode( json_encode( array(
                array(
                    'letters_txt'   => 'Looks so Good on the Outside.',
                    'lett_color'    => ''
                ),
                array(
                    'letters_txt'   => 'It will Make You Feel Good Inside.',
                    'lett_color'    => ''
                ),
            ) ) ),
            'params'    => array(
                array(
                    'type'          => 'textfield',
                    'heading'       => esc_html__( 'Label', 'qonspt' ),
                    'param_name'    => 'letters_txt',
                    'description'   => esc_html__( 'Enter text used as animated letters.', 'qonspt' ),
                    'admin_label'   => true,
                ),array(
                    "type"          => "colorpicker",
                    "heading"       => esc_html__("Color", "qonspt"),
                    "param_name"    => "lett_color",
                )
            ),
            'group'                 => 'Content',
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Tag",'qonspt'),
            "param_name"        => "tag",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            'group'             => 'Typography',
            "value"             => array(
                'H1' => 'h1',
                'H2' => 'h2',
                'H3' => 'h3',
                'H4' => 'h4',
                'H5' => 'h5',
                'H6' => 'h6',
            ),
            "std"  => 'h3'
        ),array(
            'type'              => 'wst_google_fonts',
            'heading'           => esc_html__( 'Font Family', 'qonspt' ),
            'param_name'        => 'family',
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => 'Typography',
        ),array(
            'type'              => 'label',
            'heading'           => 'Grumpy wizards make toxic brew for the evil Queen and Jack.',
            'param_name'        => 'gfont',
            'group'             => 'Typography',
            'edit_field_class'  => 'gfonts',
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Font Size (px)', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'size',
            'group'             => 'Typography',
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', 'qonspt' ),
            'param_name'        => 'weight',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => 'Typography',
            'value'             => array(
                esc_html__( '-- Select --', 'qonspt' ) => '',
                esc_html__( 'normal', 'qonspt' )    => 'normal',
                esc_html__( 'bold', 'qonspt' )      => 'bold',
                esc_html__( 'lighter', 'qonspt' )   => 'lighter',
                esc_html__( 'bolder', 'qonspt' )    => 'bolder',
                '100'                              => '100',
                '200'                              => '200',
                '300'                              => '300',
                '400'                              => '400',
                '500'                              => '500',
                '600'                              => '600',
                '700'                              => '700',
                '800'                              => '800',
                '900'                              => '900',
                esc_html__( 'inherit', 'qonspt' )   => 'inherit'
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Letter Spacing (px)", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            'group'             => 'Typography',
            "param_name"        => "lett_spacing",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Line Height (px)", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            'group'             => 'Typography',
            "param_name"        => "let_lin_height",
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Font Style', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop text-right',
            "param_name"        => "f_st",
            'group'             => 'Typography',
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( '<i>Italic</i>', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-1',
            'param_name'        => 'let_italic',
            'group'             => 'Typography',
            'value'             => array(
                '' => '1',
            ),
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( '<u>Underline</u>', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-1',
            'param_name'        => 'let_underline',
            'group'             => 'Typography',
            'value'             => array(
                '' => '1',
            ),
        ),
    )
);