<?php
return array(
    "name"          => esc_html__("Blog Posts", "qonspt"),
    "base"          => "wst_blog",
    'category'      => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'icon'          => 'no-bg stline-book-close',
    'description'   => esc_html__( 'Add Blog Posts To Page', 'qonspt' ),
    "params" => array(
        array(
            "type"              => "wst_multiselect",
            "heading"           => esc_html__("Category",'qonspt'),
            "param_name"        => "wst_category",
            "value"             => wst_dropdown_cats(),
            "description"       => esc_html__("type the post category.",'qonspt')
         ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Execlude Posts",'qonspt'),
            "param_name"        => "posts_exec",
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            "description"       => esc_html__("Enter post ID to be execluded (separate each id with comma).",'qonspt')
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Blog Style",'qonspt'),
            "param_name"        => "blog_style",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-8',
            "value"             => array(
                esc_html__( 'Large Image','qonspt')   => 'large-image',
                esc_html__( 'Side Image','qonspt')    => 'small-image',
                esc_html__( 'Blog Grid','qonspt')     => 'grid',
                esc_html__( 'Blog Masonry','qonspt')  => 'masonry',
            ),
            "description"       => esc_html__("Select the Blog Style.",'qonspt'),
            "std"               => 'lg-image'
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Max. Number of words", "qonspt"),
            "param_name"        => "max_words",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-4',
            'value'             => '40',
            "description"       => esc_html__("Enter -1 to disable this.", "qonspt"),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Coulmns",'qonspt'),
            "param_name"        => "blog_cols",
            "value" => array(
                esc_html__( '2 Columns','qonspt') => '6',
                esc_html__( '3 Columns','qonspt') => '4',
                esc_html__( '4 Columns','qonspt') => '3',
            ),
            'dependency'        => array(
                'element'   => 'blog_style',
                'value'     => array('grid','masonry')
            ),                              
            "description"       => esc_html__("select how many coulmns.",'qonspt'),
            "std"               => '4'
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Image Size",'qonspt'),
            "param_name"        => "img_size",    
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "value"             => wst_get_image_sizes(),
            "description"       => esc_html__("select the image size.",'qonspt'),
            "std"               => 'large'
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Posts Per Page",'qonspt'),
            "param_name"        => "posts_per_page",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "std"               => '10',
            "description"       => esc_html__("Number of posts shown per page.",'qonspt')
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Pager Type",'qonspt'),
            "param_name"        => "pager_type",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            "value"             => array(
                esc_html__( 'Numeric','qonspt')       => '1',
                esc_html__( 'Older - Newer','qonspt') => '2',
                esc_html__( 'Load More','qonspt')     => '3'
            ),                           
            "description"       => esc_html__("select the pager type.",'qonspt'),
            "std"               => '1'
         ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Load More Text",'qonspt'),
            "param_name"        => "load_txt",
            'dependency'        => array(
                'element'   => 'pager_type',
                'value'     => '3'
            ),                              
            "description"       => esc_html__("Text to be shown on load more button.",'qonspt'),
            "std"               => 'Load More'
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Pager Position",'qonspt'),
            "param_name"        => "pg_pos",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "value"             => array(
                esc_html__( 'Center','qonspt') => 'centered',
                esc_html__( 'Left','qonspt')   => 'left',
                esc_html__( 'Right','qonspt')  => 'right',
            ),
            'dependency'        => array(
                'element'   => 'pager_type',
                'value'     => array('1')
            ),                              
            "description"       => esc_html__("select Pager Position.",'qonspt'),
            "std"               => 'centered'
         ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Post Media', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'show_media',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1',
            "description"       => esc_html__("Show post Media.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Date', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'show_date',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1',
            "description"       => esc_html__("Show post date.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Title', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'show_title',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1',
            "description"       => esc_html__("Show post title.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Author', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'show_auth',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1',
            "description"       => esc_html__("Show post Author.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Post Meta', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'show_meta',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1',
            "description"       => esc_html__("Show post meta.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Content', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'show_except',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1',
            "description"       => esc_html__("Show post excerpt.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Social Share', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'show_socials',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1',
            "description"       => esc_html__("Show Social Sharing icons.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Read More', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'show_more',
            'value'             => array(
                '' => '1',
            ),
            "description"       => esc_html__("Show Read more button.",'qonspt'),
        ),array(
            "type"          => "textfield",
            "heading"       => esc_html__("Read More Text",'qonspt'),
            "param_name"    => "mor_txt",
            "std"           => "Read More", 
            'dependency'    => array(
                'element'   => 'show_more', 
                'not_empty' => true
            ),
        ),array(
            "type"          => "textfield",
            "heading"       => esc_html__("Extra class name", "qonspt"),
            "param_name"    => "el_class",
            "description"   => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        ),
    )
);
    