<?php
return array(
    "name"              => esc_html__("Button", "qonspt"),
    "base"              => "wst_btn",
    'category'          => esc_html__( 'Qonspt Shortcodes', "qonspt" ),
    'description'       => esc_html__( 'Eye catching button', "qonspt" ),
    "content_element"   => true,
    'icon'              => 'no-bg fa fa-bold',
    "params"            => array(
        array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Button Size', "qonspt" ),
            'param_name'        => 'btn_size',
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-4',
            'std'               => 'btn-md',
            'value'             => array(
                  esc_html__( 'Small', 'qonspt' )      => 'btn-sm',
                  esc_html__( 'Medium', 'qonspt' )     => 'btn-md',
                  esc_html__( 'Large', 'qonspt' )      => 'btn-lg',
                  esc_html__( 'Custom', 'qonspt' )     => 'custom',
            ),
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Button Shape', "qonspt" ),
            'param_name'        => 'btn_shape',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'value'             => array(
                  esc_html__( 'Square', 'qonspt' )     => '',
                  esc_html__( 'Rounded', 'qonspt' )    => 'rounded',
                  esc_html__( 'Round', 'qonspt' )      => 'round',
            ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Add Icon', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'use_icon',
            'value'             => array(
                '' => '1',
            ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Skew ?', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'param_name'        => 'skew_btn',
            'value'             => array(
                '' => '1',
            ),
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Font Size (px)', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'size',
            'dependency'        => array( 'element' => 'btn_size','value' => 'custom' ),
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Letter Spacing (px)', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'letter_spacing',
            'dependency'        => array( 'element' => 'btn_size','value' => 'custom' ),
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', "qonspt" ),
            'param_name'        => 'font_weight',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'btn_size','value' => 'custom' ),
            'value'             => array(
                esc_html__( '-- Select --','qonspt')  => '',
                esc_html__( 'normal','qonspt')        => 'normal',
                esc_html__( 'bold','qonspt')          => 'bold',
                esc_html__( 'lighter','qonspt')       => 'lighter',
                esc_html__( 'bolder','qonspt')        => 'bolder',
                '100'           => '100',
                '200'           => '200',
                '300'           => '300',
                '400'           => '400',
                '500'           => '500',
                '600'           => '600',
                '700'           => '700',
                '800'           => '800',
                '900'           => '900',
                esc_html__( 'inherit','qonspt')       => 'inherit'
            ),
        ),array(
            "type"              => "label",
            "heading"           => 'Padding (px)',
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop nowrp',
            'dependency'        => array( 'element' => 'btn_size','value' => 'custom' ),
            "param_name"        => "mr_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            'dependency'        => array( 'element' => 'btn_size','value' => 'custom' ),
            "param_name"        => "padd_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            'dependency'        => array( 'element' => 'btn_size','value' => 'custom' ),
            "param_name"        => "padd_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            'dependency'        => array( 'element' => 'btn_size','value' => 'custom' ),
            "param_name"        => "padd_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            'dependency'        => array( 'element' => 'btn_size','value' => 'custom' ),
            "param_name"        => "padd_left",
        ),array(
            "type"              => "label",
            "heading"           => '',
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop nowrp',
            'dependency'        => array( 'element' => 'btn_size','value' => 'custom' ),
            "param_name"        => "mr_lblss",
        ),array(
            "type"              => "vc_link",
            "heading"           => "Link",
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            "param_name"        => "link",  
        ),
        array(
            "type"          => "textarea_html",
            "heading"       => esc_html__( "Text",'qonspt'),
            "param_name"    => "content",
            "std"           => "BUTTON TEXT",
        ),
        array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Background Type', "qonspt" ),
            'param_name'        => 'bg_main',
            'edit_field_class'  => 'select_bxs lg-items vc_column vc_col-xs-8',
            'value'             => array(
                  esc_html__( 'Color', 'qonspt' )      => 'color',
                  esc_html__( 'Gradient', 'qonspt' )   => 'gradient',
            ),
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Box Shadow', "qonspt" ),
            'param_name'        => 'idl_shad',
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'value'             => array(
                '' => '1',
            )
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Color', "qonspt" ),
            'param_name'        => 'bg_color',
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            "std"               => "#f20c53",
            'dependency'        => array('element' => 'bg_main','value' => array('color'),),
        ),
        array(
            'type'              => 'gradientpicker',
            'heading'           => esc_html__( 'Gradient', "qonspt" ),
            'param_name'        => 'bg_grad',
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'dependency'        => array('element'   => 'bg_main','value' => 'gradient',),
        ),
        array(
            "type"              => "label",
            "heading"           => esc_html__( 'Shadow Properties (px)','qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop',
            "param_name"        => "shd_lbl1",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("X-axis", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad1",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Y-axis", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad2",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Blur", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad3",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Spread", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad4",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Shadow Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-5',
            "param_name"        => "shd_color",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),
        array(
            "type"              => "label",
            "heading"           => esc_html__( 'Border Width (px)','qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop',
            "param_name"        => "bord_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "param_name"        => "bord_bottom",
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_left",
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "border_color",
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style","qonspt"),
            "param_name"        => "bord_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value"             => array(
                esc_html__( "None",'qonspt')    => "none",
                esc_html__( "Solid",'qonspt')   => "solid",
                esc_html__( "Dashed",'qonspt')  => "dashed",
                esc_html__( "Dotted",'qonspt')  => "dotted",
                esc_html__( "Double",'qonspt')  => "double",
            ),
        ),array(
            "type"              => "label",
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input',
            "param_name"        => "bord_lbl2",
        ),array(
            'type'              => 'dropdown',
            'heading'           => __( 'Hover Animation', "qonspt" ),
            'param_name'        => 'btn_anim',
            'group'             => esc_html__( 'Hover','qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'value'             => array(
                  esc_html__( 'None', 'qonspt' )        => '',
                  esc_html__( 'Scale Large', 'qonspt' ) => 'animate1',
                  esc_html__( 'Light Glow', 'qonspt' )    => 'animate2',
                  esc_html__( 'Scale Fade', 'qonspt' )   => 'animate3',
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Y Position", "qonspt"),
            "group"             => esc_html__( "Hover",'qonspt'),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            "param_name"        => "y_pos",
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "hover_color",
            "group"             => esc_html__( "Hover",'qonspt')
        ),
        array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Background', "qonspt" ),
            'param_name'        => 'hover_bg_main',
            'edit_field_class'  => 'select_bxs lg-items vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Hover','qonspt'),
            'value'             => array(
                  esc_html__( 'Color', 'qonspt' )      => 'color',
                  esc_html__( 'Gradient', 'qonspt' )   => 'gradient',
            ),    
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Box Shadow', "qonspt" ),
            'param_name'        => 'hover_shad',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Hover','qonspt'), 
            'value'             => array(
                '' => '1',
            )
        ),array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Color', "qonspt" ),
            'param_name'        => 'hover_bg_color',
            'std'               => '',
            'group'             => esc_html__( 'Hover','qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'dependency'        => array('element' => 'hover_bg_main','value' => array('color')),
        ),
        array(
            'type'              => 'gradientpicker',
            'heading'           => esc_html__( 'Gradient', "qonspt" ),
            'param_name'        => 'hover_bg_grad',
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'group'             => esc_html__( 'Hover','qonspt'),
            'dependency'        => array('element' => 'hover_bg_main','value' => 'gradient'),
        ),
        array(
            "type"              => "label",
            "heading"           => esc_html__( 'Shadow Properties (px)','qonspt'),
            "group"             => esc_html__( "Hover",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop',
            "param_name"        => "shd_lbl",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("X-axis", "qonspt"),
            "group"             => esc_html__( "Hover",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shd1",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Y-axis", "qonspt"),
            "group"             => esc_html__( "Hover",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shd2",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Blur", "qonspt"),
            "group"             => esc_html__( "Hover",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shd3",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Spread", "qonspt"),
            "group"             => esc_html__( "Hover",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shd4",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Shadow Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-5',
            "param_name"        => "hover_shd_color",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
            "group"             => esc_html__( "Hover",'qonspt')
        ),
        array(
            "type"              => "label",
            "heading"           => esc_html__( 'Border Width (px)','qonspt'),
            "group"             => esc_html__( "Hover",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "bord_hov_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "group"             => esc_html__( "Hover",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_bord_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "group"             => esc_html__( "Hover",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_bord_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "group"             => esc_html__( "Hover",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_bord_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "group"             => esc_html__( "Hover",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_bord_left",
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "hover_border_color",
            "group"             => esc_html__( "Hover",'qonspt')
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style","qonspt"),
            "param_name"        => "hover_bord_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Hover",'qonspt'), 
            "value"             => array(
                esc_html__( "None",'qonspt')     => "none",
                esc_html__( "Solid",'qonspt')    => "solid",
                esc_html__( "Dashed",'qonspt')   => "dashed",
                esc_html__( "Dotted",'qonspt')   => "dotted",
                esc_html__( "Double",'qonspt')   => "double",
            ),
        ),
        array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Icon", "qonspt"),
            "param_name"        => "icon_param",
            "group"             => esc_html__( 'Icon','qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Icon Position","qonspt"),
            "param_name"        => "icon_align",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__("Icon" ,'qonspt'), 
            "value"             => array(
                esc_html__( "Left",'qonspt')    => "",
                esc_html__( "Right",'qonspt')   => "right",
            ),
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (PX)", "qonspt"),
            "group"             => esc_html__( "Icon",'qonspt'),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            "param_name"        => "icon_size",
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Padding (PX)", "qonspt"),
            "group"             => esc_html__( "Icon",'qonspt'),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            "param_name"        => "icon_padd",
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Radius (PX)", "qonspt"),
            "group"             => esc_html__( "Icon",'qonspt'),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            "param_name"        => "icon_radius",
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color","qonspt"),
            "param_name"        => "icon_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon",'qonspt')
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color","qonspt"),
            "param_name"        => "icon_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon",'qonspt')
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color","qonspt"),
            "param_name"        => "icon_border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon",'qonspt')
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color","qonspt"),
            "param_name"        => "icon_color_hover",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon",'qonspt')
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Background Color","qonspt"),
            "param_name"        => "icon_bg_hover",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon",'qonspt')
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover border Color","qonspt"),
            "param_name"        => "icon_border_hover",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon",'qonspt')
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),
        
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Element ID", "qonspt"),
            "param_name"        => "el_id",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "description"       => esc_html__("Enter element ID (Note: make sure it is unique and valid according to w3c specification).", "qonspt"),
        ),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt"),
        ),
    )
);
    
