<?php
return array(
    "name"                      => esc_html__("Carousel Slider", "qonspt"),
    "base"                      => "wst_carousel",   
    'category'                  => esc_html__( 'Qonspt Shortcodes', "qonspt" ),
    'icon'                      => 'no-bg stline-layout-array-1',
    'description'               => esc_html__( 'container to show list of carousel slides', "qonspt" ),
    "content_element"           => true,
    "is_container"              => true,
    "show_settings_on_create"   => true,
    "params" => array(
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Type",'qonspt'),
            "param_name"        => "v_type",      
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value"             => array(
                esc_html__( 'Horizontal','qonspt') => 'horizontal',
                esc_html__( 'Vertical','qonspt') => 'vertical',
            )
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Cursor",'qonspt'),
            "param_name"        => "v_cursor",      
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value"             => array(
                esc_html__( 'Default','qonspt')   => '',
                esc_html__( 'Grab','qonspt')      => 'grab',
                esc_html__( 'Pointer','qonspt')   => 'pointer',
                esc_html__( 'Move','qonspt')      => 'move',
                esc_html__( 'Help','qonspt')      => 'help',
                esc_html__( 'Resize','qonspt')    => 'e-resizr',
                esc_html__( 'Progress','qonspt')  => 'progress',
            )
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Slides to show", "qonspt"),
            "param_name"        => "v_slides",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'value'             => '1',
            "description"       => esc_html__("number of visible slides.", "qonspt")
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Slides to Scroll", "qonspt"),  
            'edit_field_class'  => 'vc_column vc_col-xs-2',   
            "param_name"        => "v_scroll",
            'value'             => '1',
            "description"       => esc_html__("No. of scrollable slides.", "qonspt")
        ),array(
            "type"              => "dropdown",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "heading"           => esc_html__("Space between slides",'qonspt'),
            "param_name"        => "gap",
            "value"             => array(
                'None' =>'0',
                '1px' =>'1px',
                '2px' =>'2px',
                '3px' =>'3px',
                '4px' =>'4px',
                '5px' =>'5px',
                '10px' =>'10px',
                '15px' =>'15px',
                '20px' =>'20px',
                '25px' =>'25px',
                '30px' =>'30px',
                '35px' =>'35px',
            ),
        ),array(
            "type"              => "checkbox",
            "heading"           => esc_html__("AutoPlay?", "qonspt"),
            "param_name"        => "v_auto",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'value'             => array(
                '' => '1',
            )
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        ),array(
            "type"              => "checkbox",
            "heading"           => esc_html__("Show Arrows?", "qonspt"),
            "param_name"        => "v_arrows",
            'group'             => esc_html__( 'Navigation','qonspt'),
            'value'             => array(
                '' => '1',
            )
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Shape",'qonspt'),
            "param_name"        => "arrow_shape",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Navigation','qonspt'),
            "value"             => array(
                esc_html__( 'Circle','qonspt') =>'circle',
                esc_html__( 'Rounded','qonspt') =>'rounded',
                esc_html__( 'Square','qonspt') =>'square',                
            ),
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Position",'qonspt'),
            "param_name"        => "arrow_pos",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Navigation','qonspt'),
            "value"             => array(
                esc_html__( 'Top Right','qonspt')     => '',
                esc_html__( 'Top Center','qonspt')    => 'top-center',
                esc_html__( 'Top Left','qonspt')      => 'top-left',
                esc_html__( 'Bottom Right','qonspt')  => 'bottom-right',
                esc_html__( 'Bottom Center','qonspt') => 'bottom-center',
                esc_html__( 'Bottom Left','qonspt')   => 'bottom-left',
                esc_html__( 'Sides','qonspt')         => 'sides',                
            ),
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Previous Icon",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "prev_icon",
            'group'             => esc_html__( 'Navigation','qonspt'),
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Next Icon",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "next_icon",
            'group'             => esc_html__( 'Navigation','qonspt'),
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "textfield",
            "heading"           => "Idle Styling",
            "group"             => esc_html__( "Navigation",'qonspt'),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "idl_lbl",
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "arrow_color",
            "group"             => esc_html__( "Navigation",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "arrow_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "group"             => esc_html__( "Navigation",'qonspt'),
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "arrow_bord_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "group"             => esc_html__( "Navigation",'qonspt'),
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Width", "qonspt"),
            "param_name"        => "arrow_bord_width",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "group"             => esc_html__( "Navigation",'qonspt'),
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Hover Styling",'qonspt'),
            "group"             => esc_html__( "Navigation",'qonspt'),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "hover_lbl",
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "arrow_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Navigation",'qonspt'),
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "arrow_hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Navigation",'qonspt'),
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "arrow_hover_bord_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Navigation",'qonspt'),
            'dependency'        => array('element' => 'v_arrows', 'not_empty' => true),
        ),array(
            "type"              => "checkbox",
            "heading"           => esc_html__("Show Bullets?", "qonspt"),
            "param_name"        => "v_dots",
            'group'             => esc_html__( 'Navigation','qonspt'),
            'value'             => array(
                '' => '1',
            )
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Bullets Style",'qonspt'),
            "param_name"        => "bullet_style",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-7',
            "value"             => array(
                esc_html__( 'Style 1','qonspt')   => '1',
                esc_html__( 'Style 2','qonspt')   => '2',
                esc_html__( 'Style 3','qonspt')   => '3',
            ),
            "group"             => esc_html__( "Navigation",'qonspt'),
            'dependency'        => array('element' => 'v_dots', 'not_empty' => true),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "bullet_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Navigation",'qonspt'),
            'dependency'        => array('element'   => 'v_dots', 'not_empty' => true),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Active Color", "qonspt"),
            "param_name"        => "act_bullet_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "group"             => esc_html__( "Navigation",'qonspt'),
            'dependency'        => array('element'   => 'v_dots', 'not_empty' => true),
        ),
    ),
    "js_view" => 'VcColumnView'
);
    
