<?php
return array(
    "name"              => esc_html__("Call to Action", "qonspt"),
    "base"              => "wst_cta",
    'category'          => esc_html__( 'Qonspt Shortcodes', "qonspt" ),
    'description'       => esc_html__( 'Catch visitors attention with CTA block', "qonspt" ),
    "content_element"   => true,
    'icon'              => 'no-bg fa fa-bullhorn',
    'params'            => array(
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Shape","qonspt"),
            "param_name"        => "cta_shape",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            "value"             => array(
                esc_html__( "Square",'qonspt')    => "square",
                esc_html__( "Rounded",'qonspt')   => "rounded",
                esc_html__( "Round",'qonspt')     => "round",
            ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Text Alignment",'qonspt'),
            "param_name"        => "cta_align",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-4',
            "value"             => array(
                esc_html__( 'Left','qonspt')      =>'left',
                esc_html__( 'Center','qonspt')    =>'center',
                esc_html__( 'Right','qonspt')     =>'right',
            ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Width",'qonspt'),
            "param_name"        => "cta_width",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "value"             => array(
                '100%'      =>'100%',
                '90%'      =>'90%',
                '80%'      =>'80%',
                '70%'      =>'70%',
                '60%'      =>'60%',
                '50%'      =>'50%',
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Box Padding (px)','qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop nowrp sm_el',
            "param_name"        => "bwdth",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_left",
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Box Margin (px)",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop text-right',
            "param_name"        => "mar_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col las_el",
            "param_name"        => "margin_left",
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Add button?",'qonspt'),
            "param_name"        => "cta_btn",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            "value"             => array(
                esc_html__( 'No','qonspt')        =>'',
                esc_html__( 'Top','qonspt')       =>'top',
                esc_html__( 'Bottom','qonspt')    =>'bottom',
                esc_html__( 'Left','qonspt')      =>'left',
                esc_html__( 'Right','qonspt')     =>'right',
            ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Add Icon?",'qonspt'),
            "param_name"        => "use_icon",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            "value" => array(
                esc_html__( 'Top','qonspt')       =>'top',
                esc_html__( 'Bottom','qonspt')    =>'bottom',
                esc_html__( 'Left','qonspt')      =>'left',
                esc_html__( 'Right','qonspt')     =>'right'
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "bg_color",
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Border Width (px)','qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop text-right',
            "param_name"        => "bwdth",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_left",
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "border_color",  
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style","qonspt"),
            "param_name"        => "cta_bord_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "std"               => "none",
            "value"             => array(
                esc_html__( "None",'qonspt')     => "none",
                esc_html__( "Solid",'qonspt')    => "solid",
                esc_html__( "Dashed",'qonspt')   => "dashed",
                esc_html__( "Dotted",'qonspt')   => "dotted",
            ),
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),    
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Element ID", "qonspt"),
            "param_name"        => "el_id",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "description"       => esc_html__("Enter element ID (Note: make sure it is unique and valid according to w3c specification).", "qonspt"),
        ),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt"),
        ),array(
            'type'              => 'textarea_html',
            'heading'           => esc_html__( 'Text', "qonspt" ),
            'param_name'        => 'content', 
            'admin_label'       => true,
            'group'             => esc_html__( 'Heading','qonspt'),
            'value'             => esc_html__( 'Hey! I am first heading line feel free to change me', "qonspt" ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Tag",'qonspt'),
            "param_name"        => "tag",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            'group'             => esc_html__( 'Heading','qonspt'),
            "value"             => array(
                'H1' =>'h1',
                'H2' =>'h2',
                'H3' =>'h3',
                'H4' =>'h4',
                'H5' =>'h5',
                'H6' =>'h6',
            ),
            "std"               => 'h3'
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Font Size (px)', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'size',
            'group'             => esc_html__( 'Heading','qonspt'),
        ),array(
            'type'              => 'wst_google_fonts',
            'heading'           => esc_html__( 'Font Family', "qonspt" ),
            'param_name'        => 'family',
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Heading','qonspt'),
        ),array(
            'type'              => 'label',
            'heading'           => esc_html__( 'Grumpy wizards make toxic brew for the evil Queen and Jack.', "qonspt" ),
            'param_name'        => 'gfont',
            'group'             => esc_html__( 'Heading','qonspt'),
            'edit_field_class'  => 'gfonts',
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', "qonspt" ),
            'param_name'        => 'weight',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Heading','qonspt'),
            'value'             => array(
                esc_html__('-- Select --' ,'qonspt') => '',
                esc_html__( 'normal','qonspt') => 'normal',
                esc_html__( 'bold','qonspt') => 'bold',
                esc_html__( 'lighter','qonspt') => 'lighter',
                esc_html__( 'bolder','qonspt') => 'bolder',
                '100' => '100',
                '200' => '200',
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
                '900' => '900',
                esc_html__( 'inherit','qonspt') => 'inherit'
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Letter Spacing (px)", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            'group'             => esc_html__( 'Heading','qonspt'),
            "param_name"        => "hd_lett_spacing",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Line Height (px)", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            'group'             => esc_html__( 'Heading','qonspt'),
            "param_name"        => "hd_lin_height",
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( '<u>Underline</u>', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Heading','qonspt'),
            'param_name'        => 'hd_b_underline',
            'value'             => array(
                '' => '1',
            ),
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Margin Top (px)", "qonspt"),
            'group'             => esc_html__( 'Heading','qonspt'),
            "edit_field_class"  => "vc_col-xs-2 sm_col",
            "param_name"        => "hd_marg_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Margin Bottom (px)", "qonspt"),
            'group'             => esc_html__( 'Heading','qonspt'),
            "edit_field_class"  => "vc_col-xs-2 sm_col",
            "param_name"        => "hd_marg_bottom",
        ),array(
            'type'              => 'textarea',
            'heading'           => esc_html__( 'Text', "qonspt" ),
            'param_name'        => 'sub_text',
            'admin_label'       => true,
            'std'               => 'I am promo text. Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
            'group'             => esc_html__( 'Text','qonspt'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Margin Top (px)", "qonspt"),
            'group'             => esc_html__( 'Text','qonspt'),
            "edit_field_class"  => "vc_col-xs-2 sm_col",
            "param_name"        => "sub_marg_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Margin Bottom (px)", "qonspt"),
            'group'             => esc_html__( 'Text','qonspt'),
            "edit_field_class"  => "vc_col-xs-2 sm_col",
            "param_name"        => "sub_marg_bottom",
        ),array(
            'type'              => 'numberfield',
            'heading'           => '',
            'param_name'        => 'sss',
            "edit_field_class"  => "vc_column vc_col-xs-2 no-input",
            'group'             => esc_html__( 'Text','qonspt'),
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Font Size (px)', "qonspt" ),
            'param_name'        => 'sub_size',
            "edit_field_class"  => "vc_column vc_col-xs-2",
            'group'             => esc_html__( 'Text','qonspt'),
            'std'               => '15'
        ),array(
            'type'              => 'wst_google_fonts',
            'heading'           => esc_html__( 'Font Family', "qonspt" ),
            'param_name'        => 'sub_family',
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Text','qonspt'),
        ),array(
            'type'              => 'label',
            'heading'           => esc_html__( 'Grumpy wizards make toxic brew for the evil Queen and Jack.', "qonspt" ),
            'param_name'        => 'sgfont',
            'group'             => esc_html__( 'Text','qonspt'),
            'edit_field_class'  => 'gfonts',
        ),array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Color', "qonspt" ),
            'param_name'        => 'sub_color',
            "edit_field_class"  => "vc_column vc_col-xs-2",
            'group'             => esc_html__( 'Text','qonspt'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Letter Spacing (px)", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            'group'             => esc_html__( 'Text','qonspt'),
            "param_name"        => "sub_lett_spacing",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Line Height (px)", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            'group'             => esc_html__( 'Text','qonspt'),
            "param_name"        => "sub_lin_height",
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Font Style','qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-1 nowrp no-input mtop',
            "param_name"        => "sub_f_st",
            'group'             => esc_html__( 'Text','qonspt'),
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', "qonspt" ),
            'param_name'        => 'sub_weight',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Text','qonspt'),
            'std'               => 'normal',
            'value'             => array(
                esc_html__( '-- Select --','qonspt') => '',
                esc_html__( 'normal','qonspt') => 'normal',
                esc_html__( 'bold','qonspt') => 'bold',
                esc_html__( 'lighter','qonspt') => 'lighter',
                esc_html__( 'bolder','qonspt') => 'bolder',
                '100' => '100',
                '200' => '200',
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
                '900' => '900',
                esc_html__( 'inherit','qonspt') => 'inherit'
            ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( '<i>Italic</i>', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-1',
            'param_name'        => 'sub_b_italic',
            'group'             => esc_html__( 'Text','qonspt'),
            'value'             => array(
                '' => '1',
            ),
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( '<u>Underline</u>', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-1',
            'param_name'        => 'sub_b_underline',
            'group'             => esc_html__( 'Text','qonspt'),
            'value'             => array(
                '' => '1',
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => '',
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop',
            "param_name"        => "su_f_st",
            'group'             => esc_html__( 'Text','qonspt'),
        ),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Text",'qonspt'),
            "param_name"        => "btn_text",
            "std"               => "BUTTON TEXT",
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true),
            "group"             => esc_html__( "Button",'qonspt')
        ),
        array(
            "type"              => "vc_link",
            "heading"           => esc_html__( "Link",'qonspt'),
            "param_name"        => "btn_link",
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true),
            "group"             => esc_html__( "Button",'qonspt')  
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Size","qonspt"),
            "param_name"        => "btn_size", 
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            "value" => array(
                esc_html__( "Small",'qonspt')         => "btn-sm",
                esc_html__( "Normal",'qonspt')        => "btn-md",
                esc_html__( "Large",'qonspt')         => "btn-lg",
                esc_html__( "X Large",'qonspt')       => "btn-xl",
            ),
            "std"               => "btn-md",
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true),
            "group"             => esc_html__( "Button",'qonspt')
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Shape","qonspt"),
            "param_name"        => "btn_shape",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-4',
            "value"             => array(
                esc_html__( "Square",'qonspt')    => "square",
                esc_html__( "Rounded",'qonspt')   => "rounded",
                esc_html__( "Round",'qonspt')     => "round",
            ),
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true),
            "group"             => esc_html__( "Button",'qonspt')
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'full width', "qonspt" ),
            'param_name'        => 'btn_full_width',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true),
            "group"             => esc_html__( "Button",'qonspt'),
            'value'             => array(
                '' => '1',
            ),
        ),        
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)", "qonspt"),
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Button",'qonspt'),
            "param_name"        => "btn_font_size",
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Color', "qonspt" ),
            'param_name'        => 'btn_color',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Button','qonspt'),
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true)
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Background Color', "qonspt" ),
            'param_name'        => 'btn_bg_color',
            'edit_field_class'  => 'vc_column vc_col-xs-8',
            'group'             => esc_html__( 'Button','qonspt'),
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true)
        ),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__( 'Border Width (px)','qonspt'),
            "group"             => esc_html__( "Button",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "btn_bord_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "btn_bord_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "btn_bord_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "btn_bord_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "btn_bord_left",
        ),
        array(
            "type"              => "textfield",
            "heading"           => '',
            "group"             => esc_html__( "Button",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop',
            "param_name"        => "btn_bord_lblnnn",
        ),array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Border Color', "qonspt" ),
            'param_name'        => 'btn_border_color',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Button','qonspt'),
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true)
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style","qonspt"),
            "param_name"        => "btn_bord_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Button",'qonspt'), 
            "value"             => array(
                esc_html__( "None",'qonspt')  => "none",
                esc_html__( "Solid",'qonspt')    => "solid",
                esc_html__( "Dashed",'qonspt')   => "dashed",
                esc_html__( "Dotted",'qonspt')  => "dotted",
            ),
        ),array(
            "type"              => "textfield",
            "heading"           => '',
            "group"             => esc_html__( "Button",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop',
            "param_name"        => "btn_bord_lblnnn"
        ),array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Hover - Color', "qonspt" ),
            'param_name'        => 'btn_hov_color',
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Button','qonspt'),
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true)
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Hover - Background Color', "qonspt" ),
            'param_name'        => 'btn_hov_bg_color',
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Button','qonspt'),
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true)
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Hover - Border Color', "qonspt" ),
            'param_name'        => 'btn_hov_border_color',
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'Button','qonspt'),
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true)
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Shadow', "qonspt" ),
            'param_name'        => 'idl_shad',
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true),
            'group'             => esc_html__( 'Button','qonspt'), 
            'value'             => array(
                '' => '1',
            )
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Shadow Properties (px)','qonspt'),
            "group"             => esc_html__( "Button",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop',
            "param_name"        => "shd_lblss",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("X-axis", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shd1",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Y-axis", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad2",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Blur", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad3",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Spread", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad4",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Shadow Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-5',
            "param_name"        => "idl_shad_color",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
            "group"             => esc_html__( "Button",'qonspt')
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Hover Shadow', "qonspt" ),
            'param_name'        => 'hover_shad',
            'dependency'        => array( 'element' => 'cta_btn', 'not_empty' => true),
            'group'             => esc_html__( 'Button','qonspt'), 
            'value'             => array(
                '' => '1',
            )
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Shadow Properties (px)','qonspt'),
            "group"             => esc_html__( "Button",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop',
            "param_name"        => "shd_lbl",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("X-axis", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shd1",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Y-axis", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shd2",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Blur", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shd3",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Spread", "qonspt"),
            "group"             => esc_html__( "Button",'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shd4",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Shadow Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-5',
            "param_name"        => "hover_shd_color",
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
            "group"             => esc_html__( "Button",'qonspt')
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Add Icon ?",'qonspt'),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "value"             => array(
                esc_html__( 'No','qonspt')         => '',
                esc_html__( 'Left','qonspt')       => 'left',
                esc_html__( 'Right','qonspt')      => 'right',
            ),
            "param_name"        => "btn_add_icon",
            "group"             => esc_html__( "Button",'qonspt'),
        ),array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Icon", "qonspt"),
            "param_name"        => "btn_icon_param",
            "group"             => esc_html__( 'Button' ,'qonspt'),
            'dependency'        => array( 'element' => 'btn_add_icon', 'not_empty' => true)
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Icon Color', "qonspt" ),
            'param_name'        => 'btn_ic_color',
            'group'             => esc_html__( 'Button' ,'qonspt'),
            'dependency'        => array( 'element' => 'btn_add_icon', 'not_empty' => true)
        ),array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Icon", "qonspt"),
            "param_name"        => "icon_param",
            "group"             => esc_html__( 'Icon' ,'qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Shape","qonspt"),
            "param_name"        => "icon_shape",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' ,'qonspt'),
            "value"             => array(
                esc_html__( "Square" ,'qonspt')    => "",
                esc_html__( "Rounded" ,'qonspt')   => "rounded",
                esc_html__( "Round" ,'qonspt')     => "round",
                esc_html__( "Circle" ,'qonspt')    => "circle",
            ),
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Size","qonspt"),
            "param_name"        => "icon_size",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' ,'qonspt'),
            "value"             => array(
                esc_html__( "Small" ,'qonspt')         => "sm-icon",
                esc_html__( "Medium" ,'qonspt')        => "md-icon",
                esc_html__( "Large" ,'qonspt')         => "lg-icon",
                esc_html__( "X - Large" ,'qonspt')     => "xl-icon",
            ),
            "std"               => "md-icon"
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (in px.)", "qonspt"),
            "param_name"        => "icon_font_size",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon" ,'qonspt'),
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Color', "qonspt" ),
            'param_name'        => 'icon_color',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Icon' ,'qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Background Color', "qonspt" ),
            'param_name'        => 'icon_bg_color',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Icon' ,'qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Width (px)", "qonspt"),
            "param_name"        => "icon_border_width",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon" ,'qonspt'),
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Border Color', "qonspt" ),
            'param_name'        => 'icon_border_color',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Icon' ,'qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style","qonspt"),
            "param_name"        => "icon_bord_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            "group"             => esc_html__( "Icon" ,'qonspt'), 
            "value"             => array(
                esc_html__( "None" ,'qonspt')  => "none",
                esc_html__( "Solid" ,'qonspt')    => "solid",
                esc_html__( "Dashed" ,'qonspt')   => "dashed",
                esc_html__( "Dotted" ,'qonspt')  => "dotted",
            ),
        ),
    )
);
    
