<?php
return array(
    "name"                      => esc_html__("Divider", "qonspt"),
    "base"                      => "wst_divider",
    'category'                  => esc_html__( 'Qonspt Shortcodes', "qonspt" ),
    'description'               => esc_html__( 'Add block separator with styles', "qonspt" ),
    'icon'                      => 'no-bg stline-loading-line-1',
    "show_settings_on_create"   => true,
    "params"                    => array(
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Divider Style",'qonspt'),
            "param_name"        => "divider_class",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-12',
            "value" => array(
                esc_html__( 'Short' ,'qonspt')         => 'short',
                esc_html__( 'Wide' ,'qonspt')          => 'wide',
                esc_html__( 'Style 1' ,'qonspt')       => 'skimg',
                esc_html__( 'Style 2' ,'qonspt')       => 'trimg',
                esc_html__( 'Double' ,'qonspt')        => 'double',
                esc_html__( 'Small Dotted' ,'qonspt')  => 'dotted-sm',
                esc_html__( 'Large Dotted' ,'qonspt')  => 'dotted-lg',
                esc_html__( 'Small Dashed' ,'qonspt')  => 'dashed-sm',
                esc_html__( 'Large Dashed' ,'qonspt')  => 'dashed-lg',
            ),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "divider_color", 
            'edit_field_class'  => 'vc_column vc_col-xs-2',
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Use Icon', "qonspt" ),
            'param_name'        => 'use_icon',
            'edit_field_class'  => 'vc_column vc_col-xs-10',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1'
        ),
        array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Type', "qonspt" ),
            'param_name'        => 'icon_typ',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            'group'             => 'Icon',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'value' => array(
                esc_html__( 'Icon' ,'qonspt') => 'icon',
                esc_html__( 'Text' ,'qonspt') => 'text',
                esc_html__( 'Image' ,'qonspt') => 'img',
            ),
        ),
        array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Icon", "qonspt"),
            "param_name"        => "icon_param",
            "group"             => esc_html__( 'Icon' ,'qonspt'),
            'dependency'        => array( 'element' => 'icon_typ', 'value' => 'icon')
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Text",'qonspt'),
            "param_name"        => "div_text",
            "group"             => esc_html__( "Icon" ,'qonspt'),
            'dependency'        => array( 'element' => 'icon_typ', 'value' => 'text')
        ),
        array(
            'type'              => 'attach_image',
            'heading'           => esc_html__( 'Image', "qonspt" ),
            'param_name'        => 'wst_bg_img',
            'group'             => esc_html__( 'Icon' ,'qonspt'),
            'dependency'        => array( 'element' => 'icon_typ', 'value' => 'img')
        ),
        array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Shape', "qonspt" ),
            'param_name'        => 'icon_shape',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-7',
            'group'             => esc_html__( 'Icon' ,'qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'value'             => array(
                esc_html__( 'Square' ,'qonspt') => '',
                esc_html__( 'Rounded' ,'qonspt') => 'rounded',
                esc_html__( 'Circle' ,'qonspt') => 'circle',
            ),
         ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Align', "qonspt" ),
            'param_name'        => 'icon_align',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-5',
            'group'             => esc_html__( 'Icon' ,'qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'value'             => array(
                esc_html__( 'Left' ,'qonspt')      => '',
                esc_html__( 'Center' ,'qonspt')    => 'center',
                esc_html__( 'Right' ,'qonspt')     => 'right',
            ),
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size",'qonspt'),
            "param_name"        => "div_font_size",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Icon" ,'qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color",'qonspt'),
            "param_name"        => "div_i_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Icon" ,'qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color",'qonspt'),
            "param_name"        => "div_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Icon" ,'qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color",'qonspt'),
            "param_name"        => "div_border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "group"             => esc_html__( "Icon" ,'qonspt'),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
         ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        )
    )
);
    
