<?php
return array(
    "name"              => esc_html__("Content Box", "qonspt"),
    "base"              => "wst_feature", 
    'category'          => esc_html__( 'Qonspt Shortcodes', "qonspt" ),
    'description'       => esc_html__( 'Box with image and content.', "qonspt" ),
    'icon'              => 'no-bg stline-bookmarks-document',
    "content_element"   => true,
    "params"            => array(
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Box Style",'qonspt'),
            'edit_field_class'  => 'select_bxs list_imgs ov_vis vc_column vc_col-xs-12',
            "param_name"        => "feature_style",
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "value"             => array(
                '<img alt="" src="'.Qonspt_THM_URI . 'assets/admin/images/bx1.jpg"><span class="ttips">'.esc_html__( 'Image First','qonspt').'</span>'            => 'style1',
                '<img alt="" src="'.Qonspt_THM_URI . 'assets/admin/images/bx2.jpg"><span class="ttips">'.esc_html__( 'Title First','qonspt') .'</span>'           => 'style2',
                '<img alt="" src="'.Qonspt_THM_URI . 'assets/admin/images/bx3.jpg"><span class="ttips">'.esc_html__( 'Image Bottom','qonspt') .'</span>'          => 'style3',
            )
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Box Shape",'qonspt'),
            "param_name"        => "box_shape",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "value"             => array(
                esc_html__( 'Square' ,'qonspt') =>'',
                esc_html__( 'Rounded' ,'qonspt') =>'rounded',
                esc_html__( 'Round' ,'qonspt') =>'round'
            )
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Alignment",'qonspt'),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            "param_name"        => "align",
            "value"             => array(
                esc_html__( 'Left' ,'qonspt')      => '',
                esc_html__( 'Center' ,'qonspt')    => 'text-center',
                esc_html__( 'Right' ,'qonspt')     => 'text-right'
            )
        ),array(
            "type"              => "checkbox",
            "heading"           => esc_html__("Read More ?", "qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "param_name"        => "show_more",
            'value'             => array(
                '' => '1',
            )
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Box Style' ,'qonspt'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Border Width (px)' ,'qonspt'),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "bord_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_left",
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "border_color",
            "group"             => esc_html__( "Box Style" ,'qonspt')
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style","qonspt"),
            "param_name"        => "bord_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Box Style" ,'qonspt'), 
            "value"             => array(
                esc_html__( "None" ,'qonspt')  => "none",
                esc_html__( "Solid" ,'qonspt') => "solid",
                esc_html__( "Dashed" ,'qonspt')=> "dashed",
                esc_html__( "Dotted" ,'qonspt')=> "dotted",
            ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Box Shadow', "qonspt" ),
            'param_name'        => 'idl_shad',
            'group'             => esc_html__( 'Box Style' ,'qonspt'), 
            'value'             => array(
                '' => '1',
            )
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Shadow Properties (px)' ,'qonspt'),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop',
            "param_name"        => "shd_lbl1",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("X-axis", "qonspt"),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad1",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Y-axis", "qonspt"),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad2",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Blur", "qonspt"),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad3",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Spread", "qonspt"),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad4",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Shadow Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-5',
            "param_name"        => "shd_color",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
            "group"             => esc_html__( "Box Style" ,'qonspt')
        ),array(
            "type"              => "numberfield",
            "heading"           => 'Box Padding (px)',
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop nowrp sm_el',
            "param_name"        => "bwdth",
            "group"             => esc_html__( "Box Style" ,'qonspt'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_top",
            "group"             => esc_html__( "Box Style" ,'qonspt'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_right",
            "group"             => esc_html__( "Box Style" ,'qonspt'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_bottom",
            "group"             => esc_html__( "Box Style" ,'qonspt'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_left",
            "group"             => esc_html__( "Box Style" ,'qonspt'),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Box Margin (px)" ,'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop text-right',
            "param_name"        => "mar_lbl",
            "group"             => esc_html__( "Box Style" ,'qonspt'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_top",
            "group"             => esc_html__( "Box Style" ,'qonspt'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_right",
            "group"             => esc_html__( "Box Style" ,'qonspt'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_bottom",
            "group"             => esc_html__( "Box Style" ,'qonspt'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col las_el",
            "param_name"        => "margin_left",
            "group"             => esc_html__( "Box Style" ,'qonspt'),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Overlay Color", "qonspt"),
            "param_name"        => "over_color",
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            'dependency'        => array('element' => 'feature_style', 'value' => array( 'style4','style5' )),
         ),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "group"             => esc_html__( "Box Style" ,'qonspt'),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element - add a class name and refer to it in custom CSS.", "qonspt")
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Title",'qonspt'),
            "param_name"        => "feature_title",
            "value"             => esc_html__( "Featured Box Heading" ,'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-8',
            "group"             => esc_html__( "Content" ,'qonspt'),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "title_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Content" ,'qonspt'),
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "title_size",
            "group"             => esc_html__( "Content" ,'qonspt'),
         ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Sub Title",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-8',
            "param_name"        => "feature_subtitle",
            "group"             => esc_html__( "Content" ,'qonspt'),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "subtitle_color",
            "group"             => esc_html__( "Content" ,'qonspt'),
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "subtitle_size",
            "group"             => esc_html__( "Content" ,'qonspt'),
         ),array(
            "type"              => "vc_link",
            "heading"           => esc_html__("Link",'qonspt'),
            "param_name"        => "feature_link",
            "group"             => esc_html__( "Content" ,'qonspt'),
         ),array(
            "type"              => "textarea_html",
            "heading"           => esc_html__("Content",'qonspt'),
            "holder"            => "div",
            "param_name"        => "content",
            "group"             => esc_html__( "Content" ,'qonspt'),
            "value"             => 'Lorem ipsum dolor sit amet, co sectetur adipiscing elit. Nullam convallis euismod mollis. Lorem ipsum dolor sit amet, consectetur adipiscing elit.',
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Shape",'qonspt'),
            "param_name"        => "img_shape",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "group"             => esc_html__( "Image" ,'qonspt'),
            "value"             => array(
                esc_html__( 'Square' ,'qonspt')  => '',
                esc_html__( 'Rounded' ,'qonspt') => 'rounded',
                esc_html__( 'Round' ,'qonspt')   => 'round',
                esc_html__( 'Circle' ,'qonspt')  => 'circle'
            )
        ),array(
            "type"              => "attach_image",
            "heading"           => esc_html__("Image",'qonspt'),
            "param_name"        => "feature_image",
            "group"             => esc_html__( "Image" ,'qonspt'),
         ),
         array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Title Color", "qonspt"),
            "param_name"        => "hover_title_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Subtitle Color", "qonspt"),
            "param_name"        => "hover_subtitle_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Content Color", "qonspt"),
            "param_name"        => "hover_content_color",
            'edit_field_class'  => 'vc_column vc_col-xs-8',
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),
         array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Border Width (px)' , 'qonspt' ),
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "hover_bord_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_bord_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_bord_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_bord_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_bord_left",
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "hover_border_color",
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style","qonspt"),
            "param_name"        => "hover_bord_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ), 
            "value"             => array(
                esc_html__( "None" , 'qonspt' )     => "none",
                esc_html__( "Solid" , 'qonspt' )    => "solid",
                esc_html__( "Dashed" , 'qonspt' )   => "dashed",
                esc_html__( "Dotted" , 'qonspt' )   => "dotted",
            ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Box Shadow', "qonspt" ),
            'param_name'        => 'hover_shad',
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ), 
            'value'             => array(
                '' => '1',
            )
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Shadow Properties (px)' , 'qonspt' ),
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop',
            "param_name"        => "hover_lbl1",
            'dependency'        => array(
                'element' => 'hover_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("X-axis", "qonspt"),
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shad1",
            'dependency'        => array(
                'element' => 'hover_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Y-axis", "qonspt"),
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shad2",
            'dependency'        => array(
                'element' => 'hover_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Blur", "qonspt"),
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shad3",
            'dependency'        => array(
                'element' => 'hover_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Spread", "qonspt"),
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shad4",
            'dependency'        => array(
                'element' => 'hover_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Shadow Color","qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-5',
            "param_name"        => "hover_shd_color",
            'dependency'        => array(
                'element' => 'hover_shad', 'not_empty' => true
            ),
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => 'Box Padding (px)',
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop nowrp sm_el',
            "param_name"        => "hover_bwdth",
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_padd_top",
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_padd_right",
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_padd_bottom",
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_padd_left",
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "textfield",
            "heading"           => "Box Margin (px)",
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop text-right',
            "param_name"        => "hover_mar_lbl",
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_margin_top",
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_margin_right",
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_margin_bottom",
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col las_el",
            "param_name"        => "hover_margin_left",
            'group'             => esc_html__( 'Hover Style' , 'qonspt' ),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Button Text",'qonspt'),
            "param_name"        => "more_text",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "std"               => "Read More",
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Alignment",'qonspt'),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-6',
            "param_name"        => "more_align",
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            "value"             => array(
                esc_html__( 'Left' , 'qonspt' )      => 'left',
                esc_html__( 'Center' , 'qonspt' )    => 'centered',
                esc_html__( 'Right' , 'qonspt' )     => 'right',
            ),
            'std'               => 'centered',
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true ),
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Font Size (px)', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'more_font_size',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more','not_empty' => true ),
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Letter Spacing (px)', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'more_letter_spacing',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more','not_empty' => true ),
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', "qonspt" ),
            'param_name'        => 'more_font_weight',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more','not_empty' => true ),
            'value'             => array(
                esc_html__( '-- Select --','qonspt')  => '',
                esc_html__( 'normal','qonspt')        => 'normal',
                esc_html__( 'bold','qonspt')          => 'bold',
                esc_html__( 'lighter','qonspt')       => 'lighter',
                esc_html__( 'bolder','qonspt')        => 'bolder',
                '100'           => '100',
                '200'           => '200',
                '300'           => '300',
                '400'           => '400',
                '500'           => '500',
                '600'           => '600',
                '700'           => '700',
                '800'           => '800',
                '900'           => '900',
                esc_html__( 'inherit','qonspt')       => 'inherit'
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "more_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "more_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array(
                'element' => 'show_more', 'not_empty' => true,
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Icon Color", "qonspt"),
            "param_name"        => "more_icon_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Icon Hover Color", "qonspt"),
            "param_name"        => "more_icon_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array(
                'element' => 'show_more', 'not_empty' => true,
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "more_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Background Color", "qonspt"),
            "param_name"        => "more_hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "more_bord_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Border Color", "qonspt"),
            "param_name"        => "more_hover_bord_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true ),
        )
    )
);
    
