<?php
return array(
    'name'                      => esc_html__( 'Heading', 'qonspt' ),
    'base'                      => 'wst_heading',
    'icon'                      => 'no-bg stline-bulb-1',
    'save_always'               => true,
    'show_settings_on_create'   => true,
    'category'                  => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'description'               => esc_html__( 'Add heading with custom styles', 'qonspt' ),
    'params'                    => array(
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Style",'qonspt'),
            "param_name"        => "heading_style",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            "value"             => array(
                esc_html__( 'Top Line' , 'qonspt' )     => 'main',
                esc_html__( 'Fill Heading' , 'qonspt' ) => 'style2',
                esc_html__( 'Simple' , 'qonspt' )       => 'simple',
            ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Alignment",'qonspt'),
            "param_name"        => "heading_align",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-4',
            "value"             => array(
                esc_html__( 'Left' , 'qonspt' )      =>'',
                esc_html__( 'Center' , 'qonspt' )    =>'centered',
                esc_html__( 'Right' , 'qonspt' )     =>'right',
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => 'Margin (px)',
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop nowrp',
            "param_name"        => "mr_lbl",
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_bottom",
        ),
        array(
            'type'              => 'textarea_html',
            'heading'           => esc_html__( 'Text', 'qonspt' ),
            'param_name'        => 'content', 
            'admin_label'       => true,
            'value'             => esc_html__( 'This is custom heading element', 'qonspt' ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Tag",'qonspt'),
            "param_name"        => "tag",
            'edit_field_class'  => 'vc_column sm_cell vc_col-xs-1',
            "value"             => array(
                'H1' =>'h1',
                'H2' =>'h2',
                'H3' =>'h3',
                'H4' =>'h4',
                'H5' =>'h5',
                'H6' =>'h6',
            ),
            "std"               => 'h3'
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Font Size (px)', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'size',
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Line Height (px)', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'line_height',
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Letter Spacing (px)', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'letter_spacing',
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', 'qonspt' ),
            'param_name'        => 'font_weight',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value"             => array(
                esc_html__( '-- Select --' , 'qonspt' )  => '',
                esc_html__( 'normal' , 'qonspt' )        => 'normal',
                esc_html__( 'bold' , 'qonspt' )          => 'bold',
                esc_html__( 'lighter' , 'qonspt' )       => 'lighter',
                esc_html__( 'bolder' , 'qonspt' )        => 'bolder',
                '100'           => '100',
                '200'           => '200',
                '300'           => '300',
                '400'           => '400',
                '500'           => '500',
                '600'           => '600',
                '700'           => '700',
                '800'           => '800',
                '900'           => '900',
                esc_html__( 'inherit' , 'qonspt' )       => 'inherit'
            ),
        ),array(
            'type'              => 'wst_google_fonts',
            'heading'           => esc_html__( 'Font Family', 'qonspt' ),
            'param_name'        => 'family',
            'edit_field_class'  => 'vc_column vc_col-xs-3',
        ),array(
            'type'              => 'label',
            'heading'           => esc_html__( 'Grumpy wizards make toxic brew for the evil Queen and Jack.', 'qonspt' ),
            'param_name'        => 'gfont',
            'edit_field_class'  => 'gfonts',
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Line Color", "qonspt"),
            "param_name"        => "head_shad_color",
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'dependency'        => array('element' => 'heading_style', "value" => 'main'),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "head_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-10',
            'dependency'        => array('element' => 'heading_style', "value" => 'style2'),
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Border Radius (px)', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'head_radius',
            'dependency'        => array('element' => 'heading_style', "value" => 'style2'),
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),    
        array(
            'type'              => 'textfield',
            'heading'           => esc_html__( 'Extra class name', 'qonspt' ),
            'param_name'        => 'el_class',
            'description'       => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'qonspt' ),
        ),
    )
);
    
