<?php
return array(
    "name"          => esc_html__("Icon Box", 'qonspt'),
    "base"          => "wst_iconbox",
    'category'      => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'icon'          => 'no-bg stline-check-badge',
    'description'   => esc_html__( 'icon boxes with many styles', 'qonspt' ),
    "params"        => array(
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Box Style",'qonspt'),
            "param_name"        => "icbx_shape",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            "value"             => array(
                'Normal'            => 'default',
                'Horizontal Skew'   => 'skew-horiz',
                'Vertical Skew'     => 'skew-vert',
            ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Box Align",'qonspt'),
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            "param_name"        => "icbx_align",
            "std"               => "text-center",
            "value"             => array(
                esc_html__( 'Left' , 'qonspt' ) => 'text-left',
                esc_html__( 'Center' , 'qonspt' ) => 'text-center',
                esc_html__( 'Right' , 'qonspt' ) => 'text-right',
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Skew Degree", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2 sm_inps",
            "param_name"        => "skew_val",
            'dependency'        => array(
                'element'   => 'icbx_shape',
                'value'     => array( 'skew-horiz','skew-vert' ),
            ),
        ),array(
            "type"              => "label",
            "heading"           => '',
            "edit_field_class"  => "vc_column vc_col-xs-2 sm_inps",
            "param_name"        => "dumm_val",
            'dependency'        => array(
                'element'   => 'icbx_shape',
                'value'     => 'default',
            ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Box Shadow', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'box_shadow',
            'value'             => array(
                '' => '1',
            ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Hover Shadow', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'hover_shadow',
            'value'             => array(
                '' => '1',
            ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Reverse Content', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'reverse_content',
            'value'             => array(
                '' => '1',
            ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Use Icon', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'use_icon',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1'
        ),array(
            "type"              => "checkbox",
            "heading"           => esc_html__("Read More", "qonspt"),
            "param_name"        => "show_more",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'value'             => array(
                '' => '1',
            )
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Styling Options" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "hovsss_lbl", 
        ),array(
            "type"              => "label",
            "heading"           => esc_html__( 'Padding (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "padd_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_left",
        ),array(
            "type"              => "label",
            "heading"           => '',
            "edit_field_class"  => "vc_column vc_col-xs-6 sm_inps",
            "param_name"        => "dumm_val2",
        ),array(
            "type"              => "label",
            "heading"           => esc_html__( 'Margin (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "marg_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "marg_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "marg_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "marg_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "marg_left",
        ),array(
            "type"              => "label",
            "heading"           => '',
            "edit_field_class"  => "vc_column vc_col-xs-6 sm_inps",
            "param_name"        => "dumm_val3",
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Background', 'qonspt' ),
            'param_name'        => 'icbx_bg',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            'std'               => 'color',
            'value'             => array(
                  esc_html__( 'Color', 'qonspt' )      => 'color',
                  esc_html__( 'Gradient', 'qonspt' )   => 'gradient',
            ),
        ),array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Background Color', 'qonspt' ),
            'param_name'        => 'icbx_bg_color',
            'dependency'        => array(
                'element'   => 'icbx_bg',
                'value'     => 'color',
            ),
        ),array(
            'type'              => 'gradientpicker',
            'heading'           => '',
            'param_name'        => 'icbx_bg_grad',
            'dependency'        => array(
                'element'   => 'icbx_bg',
                'value'     => 'gradient',
            ),
        ),array(
            "type"              => "label",
            "heading"           => esc_html__( 'Border (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "border_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_left",
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style",'qonspt'),
            "param_name"        => "border_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value"             => array(
                esc_html__( "None" , 'qonspt' )      => "none",
                esc_html__( "Solid" , 'qonspt' )     => "solid",
                esc_html__( "Dashed" , 'qonspt' )    => "dashed",
                esc_html__( "Dotted" , 'qonspt' )    => "dotted",
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Radius ( PX )", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            "param_name"        => "border_radius",
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Hover Styling" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "hov_lbl", 
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Background', 'qonspt' ),
            'param_name'        => 'icbx_hover_bg',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            'std'               => 'color',
            'value'             => array(
                  esc_html__( 'Color', 'qonspt' )      => 'color',
                  esc_html__( 'Gradient', 'qonspt' )   => 'gradient',
            ),
        ),array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Background Color', 'qonspt' ),
            'param_name'        => 'icbx_hover_bg_color',
            'dependency'        => array(
                'element'   => 'icbx_hover_bg',
                'value'     => array('color','image'),
            ),
        ),array(
            'type'              => 'gradientpicker',
            'heading'           => '',
            'param_name'        => 'icbx_hover_bg_grad',
            'dependency'        => array(
                'element'   => 'icbx_hover_bg',
                'value'     => 'gradient',
            ),
        ),array(
            "type"              => "label",
            "heading"           => esc_html__( 'Border (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "border_lbl2",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_hover_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_hover_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_hover_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_hover_left",
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style",'qonspt'),
            "param_name"        => "border_hover_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value"             => array(
                esc_html__( "None" , 'qonspt' )      => "none",
                esc_html__( "Solid" , 'qonspt' )     => "solid",
                esc_html__( "Dashed" , 'qonspt' )    => "dashed",
                esc_html__( "Dotted" , 'qonspt' )    => "dotted",
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "border_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Radius ( PX )", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            "param_name"        => "border_hover_radius",
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Animate Content', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'param_name'        => 'anim_content',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1'
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(), 
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",     
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Title",'qonspt'),
            "param_name"        => "icbx_title",
            'group'             => esc_html__( 'Title' , 'qonspt' ),
            "value"             => "Icon Box Title"
         ),array(
            "type"              => "vc_link",
            "heading"           => esc_html__("Link", "qonspt"),
            "param_name"        => "icbx_link",
            'group'             => esc_html__( 'Title' , 'qonspt' ),
            "description"       => esc_html__("enter the link for title and read more link.", "qonspt")
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Title Tag",'qonspt'),
            "param_name"        => "icbx_title_tag",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Title' , 'qonspt' ),
            "value"             => array(
                'H1' =>'h1',
                'H2' =>'h2',
                'H3' =>'h3',
                'H4' =>'h4',
                'H5' =>'h5',
                'H6' =>'h6',
            ),
            "std"             => 'h4'
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)", "qonspt"),
            'group'             => esc_html__( 'Title' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "title_size",
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', 'qonspt' ),
            'param_name'        => 'icbx_title_weight',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Title' , 'qonspt' ),
            'value'             => array(
                esc_html__( '-- Select --' , 'qonspt' ) => '',
                esc_html__( 'normal' , 'qonspt' ) => 'normal',
                esc_html__( 'bold' , 'qonspt' ) => 'bold',
                esc_html__( 'lighter' , 'qonspt' ) => 'lighter',
                esc_html__( 'bolder' , 'qonspt' ) => 'bolder',
                '100' => '100',
                '200' => '200',
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
                '900' => '900',
                esc_html__( 'inherit' , 'qonspt' ) => 'inherit'
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "icbx_title_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Title' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "icbx_title_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Title' , 'qonspt' ),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Sub Title",'qonspt'),
            "param_name"        => "icbx_subtitle",
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Tag",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "icbx_subtitle_tag",
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
            "value"             => array(
                'H1' =>'h1',
                'H2' =>'h2',
                'H3' =>'h3',
                'H4' =>'h4',
                'H5' =>'h5',
                'H6' =>'h6',
            ),
            "std"               => 'h6'
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)", "qonspt"),
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "subtitle_size",
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', 'qonspt' ),
            'param_name'        => 'icbx_subtitle_weight',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
            'value'             => array(
                esc_html__( '-- Select --' , 'qonspt' ) => '',
                esc_html__( 'normal' , 'qonspt' )       => 'normal',
                esc_html__( 'bold' , 'qonspt' )         => 'bold',
                esc_html__( 'lighter' , 'qonspt' )      => 'lighter',
                esc_html__( 'bolder' , 'qonspt' )       => 'bolder',
                '100'          => '100',
                '200'          => '200',
                '300'          => '300',
                '400'          => '400',
                '500'          => '500',
                '600'          => '600',
                '700'          => '700',
                '800'          => '800',
                '900'          => '900',
                esc_html__( 'inherit' , 'qonspt' )      => 'inherit'
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "icbx_subtitle_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "icbx_subtitle_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "icbx_sub_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Background Color", "qonspt"),
            "param_name"        => "icbx_sub_hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Margin (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop nowrp',
            "param_name"        => "icbx_sub_marg_lbl",
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "icbx_sub_marg_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "icbx_sub_marg_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "icbx_sub_marg_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "icbx_sub_marg_left",
        ),array(
            "type"              => "label",
            "heading"           => '',
            'group'             => esc_html__( 'Sub Title' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "ddddd",
        ),array(
            "type"              => "textarea_html",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            "heading"           => esc_html__("Content",'qonspt'),
            'param_name'        => 'content',
            "value"             => "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar.",
            "description"       => esc_html__("type here the description for the icon box content.",'qonspt')
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "content_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'group'             => esc_html__( 'Content' , 'qonspt' ),
        ),array(
            "type"              => "label",
            "heading"           => esc_html__( 'Padding (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 txt-right no-input mtop',
            "param_name"        => "cont_pad_lbl",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "cont_pad_top",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "cont_pad_right",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "cont_pad_bottom",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "cont_pad_left",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),
        array(
            "type"              => "label",
            "heading"           => '',
            'edit_field_class'  => 'vc_column vc_col-xs-6 no-input mtop',
            "param_name"        => "cont_pad_lblsss",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Type",'qonspt'),
            "param_name"        => "icon_typ",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-4',
            "value"             => array(
                esc_html__( 'Icon' , 'qonspt' ) => 'icon',
                esc_html__( 'Text' , 'qonspt' ) => 'text',
                esc_html__( 'Image' , 'qonspt' ) => 'image',
            ),
            'std'               => 'icon',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true ),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Position",'qonspt'),
            "param_name"        => "icon_position",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-3',
            "value"             => array(
                esc_html__( 'Block' , 'qonspt' )     => 'wst_block_icn',
                esc_html__( 'Side' , 'qonspt' )      => 'wst_side_icn',
                esc_html__( 'Inline' , 'qonspt' )    => 'wst_inline_icn',
            ),
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Size",'qonspt'),
            "param_name"        => "icon_size",
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            "value"             => array(
                esc_html__( 'Medium' , 'qonspt' )    => '',
                esc_html__( 'Small' , 'qonspt' )     => 'wst_sm_icn',
                esc_html__( 'Large' , 'qonspt' )     => 'wst_lg_icn',
                esc_html__( 'Custom' , 'qonspt' )    => 'custom'
            ),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)", "qonspt"),
            "param_name"        => "icon_font_size",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'icon_size', 'value' => 'custom'),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Width (px)", "qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "icon_width",
            'dependency'        => array( 'element' => 'icon_size', 'value' => 'custom'),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Height (px)", "qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "icon_height",
            'dependency'        => array( 'element' => 'icon_size', 'value' => 'custom'),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => '',
            'edit_field_class'  => 'vc_column vc_col-xs-6 no-input mtop nowrp',
            'dependency'        => array( 'element' => 'icon_size', 'value' => 'custom'),
            "param_name"        => "sss",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Alignment",'qonspt'),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-5',
            "param_name"        => "icon_align",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            "std"               => "center",
            "value"             => array(
                esc_html__( 'Left' , 'qonspt' )      => 'left',
                esc_html__( 'Center' , 'qonspt' )    => 'center',
                esc_html__( 'Right' , 'qonspt' )     => 'right',
            ),
            'dependency'        => array(
                'element'       => 'icon_position', 
                'value'         => array('wst_block_icn','wst_side_icn')
            ),
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Icon Style",'qonspt'),
            "param_name"        => "icon_shape",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            "value"             => array(
                'Normal'            => 'default',
                'Horizontal Skew'   => 'skew-horiz',
                'Vertical Skew'     => 'skew-vert',
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Skew Degree", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2 sm_inps",
            "param_name"        => "icon_skew_val",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'icon_shape',
                'value'     => array( 'skew-horiz','skew-vert' ),
            ),
        ),array(
            "type"              => "label",
            "heading"           => '',
            "edit_field_class"  => "vc_column vc_col-xs-2 sm_inps",
            "param_name"        => "icon_dumm_val",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'icon_shape',
                'value'     => 'default',
            ),
        ),array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Icon", "qonspt"),
            "param_name"        => "icon_param",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'std'               => 'stline-building-1',
            'dependency'        => array( 'element' => 'icon_typ', 'value' => 'icon' )
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Text",'qonspt'),
            "param_name"        => "icon_text",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'icon_typ', 'value' => 'text' ),
            "description"       => esc_html__("This Will replace the icon with your new text.",'qonspt')
         ),array(
            "type"              => "attach_image",
            "heading"           => esc_html__("Image",'qonspt'),
            "param_name"        => "icon_image",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'icon_typ', 'value' => 'image' ),
        ),array(
            "type"              => "label",
            "heading"           => esc_html__( 'Margin (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 txt-right no-input mtop',
            "param_name"        => "icon_marg_lbl",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "icon_marg_top",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "icon_marg_right",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "icon_marg_bottom",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "icon_marg_left",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),
        array(
            "type"              => "label",
            "heading"           => '',
            'edit_field_class'  => 'vc_column vc_col-xs-6 no-input mtop',
            "param_name"        => "icon_marg_lblsss",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "icon_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "icon_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Width (px)", "qonspt"),
            "param_name"        => "icon_border_width",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "icon_border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style",'qonspt'),
            "param_name"        => "icon_border_style",
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value"             => array(
                esc_html__( "None" , 'qonspt' )      => "none",
                esc_html__( "Solid" , 'qonspt' )     => "solid",
                esc_html__( "Dashed" , 'qonspt' )    => "dashed",
                esc_html__( "Dotted" , 'qonspt' )    => "dotted",
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Radius (px)", "qonspt"),
            "param_name"        => "icon_border_rad",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Hover Styling" , 'qonspt' ),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "hoverddd_lbl",
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "icon_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "icon_hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "icon_hover_border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Radius (px)", "qonspt"),
            "param_name"        => "icon_hover_border_rad",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Button Style",'qonspt'),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "param_name"        => "more_style",
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            "value"             => array(
                esc_html__( 'Text' , 'qonspt' )     => 'text',
                esc_html__( 'Arrow' , 'qonspt' )    => 'arrow',
            ),
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true ),
        ),array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Icon", "qonspt"),
            "param_name"        => "more_icon",
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'std'               => 'stline-building-1',
            'dependency'        => array( 'element' => 'more_style', 'value' => 'arrow' )
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Button Text",'qonspt'),
            "param_name"        => "more_text",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "std"               => "Read More",
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'more_style', 'value' => 'text' ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Alignment",'qonspt'),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-6',
            "param_name"        => "more_align",
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            "value"             => array(
                esc_html__( 'Left' , 'qonspt' )      => 'left',
                esc_html__( 'Center' , 'qonspt' )    => 'centered',
                esc_html__( 'Right' , 'qonspt' )     => 'right',
            ),
            'std'               => 'centered',
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true ),
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Icon Animation', "qonspt" ),
            'param_name'        => 'more_anim',
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'more_style', 'value' => 'arrow' ),
            'value'             => array(
                esc_html__( '-- Select --','qonspt')  => '',
                esc_html__( 'To Left','qonspt')       => 'anim_left',
                esc_html__( 'To Right','qonspt')      => 'anim_right',
                esc_html__( 'To Top','qonspt')        => 'anim_top',
                esc_html__( 'ToBottom','qonspt')      => 'anim_bottom',
            ),
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Font Size (px)', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'more_font_size',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more','not_empty' => true ),
        ),array(
            'type'              => 'numberfield',
            'heading'           => esc_html__( 'Letter Spacing (px)', "qonspt" ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'param_name'        => 'more_letter_spacing',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'more_style', 'value' => 'text' ),
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', "qonspt" ),
            'param_name'        => 'more_font_weight',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'more_style', 'value' => 'text' ),
            'value'             => array(
                esc_html__( '-- Select --','qonspt')  => '',
                esc_html__( 'normal','qonspt')        => 'normal',
                esc_html__( 'bold','qonspt')          => 'bold',
                esc_html__( 'lighter','qonspt')       => 'lighter',
                esc_html__( 'bolder','qonspt')        => 'bolder',
                '100'           => '100',
                '200'           => '200',
                '300'           => '300',
                '400'           => '400',
                '500'           => '500',
                '600'           => '600',
                '700'           => '700',
                '800'           => '800',
                '900'           => '900',
                esc_html__( 'inherit','qonspt')       => 'inherit'
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "more_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "more_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array(
                'element' => 'show_more', 'not_empty' => true,
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Icon Color", "qonspt"),
            "param_name"        => "more_icon_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'more_style', 'value' => 'text' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Icon Hover Color", "qonspt"),
            "param_name"        => "more_icon_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'more_style', 'value' => 'text' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "more_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'more_style', 'value' => 'text' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Background Color", "qonspt"),
            "param_name"        => "more_hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'more_style', 'value' => 'text' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "more_bord_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'more_style', 'value' => 'text' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Border Color", "qonspt"),
            "param_name"        => "more_hover_bord_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'More Link' , 'qonspt' ),
            'dependency'        => array( 'element' => 'more_style', 'value' => 'text' ),
        )
    )
);
    
