<?php
return array(
    "name" => esc_html__("Image Layers", 'qonspt'),
    "base" => "wst_images",
    'category' => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    "content_element" => true,
    'icon' => 'no-bg stline-picture-polaroid-landscape',
    "params" => array(
        array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Alignment', 'qonspt' ),
            'param_name'        => 'align',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            'value'             => array(
                esc_html__( 'Left' , 'qonspt' ) => '',
                esc_html__( 'Center' , 'qonspt' ) => 'center',
                esc_html__( 'Right' , 'qonspt' ) => 'right',
            ),
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        ),
        array(
            'type'              => 'param_group',
            'heading'           => esc_html__('Add Images', 'qonspts'),
            'param_name'        => 'images_layers',
            'params'            => array(
                array(
                    "type"              => "attach_image",
                    "heading"           => esc_html__("Image",'qonspt'),
                    "param_name"        => "layer_image",
                ),array(
                    "type"              => "numberfield",
                    "heading"           => esc_html__("Horizontal Offset ( % )", "qonspt"),
                    "param_name"        => "h_of",
                    'edit_field_class'  => 'vc_column vc_col-xs-6',
                ),array(
                    "type"              => "numberfield",
                    "heading"           => esc_html__("Vertical Offset ( % )", "qonspt"),
                    "param_name"        => "v_of",
                    'edit_field_class'  => 'vc_column vc_col-xs-6',
                ),array(
                    "type"              => "numberfield",
                    "heading"           => esc_html__("Interval", "qonspt"),
                    "param_name"        => "inv",
                    'edit_field_class'  => 'vc_column vc_col-xs-6',
                    "value"             => '300',
                    "description"       => esc_html__('Set the animation delay in milliseconds.','qonspt'),
                ),array(
                    "type"              => "dropdown",
                    "heading"           => esc_html__("Animation",'qonspt'),
                    'edit_field_class'  => 'vc_column vc_col-xs-6',
                    "param_name"        => "layer_anim",
                    "value"             => array(
                        esc_html__( 'bounce', 'qonspt' ) => 'bounce',
                        esc_html__( 'flash', 'qonspt' ) => 'flash',
                        esc_html__( 'pulse', 'qonspt' ) => 'pulse',
                        esc_html__( 'rubberBand', 'qonspt' ) => 'rubberBand',
                        esc_html__( 'shake', 'qonspt' ) => 'shake',
                        esc_html__( 'swing', 'qonspt' ) => 'swing',
                        esc_html__( 'tada', 'qonspt' ) => 'tada',
                        esc_html__( 'wobble', 'qonspt' ) => 'wobble',
                        esc_html__( 'jello', 'qonspt' ) => 'jello',

                        esc_html__( 'bounceIn', 'qonspt' ) => 'bounceIn',
                        esc_html__( 'bounceInDown', 'qonspt' ) => 'bounceInDown',
                        esc_html__( 'bounceInLeft', 'qonspt' ) => 'bounceInLeft',
                        esc_html__( 'bounceInRight', 'qonspt' ) => 'bounceInRight',
                        esc_html__( 'bounceInUp', 'qonspt' ) => 'bounceInUp',

                        esc_html__( 'bounceOut', 'qonspt' ) => 'bounceOut',
                        esc_html__( 'bounceOutDown', 'qonspt' ) => 'bounceOutDown',
                        esc_html__( 'bounceOutLeft', 'qonspt' ) => 'bounceOutLeft',
                        esc_html__( 'bounceOutRight', 'qonspt' ) => 'bounceOutRight',
                        esc_html__( 'bounceOutUp', 'qonspt' ) => 'bounceOutUp',

                        esc_html__( 'fadeIn', 'qonspt' ) => 'fadeIn',
                        esc_html__( 'fadeInDown', 'qonspt' ) => 'fadeInDown',
                        esc_html__( 'fadeInDownBig', 'qonspt' ) => 'fadeInDownBig',
                        esc_html__( 'fadeInLeft', 'qonspt' ) => 'fadeInLeft',
                        esc_html__( 'fadeInLeftBig', 'qonspt' ) => 'fadeInLeftBig',
                        esc_html__( 'fadeInRight', 'qonspt' ) => 'fadeInRight',
                        esc_html__( 'fadeInRightBig', 'qonspt' ) => 'fadeInRightBig',
                        esc_html__( 'fadeInUp', 'qonspt' ) => 'fadeInUp',
                        esc_html__( 'fadeInUpBig', 'qonspt' ) => 'fadeInUpBig',

                        esc_html__( 'fadeOut', 'qonspt' ) => 'fadeOut',
                        esc_html__( 'fadeOutDown', 'qonspt' ) => 'fadeOutDown',
                        esc_html__( 'fadeOutDownBig', 'qonspt' ) => 'fadeOutDownBig',
                        esc_html__( 'fadeOutLeft', 'qonspt' ) => 'fadeOutLeft',
                        esc_html__( 'fadeOutLeftBig', 'qonspt' ) => 'fadeOutLeftBig',
                        esc_html__( 'fadeOutRight', 'qonspt' ) => 'fadeOutRight',
                        esc_html__( 'fadeOutRightBig', 'qonspt' ) => 'fadeOutRightBig',
                        esc_html__( 'fadeOutUp', 'qonspt' ) => 'fadeOutUp',
                        esc_html__( 'fadeOutUpBig', 'qonspt' ) => 'fadeOutUpBig',

                        esc_html__( 'flip', 'qonspt' ) => 'flip',
                        esc_html__( 'flipInX', 'qonspt' ) => 'flipInX',
                        esc_html__( 'flipInY', 'qonspt' ) => 'flipInY',
                        esc_html__( 'flipOutX', 'qonspt' ) => 'flipOutX',
                        esc_html__( 'flipOutY', 'qonspt' ) => 'flipOutY',

                        esc_html__( 'lightSpeedIn', 'qonspt' ) => 'lightSpeedIn',
                        esc_html__( 'lightSpeedOut', 'qonspt' ) => 'lightSpeedOut',

                        esc_html__( 'rotateIn', 'qonspt' ) => 'rotateIn',
                        esc_html__( 'rotateInDownLeft', 'qonspt' ) => 'rotateInDownLeft',
                        esc_html__( 'rotateInDownRight', 'qonspt' ) => 'rotateInDownRight',
                        esc_html__( 'rotateInUpLeft', 'qonspt' ) => 'rotateInUpLeft',
                        esc_html__( 'rotateInUpRight', 'qonspt' ) => 'rotateInUpRight',

                        esc_html__( 'rotateOut', 'qonspt' ) => 'rotateOut',
                        esc_html__( 'rotateOutDownLeft', 'qonspt' ) => 'rotateOutDownLeft',
                        esc_html__( 'rotateOutDownRight', 'qonspt' ) => 'rotateOutDownRight',
                        esc_html__( 'rotateOutUpLeft', 'qonspt' ) => 'rotateOutUpLeft',
                        esc_html__( 'rotateOutUpRight', 'qonspt' ) => 'rotateOutUpRight',

                        esc_html__( 'slideInUp', 'qonspt' ) => 'slideInUp',
                        esc_html__( 'slideInDown', 'qonspt' ) => 'slideInDown',
                        esc_html__( 'slideInLeft', 'qonspt' ) => 'slideInLeft',
                        esc_html__( 'slideInRight', 'qonspt' ) => 'slideInRight',

                        esc_html__( 'slideOutUp', 'qonspt' ) => 'slideOutUp',
                        esc_html__( 'slideOutDown', 'qonspt' ) => 'slideOutDown',
                        esc_html__( 'slideOutLeft', 'qonspt' ) => 'slideOutLeft',
                        esc_html__( 'slideOutRight', 'qonspt' ) => 'slideOutRight',
                                          
                        esc_html__( 'zoomIn', 'qonspt' ) => 'zoomIn',
                        esc_html__( 'zoomInDown', 'qonspt' ) => 'zoomInDown',
                        esc_html__( 'zoomInLeft', 'qonspt' ) => 'zoomInLeft',
                        esc_html__( 'zoomInRight', 'qonspt' ) => 'zoomInRight',
                        esc_html__( 'zoomInUp', 'qonspt' ) => 'zoomInUp',

                        esc_html__( 'zoomOut', 'qonspt' ) => 'zoomOut',
                        esc_html__( 'zoomOutDown', 'qonspt' ) => 'zoomOutDown',
                        esc_html__( 'zoomOutLeft', 'qonspt' ) => 'zoomOutLeft',
                        esc_html__( 'zoomOutRight', 'qonspt' ) => 'zoomOutRight',
                        esc_html__( 'zoomOutUp', 'qonspt' ) => 'zoomOutUp',

                        esc_html__( 'hinge', 'qonspt' ) => 'hinge',
                        esc_html__( 'rollIn', 'qonspt' ) => 'rollIn',
                        esc_html__( 'rollOut', 'qonspt' ) => 'rollOut',
                    ),
                 ),
            ),
            'group' => 'Images',
        )
    )
);
