<?php
return array(
    "name"                      => esc_html__("Image Compare Slider", 'qonspt'),
    "base"                      => "wst_img_compare",
    'category'                  => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'icon'                      => 'no-bg stline-camera-double',
    "content_element"           => true,
    "description"               => esc_html__( "Display two images with dragable divider." , 'qonspt' ),
    "show_settings_on_create"   => true,
    "params"                    => array(
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Start Point (%)",'qonspt'),
            "param_name"        => "start_point",
            "std"               => "50",
            'edit_field_class'  => 'vc_column vc_col-xs-12',
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        ),array(
            "type"              => "attach_image",
            "heading"           => esc_html__("Main Image",'qonspt'),
            "param_name"        => "image",
            "group"             => esc_html__( "Main Slide" , 'qonspt' )
         ),array(
            'type'              => 'textarea',
            'heading'           => esc_html__( 'Text', 'qonspt' ),
            'param_name'        => 'main_text',
            'admin_label'       => true,
            'std'               => 'Original.',
            'group'             => esc_html__( 'Main Slide' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)",'qonspt'),
            "param_name"        => "txt_size",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Main Slide" , 'qonspt' ),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color",'qonspt'),
            "param_name"        => "txt_color",
            'edit_field_class'  => 'vc_column vc_col-xs-10',
            "group"             => esc_html__( "Main Slide" , 'qonspt' ),
         ),array(
            "type"              => "attach_image",
            "heading"           => esc_html__("Second Image",'qonspt'),
            "param_name"        => "sec_image",
            "group"             => esc_html__( "Second Slide" , 'qonspt' )
        ),array(
            'type'              => 'textarea',
            'heading'           => esc_html__( 'Text', 'qonspt' ),
            'param_name'        => 'second_text',
            'admin_label'       => true,
            'std'               => 'Modified.',
            'group'             => esc_html__( 'Second Slide' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)",'qonspt'),
            "param_name"        => "sec_txt_size",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Second Slide" , 'qonspt' ),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color",'qonspt'),
            "param_name"        => "sec_txt_color",
            'edit_field_class'  => 'vc_column vc_col-xs-10',
            "group"             => "Second Slide",
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Width (px)",'qonspt'),
            "param_name"        => "div_width",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Divider' , 'qonspt' ),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color",'qonspt'),
            "param_name"        => "div_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Divider' , 'qonspt' ),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Active Background",'qonspt'),
            "param_name"        => "div_act_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Divider' , 'qonspt' ),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Circle Background",'qonspt'),
            "param_name"        => "circ_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Divider' , 'qonspt' ),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Active Circle Background",'qonspt'),
            "param_name"        => "circ_act_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Divider' , 'qonspt' ),
         ),
    )
);
    
