<?php
return array(
    "name"              => esc_html__("List Item", 'qonspt'),
    "base"              => "wst_list_item",
    'category'          => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'description'       => esc_html__( 'Add List Item', 'qonspt' ),
    "content_element"   => true,
    'icon'              => 'no-bg stline-checklist-pen',
    "as_child"          => array('only' => 'wst_list'),
    "params"            => array(
        array(
            "type"              => "textarea_html",
            "heading"           => esc_html__("Content",'qonspt'),
            "param_name"        => "content",  
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Use Icon', 'qonspt' ),
            'param_name'        => 'use_icon',
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'std'               => '0',
            'value'             => array(
                '' => '1',
            ),
        ),
        array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Icon", "qonspt"),
            "param_name"        => "icon_param",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Width",'qonspt'),
            "param_name"        => "icon_width",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Height",'qonspt'),
            "param_name"        => "icon_height",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size",'qonspt'),
            "param_name"        => "icon_size",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "icon_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "icon_bgcolor",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),
        array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Shape', 'qonspt' ),
            'param_name'        => 'icon_shape',
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            'value'             => array(
                  esc_html__( 'Square', 'qonspt' )     => '',
                  esc_html__( 'Rounded', 'qonspt' )    => 'rounded',
                  esc_html__( 'Round', 'qonspt' )      => 'round',
                  esc_html__( 'Circle', 'qonspt' )     => 'circle',
            ),
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt"),
        ),
    )
);
    
