<?php
return array(
    "name"                      => esc_html__("List", "qonspt"),
    "base"                      => "wst_list",
    "as_parent"                 => array('only' => 'wst_list_item'),
    'icon'                      => 'no-bg stline-layout-bullets',
    "show_settings_on_create"   => true,
    'category'                  => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    "content_element"           => true,
    'description'               => esc_html__( 'Add Custom List with icon.', 'qonspt' ),
    "params"                    => array(
        array(
           'type'               => 'dropdown',
            'heading'           => esc_html__( 'Alignment', 'qonspt' ),
            'param_name'        => 'cust_list_align',
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-12',
            'value'             => array(
                esc_html__( 'Left' , 'qonspt' )  => '',
                esc_html__( 'Right' , 'qonspt' ) => 'text-right',
            )
        ),array(
            "type"              => "label",
            "heading"           => esc_html__( 'Padding (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 txt-right no-input mtop',
            "param_name"        => "list_padd_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "std"               => "10",
            "param_name"        => "list_padd_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "std"               => "10",
            "param_name"        => "list_padd_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)", "qonspt"),
            "param_name"        => "list_font_size",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Width", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            "param_name"        => "list_border_width",
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color",'qonspt'),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            "param_name"        => "list_border_color",
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style",'qonspt'),
            "param_name"        => "list_border_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value"             => array(
                esc_html__( "None" , 'qonspt' )      => "none",
                esc_html__( "Solid" , 'qonspt' )     => "solid",
                esc_html__( "Dashed" , 'qonspt' )    => "dashed",
                esc_html__( "Dotted" , 'qonspt' )    => "dotted",
            ),
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        )
    ),
    "js_view" => 'VcColumnView'
); 
    
