<?php
return array(
    "name"          => esc_html__("Team Member", 'qonspt'),
    "base"          => "wst_member", 
    'category'      => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'description'   => esc_html__( 'Add team member box to page', 'qonspt' ),
    'icon'          => 'no-bg stline-people-man-8',
    "params"        => array(
         array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Style",'qonspt'),
            "param_name"        => "member_style",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            "value"             => array(
                esc_html__( 'style 1' , 'qonspt' )    => '1',
                esc_html__( 'style 2' , 'qonspt' )    => '2',
                esc_html__( 'style 3' , 'qonspt' )    => '3',
                esc_html__( 'style 4' , 'qonspt' )    => '4',
            )
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Align",'qonspt'),
            "param_name"        => "align",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-4',
            "value"             => array(
                esc_html__( 'Left' , 'qonspt' )     =>'',
                esc_html__( 'Center' , 'qonspt' )   =>'text-center',
                esc_html__( 'Right' , 'qonspt' )    =>'text-right'
            )
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Radius ( PX )", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            "param_name"        => "border_radius",
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "bg_color",
            'dependency'        => array(
                'element'               => 'member_style', 
                'value_not_equal_to'    => '1'
            ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Background' , 'qonspt' ),
        ),array(
            'type'              => 'attach_image',
            'heading'           => esc_html__( 'Background Image', 'qonspt' ),
            'param_name'        => 'wst_bg_img',  
            'edit_field_class'  => 'vc_column vc_col-xs-10',
            'group'             => esc_html__( 'Background' , 'qonspt' ),
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Background Repeat', 'qonspt' ),
            'param_name'        => 'bg_image_repeat',
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Background' , 'qonspt' ),     
            'value'             => array(
                  esc_html__( 'Repeat', 'qonspt' )       => '',
                  esc_html__( 'Horizontally', 'qonspt' ) => 'repeat-x',
                  esc_html__('Vertically', 'qonspt')     => 'repeat-y',
                  esc_html__('No Repeat', 'qonspt')      => 'no-repeat'
            ),
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Background Attachment', 'qonspt' ),
            'param_name'        => 'bg_image_attachment',
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Background' , 'qonspt' ),
            'value'             => array(
                esc_html__( 'Scroll', 'qonspt' ) => '',
                esc_html__( 'Fixed', 'qonspt' )  => 'fixed',
            ),     
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Background Position', 'qonspt' ),
            'param_name'        => 'bg_image_position',
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Background' , 'qonspt' ),  
            'value'             => array(
                esc_html__( 'Left Top', 'qonspt' )     => '',
                esc_html__( 'Left Center', 'qonspt' )  => '0% 50%',
                esc_html__( 'Left Bottom', 'qonspt')   => '0% 100%',
                esc_html__( 'Right Top', 'qonspt')     => '100% 0%',
                esc_html__( 'Right Center', 'qonspt' ) => '100% 50%',
                esc_html__( 'Right Bottom', 'qonspt' ) => '100% 100%',
                esc_html__( 'Center Top', 'qonspt')    => '50% 0%',
                esc_html__( 'Center Center', 'qonspt') => '50% 50%',
                esc_html__( 'Center Bottom', 'qonspt' )=> '50% 100%'
            ),  
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Background Size', 'qonspt' ),
            'param_name'        => 'bg_cover', 
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Background' , 'qonspt' ),
            'value'             => array(
                esc_html__('-- Choose --','qonspt') => '',
                esc_html__( 'Cover', 'qonspt' )     => 'cover',
                esc_html__( 'Contain', 'qonspt' )   => 'contain',
                '100%' => '100% 100%',
            ),    
        ),array(
            "type"              => "attach_image",
            "heading"           => esc_html__("Image",'qonspt'),
            "param_name"        => "image",
            'group'             => esc_html__( 'Image' , 'qonspt' ),
        ),array(
            "type"              => "attach_image",
            "heading"           => esc_html__("Alternative Image",'qonspt'),
            "param_name"        => "alt_image",
            'group'             => esc_html__( 'Image' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "img_bg_color",
            "edit_field_class"  => "vc_column vc_col-xs-12",
            'group'             => esc_html__( 'Image' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Radius ( PX )", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-12",
            "param_name"        => "img_border_radius",
            'group'             => esc_html__( 'Image' , 'qonspt' ),
            'dependency'        => array(
                'element'            => 'member_style', 
                'value_not_equal_to' => '1'
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Overlay Color", "qonspt"),
            "param_name"        => "hover_over_color",
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'dependency'        => array(
                'element' => 'member_style', 
                'value'   => '4'
            ),
            'group'             => esc_html__( 'Image' , 'qonspt' ),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Name",'qonspt'),
            "param_name"        => "member_name",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'Details' , 'qonspt' ),
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Tag",'qonspt'),
            "param_name"        => "name_tag",
            'group'             => esc_html__( 'Details' , 'qonspt' ),
            'edit_field_class'  => 'vc_column sm_cell vc_col-xs-2',
            "value"             => array(
                'H1' =>'h1',
                'H2' =>'h2',
                'H3' =>'h3',
                'H4' =>'h4',
                'H5' =>'h5',
                'H6' =>'h6',
            ),
            "std"               => 'h4'
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "name_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Details' , 'qonspt' ),
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)",'qonspt'),
            "param_name"        => "name_size",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Details' , 'qonspt' ),
         ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Position",'qonspt'),
            "param_name"        => "member_position",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'Details' , 'qonspt' ),
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Tag",'qonspt'),
            "param_name"        => "post_tag",
            'group'             => esc_html__( 'Details' , 'qonspt' ),
            'edit_field_class'  => 'vc_column sm_cell vc_col-xs-2',
            "value"             => array(
                'H1' =>'h1',
                'H2' =>'h2',
                'H3' =>'h3',
                'H4' =>'h4',
                'H5' =>'h5',
                'H6' =>'h6',
            ),
            "std"               => 'h6'
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "position_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Details' , 'qonspt' ),
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)",'qonspt'),
            "param_name"        => "position_size",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Details' , 'qonspt' ),
         ),array(
            "type"              => "textarea_html",
            "heading"           => esc_html__("Details",'qonspt'),
            "param_name"        => "content",
            'group'             => esc_html__( 'Details' , 'qonspt' ),
         ),array(
            "type"              => "vc_link",
            "heading"           => esc_html__("Facebook",'qonspt'),
            "param_name"        => "member_fb",
            'group'             => esc_html__( 'Socials' , 'qonspt' ),
         ),array(
            "type"              => "vc_link",
            "heading"           => esc_html__("Twitter",'qonspt'),
            "param_name"        => "member_tw",
            'group'             => esc_html__( 'Socials' , 'qonspt' ),
         ),array(
            "type"              => "vc_link",
            "heading"           => esc_html__("LinkedIn",'qonspt'),
            "param_name"        => "member_ln",
            'group'             => esc_html__( 'Socials' , 'qonspt' ),
         ),array(
            "type"              => "vc_link",
            "heading"           => esc_html__("Google Plus",'qonspt'),
            "param_name"        => "member_go",
            'group'             => esc_html__( 'Socials' , 'qonspt' ),
         ),array(
            "type"              => "vc_link",
            "heading"           => esc_html__("Skype",'qonspt'),
            "param_name"        => "member_sk",
            'group'             => esc_html__( 'Socials' , 'qonspt' ),
         ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "soc_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'Socials' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "soc_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'Socials' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "soc_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'Socials' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Background Color", "qonspt"),
            "param_name"        => "soc_bg_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'Socials' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Radius ( PX )", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-12",
            "param_name"        => "soc_border_radius",
            'group'             => esc_html__( 'Socials' , 'qonspt' ),
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        )
    )
);
    
