<?php
return array(
    "name"                      => esc_html__("Popup Window", 'qonspt'),
    "base"                      => "wst_modal", 
    "as_parent"                 => array('except' => 'row'),
    "content_element"           => true,
    "show_settings_on_create"   => true,
    'category'                  => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'description'               => esc_html__( 'Add Popup window on click', 'qonspt' ),
    'icon'                      => 'no-bg fa fa-object-ungroup',
    "params"                    => array(
         array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Animation",'qonspt'),
            "param_name"        => "modal_anim",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "value"             => array(
                esc_html__( 'Fade in And Scale' , 'qonspt' )       => 'md-effect-1',
                esc_html__( 'Slide in (right)' , 'qonspt' )      => 'md-effect-2',
                esc_html__( 'Slide in (bottom)' , 'qonspt' )     => 'md-effect-3',
                esc_html__( 'Newspaper' , 'qonspt' )             => 'md-effect-4',
                esc_html__( 'Fall' , 'qonspt' )                  => 'md-effect-5',
                esc_html__( 'Side Fall' , 'qonspt' )             => 'md-effect-6',
                esc_html__( 'Sticky Up' , 'qonspt' )             => 'md-effect-7',
                esc_html__( '3D Flip (horizontal)' , 'qonspt' )  => 'md-effect-8',
                esc_html__( '3D Flip (vertical)' , 'qonspt' )    => 'md-effect-9',
                esc_html__( '3D Sign' , 'qonspt' )               => 'md-effect-10',
                esc_html__( 'Super Scaled' , 'qonspt' )          => 'md-effect-11',
                esc_html__( '3D Slit' , 'qonspt' )               => 'md-effect-13',
                esc_html__( '3D Rotate Bottom' , 'qonspt' )      => 'md-effect-14',
                esc_html__( '3D Rotate In Left' , 'qonspt' )     => 'md-effect-15',
            )
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Element",'qonspt'),
            "param_name"        => "modal_element",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            "value"             => array(
                esc_html__( 'Button' , 'qonspt' ) =>'mod_button',
                esc_html__( 'Image' , 'qonspt' )  =>'mod_image',
                esc_html__( 'Icon' , 'qonspt' )   =>'icon',
            )
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Content Padding (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop nowrp',
            "param_name"        => "conent_padd_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "conent_padd_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "conent_padd_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "conent_padd_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "conent_padd_left",
        ),array(
            "type"              => "numberfield",
            "heading"           => '',
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop nowrp',
            "param_name"        => "conent_padd_lbl2",
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__( 'Content Background', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-5',
            "param_name"        => "content_background",
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        ),
        array(
           'type'               => 'dropdown',
            'heading'           => esc_html__( 'Button Type', 'qonspt' ),
            'param_name'        => 'button_style',
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            'description'       => esc_html__( 'Select button type.', 'qonspt' ),
            'value'             => array(
                esc_html__( 'Button' , 'qonspt' )     => 'n-button',
                esc_html__('Normal Link' , 'qonspt' ) => 'n-link',
            ),
            'dependency'        => array(
                'element'   => 'modal_element',
                'value'     => 'mod_button',
            ),
        ),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Text" , 'qonspt' ),
            "param_name"        => "mod_btn_text",
            "std"               => "BUTTON TEXT",
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            'dependency'        => array(
                'element' => 'modal_element',
                'value'   => 'mod_button',
            ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Size",'qonspt'),
            "param_name"        => "mod_btn_size", 
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-12',
            "value"             => array(
                esc_html__( "Small" , 'qonspt' )   => "btn-sm",
                esc_html__( "Medium" , 'qonspt' )  => "btn-md",
                esc_html__( "Large" , 'qonspt' )   => "btn-lg",
                esc_html__( "X Large" , 'qonspt' ) => "btn-xl",
            ),
            "std"               => "btn-md",
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button'),
            'group'             => esc_html__( 'Button' , 'qonspt' ),
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Shape",'qonspt'),
            "param_name"        => "mod_btn_shape",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            "value"             => array(
                esc_html__( "Square" , 'qonspt' )  => "square",
                esc_html__( "Rounded" , 'qonspt' ) => "rounded",
                esc_html__( "Round" , 'qonspt' )   => "round",
            ),
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button'),
            'group'             => esc_html__( 'Button' , 'qonspt' ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Alignment",'qonspt'),
            "param_name"        => "mod_btn_align", 
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-5',
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button'),
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            "value"             => array(
                esc_html__( "Left" , 'qonspt' )   => "left",
                esc_html__( "Right" , 'qonspt' )  => "right",
                esc_html__( "Center" , 'qonspt' ) => "center",
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)", "qonspt"),
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button'),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            "param_name"        => "mod_btn_font_size",
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Color', 'qonspt' ),
            'param_name'        => 'mod_btn_color',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button')
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Background Color', 'qonspt' ),
            'param_name'        => 'mod_btn_bg_color',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button')
        ),array(
            "type"              => "textfield",
            "heading"           => 'Border Width (px)',
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "mod_btn_bord_lbl",
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button')
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "mod_btn_bord_top",
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button')
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "mod_btn_bord_right",
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button')
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "mod_btn_bord_bottom",
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button')
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "mod_btn_bord_left",
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button')
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Border Color', 'qonspt' ),
            'param_name'        => 'mod_btn_border_color',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button')
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Hover - Color', 'qonspt' ),
            'param_name'        => 'mod_btn_hov_color',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button')
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Hover - Background', 'qonspt' ),
            'param_name'        => 'mod_btn_hov_bg_color',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button')
        ),
        array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Hover - Border Color', 'qonspt' ),
            'param_name'        => 'mod_btn_hov_border_color',
            'edit_field_class'  => 'vc_column vc_col-xs-8',
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            'dependency'        => array( 'element' => 'button_style', 'value' => 'n-button')
        ),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("CSS class", "qonspt"),
            "param_name"        => "mod_btn_class",
            'group'             => esc_html__( 'Button' , 'qonspt' ),
            'dependency'        => array(
                'element' => 'modal_element',
                'value'   => 'mod_button',
            ),
            "description"       => esc_html__("add extra CSS class for this button.", "qonspt")
        ),
        array(
            "type"              => "attach_image",
            "heading"           => esc_html__("Image",'qonspt'),
            "param_name"        => "image",
            'group'             => esc_html__( 'Image' , 'qonspt' ),
            "value"             => '',
            'dependency'        => array(
                'element' => 'modal_element',
                'value'   => 'mod_image',
            ),
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Image Size",'qonspt'),
            "param_name"        => "img_size",
            'group'             => esc_html__( 'Image' , 'qonspt' ),
            "value"             => array(
                esc_html__( 'Small - 40x40' , 'qonspt' )               => '40x40',
                esc_html__( 'Small - 55x55' , 'qonspt' )               => '55x55',
                esc_html__( 'Small - 70x70' , 'qonspt' )               => '70x70',
                esc_html__( 'Thumbnail - 150x150' , 'qonspt' )         => 'thumbnail',
                esc_html__( 'Medium - 400x380' , 'qonspt' )            => 'blog-small-image',
                esc_html__( 'Large - 1024x1024' , 'qonspt' )           => 'large',
                esc_html__( 'Blog Large Image - 1170x470' , 'qonspt' ) => 'blog-large-image',
                esc_html__( 'Original Size' , 'qonspt' )               => 'full'
            ),                           
            "description"       => esc_html__("select the image size.",'qonspt'),
            "std"               => 'thumbnail',
            'dependency'        => array(
                'element' => 'modal_element',
                'value'   => 'mod_image',
            ),
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Use Icon', 'qonspt' ),
            'param_name'        => 'use_icon',
            'edit_field_class'  => 'hidden',
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'modal_element', 'value' => 'icon'),
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1',
        ),
        array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Icon", "qonspt"),
            "param_name"        => "icon_param",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Alignment",'qonspt'),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "param_name"        => "icon_align",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            "value"             => array(
                esc_html__( 'Left' , 'qonspt' )    => 'left',
                esc_html__( 'Center' , 'qonspt' )  => 'center',
                esc_html__( 'Right' , 'qonspt' )   => 'right',
            ),
            'dependency'        => array(
                'element'   => 'use_icon', 
                'not_empty' => true
            ),
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Shape",'qonspt'),
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            "param_name"        => "icon_shape",
            "value"             => array(
                esc_html__( 'Square' , 'qonspt' )    => 'square',
                esc_html__( 'Rounded' , 'qonspt' )   => 'rounded',
                esc_html__( 'round' , 'qonspt' )     => 'rounded-lg',
                esc_html__( 'Circle' , 'qonspt' )    => 'circle',
            ),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'icon_align', 
                'not_empty' => true
            )
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Size",'qonspt'),
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-6',
            "param_name"        => "icon_size",
            "value"             => array(
                esc_html__( 'X-Small' , 'qonspt' )   => 'box-xs-icon',
                esc_html__( 'Small' , 'qonspt' )     => 'box-sm-icon',
                esc_html__( 'Normal' , 'qonspt' )    => 'box-md-icon',
                esc_html__( 'Large' , 'qonspt' )     => 'box-lg-icon',
                esc_html__( 'X-Large' , 'qonspt' )   => 'box-xl-icon',
                esc_html__( 'XX-Large' , 'qonspt' )  => 'box-xxl-icon'
            ),
            'dependency'        => array(
                'element'   => 'icon_align', 
                'not_empty' => true
            ),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            "std"               => "box-md-icon"
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "icon_font_size",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Width (in px.)", "qonspt"),
            "param_name"        => "icon_border_width",
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color",'qonspt'),
            "param_name"        => "icon_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "icon_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "icon_border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "param_name"        => "icon_hover_color",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Background Color", "qonspt"),
            "param_name"        => "icon_bg_hover_color",
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Border Color", "qonspt"),
            "param_name"        => "icon_border_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        )
    ),
    "js_view" => 'VcColumnView'
);
    
