<?php
return array(
    "name"                      => esc_html__("Parallax Element", 'qonspt'),
    "base"                      => "wst_parallax_el",
    'category'                  => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'icon'                      => 'no-bg stline-picture-sun',
    "content_element"           => true,
    "show_settings_on_create"   => true,
    "params"                    => array(
         array(
            "type"              => "attach_image",
            "heading"           => esc_html__("Image",'qonspt'),
            "param_name"        => "image",
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Offset Top ( % )' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "el_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Offset Right ( % )' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "el_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Offset Bottom ( % )' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "el_bottom",                                           
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Offset Left ( % )' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "el_left",                                             
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Opacity" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "idl_lbl",
            'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Start ( from 0 to 1)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "el_opacity_start",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'End ( from 0 to 1)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "el_opacity_end",
        ),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__( "X-Axis" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "idls_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Start (in px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "el_x_start",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'End (in px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "el_x_end",
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Y-Axis" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "idlss_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Start (in px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "el_y_start",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'End (in px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "el_y_end",
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Scale" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "idlsss_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Start ( from 0 to 1 )' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "el_scale_start",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'End ( from 0 to 1 )' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "el_scale_end",
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Rotate" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "idlssss_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Start ( from 0 to 360 ) degree' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "el_rotate_start",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'End ( from 0 to 360 ) degree' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "param_name"        => "el_rotate_end",
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        )
    )
);
    
