<?php
return array(
    "name"              => esc_html__("Pricing Table", "qonspt"),
    "base"              => "wst_price_table",
    'category'          => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'description'       => esc_html__( 'Add Pricing Table', 'qonspt' ),
    "content_element"   => true,
    'icon'              => 'no-bg stline-money-bags',
    "params"            => array(
        array(
           'type'               => 'dropdown',
            'heading'           => esc_html__( 'Style', 'qonspt' ),
            'param_name'        => 'pricing_style',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-10',
            'description'       => esc_html__( 'Select Style.', 'qonspt' ),
            'value'             => array(
                esc_html__( 'Style 1' , 'qonspt' ) => 'pricing-1',
                esc_html__( 'Style 2' , 'qonspt' ) => 'pricing-2',
                esc_html__( 'Style 3' , 'qonspt' ) => 'pricing-3',
            ),
        ),array(
            "type"              => "checkbox",
            "heading"           => esc_html__("Featured?", "qonspt"),
            "param_name"        => "featured",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'value'             => array(
                '' => '1',
            )
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Alignment",'qonspt'),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "param_name"        => "align",
            "value"             => array(
                esc_html__( "Left" , 'qonspt' )    => "",
                esc_html__( "Center" , 'qonspt' )  => "center",
                esc_html__( "Right" , 'qonspt' )   => "right",
            ),
            "std"               => "center"
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Margin (px)" , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "mar_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_left",
        ),array(
            "type"              => "label",
            "heading"           => '',
            "edit_field_class"  => "vc_col-xs-6 sm_inps sm_col",
            "param_name"        => "margin_sss",
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Background', 'qonspt' ),
            'param_name'        => 'bg_main',
            'edit_field_class'  => 'select_bxs lg-items vc_column vc_col-xs-12',
            'value'             => array(
                  esc_html__( 'Color', 'qonspt' )      => 'color',
                  esc_html__( 'Gradient', 'qonspt' )   => 'gradient',
            ),
        ),array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Color', 'qonspt' ),
            'param_name'        => 'bg_color',
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'dependency'        => array(
                'element'  => 'bg_main',
                'value'    => array('color'),
            ),
        ),array(
            'type'              => 'gradientpicker',
            'heading'           => esc_html__( 'Gradient', 'qonspt' ),
            'param_name'        => 'bg_grad',
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'dependency'        => array(
                'element'  => 'bg_main',
                'value'    => 'gradient',
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => 'Border Width (px)',
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "bwdth",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "bord_left",
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "border_color",  
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style",'qonspt'),
            "param_name"        => "pric_bord_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "std"               => "none",
            "value"             => array(
                esc_html__( "None" , 'qonspt' )   => "none",
                esc_html__( "Solid" , 'qonspt' )  => "solid",
                esc_html__( "Dashed" , 'qonspt' ) => "dashed",
                esc_html__( "Dotted" , 'qonspt' ) => "dotted",
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Radius (px)",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "bor_radius",
            "value"             => "0",
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Box Shadow', 'qonspt' ),
            'param_name'        => 'idl_shad',
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'value'             => array(
                '' => '1',
            )
        ),array(
            "type"              => "numberfield",
            "heading"           => 'Shadow Properties (px)',
            'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop',
            "param_name"        => "shd_lbl1",
            'dependency'        => array('element' => 'idl_shad', 'not_empty' => true),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("X-axis", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad1",
            'dependency'        => array(
                'element' => 'idl_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Y-axis", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad2",
            'dependency'        => array(
                'element' => 'idl_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Blur", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "idl_shad3",
            'dependency'        => array(
                'element'  => 'idl_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Spread", "qonspt"),
            "edit_field_class"  => "vc_col-xs-2 sm_inps sm_col",
            "param_name"        => "idl_shad4",
            'dependency'        => array(
                'element' => 'idl_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Shadow Color",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "param_name"        => "shd_color",
            'dependency'        => array(
                'element' => 'idl_shad', 'not_empty' => true
            ),
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt"),
        ),
        
        // Hover...
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "main_bg_hover_color",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
        ),
        array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Border Width (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop text-right',
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            "param_name"        => "hover_bwdth",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            "param_name"        => "bord_hover_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            "param_name"        => "bord_hover_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            "param_name"        => "bord_hover_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            "param_name"        => "bord_hover_left",
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            "param_name"        => "border_hover_color",  
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style",'qonspt'),
            "param_name"        => "pric_hover_bord_style",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "std"               => "none",
            "value"             => array(
                esc_html__( "None" , 'qonspt' )   => "none",
                esc_html__( "Solid" , 'qonspt' )  => "solid",
                esc_html__( "Dashed" , 'qonspt' ) => "dashed",
                esc_html__( "Dotted" , 'qonspt' ) => "dotted",
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Radius (px)",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            "param_name"        => "bor_hover_radius",
            "value"             => "0",
        ),
        array(
            "type"              => "checkbox",
            "heading"           => esc_html__("Animate On Hover?", "qonspt"),
            "param_name"        => "anim_hover",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'value'             => array(
                '' => '1',
            )
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Hover Shadow', 'qonspt' ),
            'param_name'        => 'hover_shad',
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'value'             => array(
                '' => '1',
            )
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Shadow Properties (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop',
            "param_name"        => "shd_lblss",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            'dependency'        => array(
                'element' => 'hover_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("X-axis", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shd1",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            'dependency'        => array(
                'element' => 'hover_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Y-axis", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shd2",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            'dependency'        => array(
                'element' => 'hover_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Blur", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "hover_shd3",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            'dependency'        => array(
                'element' => 'hover_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Spread", "qonspt"),
            "edit_field_class"  => "vc_col-xs-2 sm_inps sm_col",
            "param_name"        => "hover_shd4",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            'dependency'        => array(
                'element' => 'hover_shad', 'not_empty' => true
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Shadow Color",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "param_name"        => "hover_shd_color",
            'group'             => esc_html__( 'Hover' , 'qonspt' ),
            'dependency'        => array('element' => 'hover_shad', 'not_empty' => true),
        ),
        
        // Title...
        array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Background', 'qonspt' ),
            'param_name'        => 'titl_bg_main',
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'select_bxs lg-items vc_column vc_col-xs-12',
            'value'             => array(
                  esc_html__( 'Color', 'qonspt' )    => 'color',
                  esc_html__( 'Gradient', 'qonspt' ) => 'gradient',
            ),
        ),array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Background Color', 'qonspt' ),
            'param_name'        => 'titl_bg_color',
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'dependency'        => array(
                'element' => 'titl_bg_main',
                'value'   => array('color'),
            ),
        ),array(
            'type'              => 'gradientpicker',
            'heading'           => esc_html__( 'Background Gradient', 'qonspt' ),
            'param_name'        => 'titl_bg_grad',
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'dependency'        => array(
                'element' => 'titl_bg_main',
                'value'   => 'gradient',
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Background Color", "qonspt"),
            "param_name"        => "titl_bg_hover_color",
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Title",'qonspt'),
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            "param_name"        => "price_title",
            "value"             => "Pricing Table Title",
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "titl_color", 
            "edit_field_class"  => "vc_column vc_col-xs-6",
            'group'             => esc_html__( 'Head' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "titl_hover_color", 
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Subtitle",'qonspt'),
            "param_name"        => "price_sub",
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            "value"             => "Pricing Subtitle",
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "subtitle_color",
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "subtitle_hover_color",
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
        ),
        // Price...
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Price",'qonspt'),
            "param_name"        => "price_price",
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "value"             => "99",
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Currency symbol",'qonspt'),
            "param_name"        => "currency",
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "value"             => "$",
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Interval",'qonspt'),
            "param_name"        => "interval",
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            "value"             => "/ Month",
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "price_color", 
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "price_hover_color", 
            'group'             => esc_html__( 'Head' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
        ),
        // Content...
        array(
            "type"              => "textarea_html",
            "heading"           => esc_html__("Content",'qonspt'),
            "param_name"        => "content",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
        ),array(
            'type'              => 'param_group',
            'heading'           => esc_html__('Features', 'qonspts'),
            'param_name'        => 'tbl_feature',
            'value'             => urlencode( 
                json_encode( 
                    array(
                        array(
                            'feature_text' => 'Unlimited Updates',
                            'use_icon'     => '',
                            'icon_color'   => ''
                        ),
                        array(
                            'feature_text' => 'Free Emails',
                            'use_icon'     => '',
                            'icon_color'   => ''
                        ),
                        array(
                            'feature_text'=> 'Online Support',
                            'use_icon'    => '',
                            'icon_color'  => ''
                        ),
                    )
                ) 
            ),
            'params' => array(
                array(
                    'type'              => 'textfield',
                    'heading'           => esc_html__( 'Label', 'qonspt' ),
                    'param_name'        => 'feature_text',
                    'description'       => esc_html__( 'Enter text used for feature line.', 'qonspt' ),
                    'admin_label'       => true,
                ),
                array(
                    'type'              => 'checkbox',
                    'heading'           => esc_html__( 'Use Icon', 'qonspt' ),
                    'param_name'        => 'use_icon',
                    'value'             => array(
                        '' => '1',
                    ),
                ),
                array(
                    "type"              => "wst_icon_pop",
                    "heading"           => esc_html__("Icon", "qonspt"),
                    "param_name"        => "icon_param",
                    'group'             => esc_html__( 'Icon' , 'qonspt' ),
                    'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
                ),
                array(
                    "type"              => "colorpicker",
                    "heading"           => esc_html__("Icon Color", "qonspt"),
                    "param_name"        => "icon_color",                  
                    'edit_field_class'  => 'vc_column vc_col-xs-12',
                    'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
                ),
            ),
            'group'             => esc_html__( 'Content' , 'qonspt' ),
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Alignment",'qonspt'),
            'edit_field_class'  => 'vc_column select_bxs vc_col-xs-12',
            "param_name"        => "content_align", 
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            "value"             => array(
                esc_html__( "Left" , 'qonspt' )   => "",
                esc_html__( "Center" , 'qonspt' ) => "center",
                esc_html__( "Right" , 'qonspt' )  => "right",
            ),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "main_color",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "main_hover_color",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Dividers Color", "qonspt"),
            "param_name"        => "div_color",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Dividers Hover Color", "qonspt"),
            "param_name"        => "div_hover_color",
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
        ),
        
        // Label...
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Label Style",'qonspt'),
            "param_name"        => "pric_lbl_style",
            'group'             => esc_html__( 'Label' , 'qonspt' ),
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "value"             => array(
                esc_html__( "Clean Tag" , 'qonspt' )         => "tag",
                esc_html__( "Custom (upload)" , 'qonspt' )   => "upload",
            ),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Label" , 'qonspt' ),
            "param_name"        => "lbl_txt",
            'group'             => esc_html__( 'Label' , 'qonspt' ),
            'dependency'        => array('element' => 'pric_lbl_style', 'value_not_equal_to' => 'upload'),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-12 sm_inps sm_col",
            'dependency'        => array('element' => 'pric_lbl_style', 'value_not_equal_to' => 'upload'),
            "param_name"        => "lbl_font_size",
            'group'             => esc_html__( 'Label' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "lbl_color",
            'edit_field_class'  => 'vc_column vc_col-xs-12', 
            'group'             => esc_html__( 'Label' , 'qonspt' ),
            'dependency'        => array('element' => 'pric_lbl_style', 'value_not_equal_to' => 'upload'),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "lbl_bg_color",                  
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'dependency'        => array('element' => 'pric_lbl_style', 'value_not_equal_to' => 'upload'),
            'group'             => esc_html__( 'Label' , 'qonspt' ), 
        ),array(
            "type"              => "label",
            "heading"           => esc_html__( 'Padding (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "lbl_pad_lbl",
            'dependency'        => array('element' => 'pric_lbl_style', 'value_not_equal_to' => 'upload'),
            'group'             => esc_html__( 'Label' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "lbl_padd_top",
            'dependency'        => array('element' => 'pric_lbl_style', 'value_not_equal_to' => 'upload'),
            'group'             => esc_html__( 'Label' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "lbl_padd_right",
            'dependency'        => array('element' => 'pric_lbl_style', 'value_not_equal_to' => 'upload'),
            'group'             => esc_html__( 'Label' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "lbl_padd_bottom",
            'dependency'        => array('element' => 'pric_lbl_style', 'value_not_equal_to' => 'upload'),
            'group'             => esc_html__( 'Label' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-7 sm_inps sm_col",
            'dependency'        => array('element' => 'pric_lbl_style', 'value_not_equal_to' => 'upload'),
            "param_name"        => "lbl_padd_left",
            'group'             => esc_html__( 'Label' , 'qonspt' ),
        ),array(
            'type'              => 'attach_image',
            'heading'           => esc_html__( 'Image', 'qonspt' ),
            'param_name'        => 'wst_bg_img',
            'group'             => esc_html__( 'Label' , 'qonspt' ),
            'dependency'        => array('element' => 'pric_lbl_style','value' => 'upload',),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Offset (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop',
            "param_name"        => "off_lbl1",
            'group'             => esc_html__( 'Label' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            'group'             => esc_html__( 'Label' , 'qonspt' ),
            "param_name"        => "off_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            'group'             => esc_html__( 'Label' , 'qonspt' ),
            "param_name"        => "off_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            'group'             => esc_html__( 'Label' , 'qonspt' ),
            "param_name"        => "off_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-7 sm_inps sm_col",
            'group'             => esc_html__( 'Label' , 'qonspt' ),
            "param_name"        => "off_left",
        ),
        
        // Footer...
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "footer_bg_color",
            'group'             => esc_html__( 'Footer' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Background Color", "qonspt"),
            "param_name"        => "footer_bg_hover_color",
            'group'             => esc_html__( 'Footer' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
        ),
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Add Button', 'qonspt' ),
            'param_name'        => 'add_btn',
            'group'             => esc_html__( 'Footer' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'value'             => array(
                '' => '1',
            )
        ),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Button Text",'qonspt'),
            "param_name"        => "btn_txt",
            'dependency'        => array('element' => 'add_btn', 'not_empty' => true),
            'group'             => esc_html__( 'Footer' , 'qonspt' ),
        ),
        array(
            "type"              => "vc_link",
            "heading"           => esc_html__("Link",'qonspt'),
            'group'             => esc_html__( 'Footer' , 'qonspt' ),
            'dependency'        => array('element' => 'add_btn', 'not_empty' => true),
            "param_name"        => "btn_link"
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Button Size",'qonspt'),
            "param_name"        => "btn_size",
            'dependency'        => array('element' => 'add_btn', 'not_empty' => true),
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-12',
            'group'             => esc_html__( 'Footer' , 'qonspt' ),
            "value"             => array(
                esc_html__( 'Small' , 'qonspt' )    => 'sm',
                esc_html__( 'Normal' , 'qonspt' )   => 'md',
                esc_html__( 'Large' , 'qonspt' )    => 'lg',
                esc_html__( 'X-Large' , 'qonspt' )  => 'xl',
                esc_html__( 'XX-Large' , 'qonspt' ) => 'xxl',
            ),
            "std"               => "sm",
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Button Shape",'qonspt'),
            "param_name"        => "btn_shape",
            'dependency'        => array('element' => 'add_btn', 'not_empty' => true),
            'edit_field_class'  => 'select_bxs vc_column lg_items vc_col-xs-12',
            'group'             => esc_html__( 'Footer' , 'qonspt' ),
            "value"             => array(
                esc_html__( 'Square' , 'qonspt' ) => 'square',
                esc_html__('Rounded' , 'qonspt' ) => 'rounded',
                esc_html__( 'Round' , 'qonspt' )  => 'round',
            ),
        ),
        array(
            "type"              => "checkbox",
            "heading"           => esc_html__("Full Width", "qonspt"),
            "param_name"        => "full_btn",
            'edit_field_class'  => 'vc_column vc_col-xs-12 nowrp',
            'dependency'        => array('element' => 'add_btn', 'not_empty' => true),
            'group'             => esc_html__( 'Footer' , 'qonspt' ),
            'value'             => array(
                '' => '1',
            )
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "bt_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4', 
            'group'             => esc_html__( 'Footer' , 'qonspt' ),
            'dependency'        => array('element' => 'add_btn', 'not_empty' => true),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "bt_bg_color",                  
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Footer' , 'qonspt' ), 
            'dependency'        => array('element' => 'add_btn', 'not_empty' => true),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "bt_border_color",                  
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Footer' , 'qonspt' ), 
            'dependency'        => array('element' => 'add_btn', 'not_empty' => true),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "bt_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4', 
            'group'             => esc_html__( 'Footer' , 'qonspt' ),
            'dependency'        => array('element' => 'add_btn', 'not_empty' => true),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover BG Color", "qonspt"),
            "param_name"        => "bt_hover_bg_color",                  
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Footer' , 'qonspt' ), 
            'dependency'        => array('element' => 'add_btn', 'not_empty' => true),
        ),
        array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Hover Color", "qonspt"),
            "param_name"        => "bt_hover_border_color",                  
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Footer' , 'qonspt' ), 
            'dependency'        => array('element' => 'add_btn', 'not_empty' => true),
        ),
    )
);
    
