<?php
return array(
    "name"          => esc_html__("Recent Posts", "qonspt"),
    "base"          => "wst_recent_posts",
    'category'      => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'icon'          => 'no-bg stline-book-close',
    'description'   => esc_html__( 'Add recent posts in page', 'qonspt' ),
    "params"        => array(
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Style",'qonspt'),
            "param_name"        => "rp_style",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "value"             => array(
                esc_html__( 'Style 1' , 'qonspt' )            => '1',
                esc_html__( 'Style 2' , 'qonspt' )            => '2',
                esc_html__( 'Style 3' , 'qonspt' )            => '3',
            ),
            "description"       => esc_html__("select the recent posts style.",'qonspt')
         ),array(
            "type"              => "wst_multiselect",
            "heading"           => esc_html__("Category",'qonspt'),
            "param_name"        => "wst_cat",
            "value"             => wst_dropdown_cats(),
            "description"       => esc_html__("type the item category.",'qonspt')
         ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Execlude Posts",'qonspt'),
            "param_name"        => "posts_exec",
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            "description"       => esc_html__("Enter post ID to be execluded (separate each id with comma).",'qonspt')
         ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Image Size",'qonspt'),
            "param_name"        => "img_size",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "value"             => wst_get_image_sizes(),                           
            "description"       => esc_html__("select the pager type.",'qonspt'),
            "std"               => 'large'
         ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Number Of Posts", "qonspt"),
            "param_name"        => "max_pos",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'value'             => '5',
            "description"       => esc_html__("Max. Number of Posts.", "qonspt"),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Max. Number of words", "qonspt"),
            "param_name"        => "max_words",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'value'             => '20',
            "description"       => esc_html__("Enter -1 to disable this.", "qonspt"),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Columns", "qonspt"),
            "param_name"        => "rp_cols",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value"             => array(
                esc_html__( '1 Column' , 'qonspt' )   => '12',
                esc_html__( '2 Columns' , 'qonspt' )  => '6',
                esc_html__( '3 Columns' , 'qonspt' )  => '4',
                esc_html__( '4 Columns' , 'qonspt' )  => '3',
            ),
            "description"       => esc_html__("Number of coulmns per row.", "qonspt"),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Title', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'param_name'        => 'show_title',
            'value'             => array( '' => '1' ),
            'std'               => '1',
            "description"       => esc_html__("Show post title.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Post Media', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'param_name'        => 'show_media',
            'value'             => array( '' => '1' ),
            'std'               => '1',
            "description"       => esc_html__("Show post Media.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Date', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'param_name'        => 'show_date',
            'std'               => '1',
            'value'             => array( '' => '1' ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Author', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'param_name'        => 'show_auth',
            'value'             => array( '' => '1' ),
            "description"       => esc_html__("Show Author.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Category', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'param_name'        => 'show_cat',
            'value'             => array( '' => '1' ),
            'std'               => '1',
            "description"       => esc_html__("Show post meta.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Content', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'param_name'        => 'show_except',
            'value'             => array( '' => '1' ),
            'std'               => '1',
            "description"       => esc_html__("Show post excerpt.",'qonspt'),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Social Icons', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'param_name'        => 'show_socials',
            'value'             => array( '' => '1' ),
        ),array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Read More', 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'param_name'        => 'show_more',
            'value'             => array('' => '1'),
            'dependency'        => array( 'element' => 'rp_style', 'value_not_equal_to' => array('4','5') )
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Read More Text",'qonspt'),
            "param_name"        => "mor_txt",
            'std'               => 'Read More',
            'dependency'        => array( 'element' => 'show_more', 'not_empty' => true )
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        ),  
    )
);
    