<?php
return array(
    "name"              => esc_html__("Step", 'qonspt'),
    "base"              => "wst_step",
    'category'          => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    'description'       => esc_html__( 'Add Step', 'qonspt' ),
    "content_element"   => true,
    'icon'              => 'no-bg stline-send-email',
    "as_child"          => array('only' => 'wst_steps'),
    "params"            => array(
        array(
            'type'              => 'checkbox',
            'heading'           => esc_html__( 'Use Icon', 'qonspt' ),
            'param_name'        => 'use_icon',
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1',
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Title",'qonspt'),
            "param_name"        => "step_title",
            'edit_field_class'  => 'vc_column vc_col-xs-9',
            "description"       => esc_html__("Step title.",'qonspt') ,
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "title_color",
        ),array(
            "type"              => "textarea_html",
            "heading"           => esc_html__("Content",'qonspt'),
            "param_name"        => "content",  
        ),
        array(
            "type"              => "label",
            "heading"           => esc_html__( 'Content Padding (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop',
            "param_name"        => "cont_padd_lbl",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "edit_field_class"  => "vc_col-xs-2 sm_inps sm_col",
            "param_name"        => "cont_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "edit_field_class"  => "vc_col-xs-2 sm_inps sm_col",
            "param_name"        => "cont_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "edit_field_class"  => "vc_col-xs-2 sm_inps sm_col",
            "param_name"        => "cont_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "edit_field_class"  => "vc_col-xs-3 sm_inps sm_col",
            "param_name"        => "cont_left",
        ),
        wst_animation(),
        wst_animation_delay(),
        wst_animation_duration(),
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt"),
        ),array(
            "type"              => "wst_icon_pop",
            "heading"           => esc_html__("Icon", "qonspt"),
            "param_name"        => "icon_param",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            'dependency'        => array( 'element' => 'use_icon', 'not_empty' => true)
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Shape",'qonspt'),
            "param_name"        => "shape",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-6',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
            "value"             => array(
                esc_html__( 'Square' , 'qonspt' )    => '',
                esc_html__( 'Rounded' , 'qonspt' )   => 'rounded',
                esc_html__( 'Circle' , 'qonspt' )    => 'circle',
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Width (px)", "qonspt"),
            "param_name"        => "icon_width",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Height (px)", "qonspt"),
            "param_name"        => "icon_height",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)", "qonspt"),
            "param_name"        => "icon_size",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'std'               => '#b400ff',
            "param_name"        => "color",
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "border_color",
            'std'               => '#b400ff',
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Width (px)", "qonspt"),
            "param_name"        => "border_width",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'std'               => '4',
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Border Style",'qonspt'),
            "param_name"        => "border_style",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ), 
            "value"             => array(
                esc_html__( "None" , 'qonspt' )    => "",
                esc_html__( "Solid" , 'qonspt' )   => "solid",
                esc_html__( "Dashed" , 'qonspt' )  => "dashed",
                esc_html__( "Dotted" , 'qonspt' )  => "dotted",
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "hover_color",
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Background Color", "qonspt"),
            "param_name"        => "hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Border Color", "qonspt"),
            "param_name"        => "hover_border_color",
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ), array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Separator Color", "qonspt"),
            "param_name"        => "line_color",
            'std'               => '#b400ff',
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Separator Height (PX)", "qonspt"),
            "param_name"        => "sep_height",
            'std'               => '6',
            'edit_field_class'  => 'vc_column vc_col-xs-6',
            'dependency'        => array('element' => 'use_icon', 'not_empty' => true),
            'group'             => esc_html__( 'Icon' , 'qonspt' ),
        ),
    )
);
    
