<?php
return array(
    "name"              => esc_html__("Testimonial BlockQuote", 'qonspt'),
    "base"              => "wst_testimonial",
    'category'          => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    "content_element"   => true,
    'icon'              => 'no-bg stline-messages-bubble-typing-1',
    "as_child"          => array('only' => 'wst_testimonials'),
    "params"            => array(
        array(
            "type"              => "textfield",
            "heading"           => esc_html__("Author",'qonspt'),
            "param_name"        => "author",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)",'qonspt'),
            "param_name"        => "author_size",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "author_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "hover_author_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Position",'qonspt'),
            "param_name"        => "slogan",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size (px)", "qonspt"),
            "param_name"        => "slogan_size",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Color", "qonspt"),
            "param_name"        => "slogan_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "param_name"        => "hover_slogan_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
        ),array(
            "type"              => "attach_image",
            "heading"           => esc_html__("Image",'qonspt'),
            "param_name"        => "image",
            'group'             => esc_html__( 'Image' , 'qonspt' ),
        ),array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Image Size",'qonspt'),
            "param_name"        => "img_size",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            'group'             => esc_html__( 'Image' , 'qonspt' ),
            "value"             => array(
                esc_html__( 'Small - 40x40' , 'qonspt' )                 => '40x40',
                esc_html__( 'Small - 55x55' , 'qonspt' )                 => '55x55',
                esc_html__( 'Small - 70x70' , 'qonspt' )                 => '70x70',
                esc_html__( 'Medium - 100x100' , 'qonspt' )              => '100x100',
                esc_html__( 'Thumbnail - 150x150' , 'qonspt' )           => 'thumbnail',
                esc_html__( 'Medium - 400x380' , 'qonspt' )              => 'blog-small-image',
                esc_html__( 'Large - 1024x1024' , 'qonspt' )             => 'large',
                esc_html__( 'Blog Large Image - 1170x470' , 'qonspt' )   => 'blog-large-image',
                esc_html__( 'Original Size' , 'qonspt' )                 => 'full'
            ),                           
            "std"               => '55x55'
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Shape', 'qonspt' ),
            'param_name'        => 'img_shape',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-8',
            'group'             => esc_html__( 'Image' , 'qonspt' ),
            'value'             => array(
                esc_html__( 'Rounded', 'qonspt' )  => 'rounded',
                esc_html__( 'Square', 'qonspt' )   => 'square',
                esc_html__( 'Circle', 'qonspt' )   => 'circle',
            ),
            'std'               => 'rounded',
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Width", "qonspt"),
            "edit_field_class"  => "vc_column vc_col-xs-6",
            'group'             => esc_html__( 'Image' , 'qonspt' ),
            "param_name"        => "img_bord_width",
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "img_border_color",
            "edit_field_class"  => "vc_column vc_col-xs-6",
            'group'             => esc_html__( 'Image' , 'qonspt' ),
        ),array(
            "type"              => "textarea_html",
            "heading"           => esc_html__("Content",'qonspt'),
            "param_name"        => "content",
            "group"             => esc_html__( "Content" , 'qonspt' ),
            "value"             => "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar.",
        ),array(
            'type'              => 'wst_google_fonts',
            'heading'           => esc_html__( 'Font Family', 'qonspt' ),
            'param_name'        => 'cont_font_family',
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'group'             => esc_html__( 'Content' , 'qonspt' ),
        ),array(
            'type'              => 'label',
            'heading'           => esc_html__( 'Grumpy wizards make toxic brew for the evil Queen and Jack.', 'qonspt' ),
            'param_name'        => 'sgfont',
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'edit_field_class'  => 'gfonts',
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Hover Color", "qonspt"),
            "group"             => esc_html__( "Content" , 'qonspt' ),   
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "hover_cont_color",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Font Size", "qonspt"),
            "param_name"        => "content_size",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Content' , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Line Height (px)", "qonspt"),
            "param_name"        => "content_line_height",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Content' , 'qonspt' ),
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Font Weight', 'qonspt' ),
            'param_name'        => 'content_weight',
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'value'             => array(
                esc_html__( '-- Select --' , 'qonspt' ) => '',
                esc_html__( 'normal' , 'qonspt' ) => 'normal',
                esc_html__( 'bold' , 'qonspt' ) => 'bold',
                esc_html__( 'lighter' , 'qonspt' ) => 'lighter',
                esc_html__( 'bolder' , 'qonspt' ) => 'bolder',
                '100' => '100',
                '200' => '200',
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
                '900' => '900',
                esc_html__( 'inherit' , 'qonspt' ) => 'inherit'
            ),
        ),array(
            "type"              => "checkbox",
            "heading"           => esc_html__("Show Quote Icon", "qonspt"),
            "param_name"        => "show_qte",
            'edit_field_class'  => 'vc_column vc_col-xs-12',
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'value'             => array(
                '' => '1',
            ),
            'std'               => '1'
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Icon Style', 'qonspt' ),
            'param_name'        => 'qte_style',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-5',
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'value'             => array(
                esc_html__( 'Style 1', 'qonspt' ) => '1',
                esc_html__( 'Style 2', 'qonspt' ) => '2',
                esc_html__( 'Style 3', 'qonspt' ) => '3',
                esc_html__( 'Style 4', 'qonspt' ) => '4',
            ),
            'dependency'        => array(
                'element'   => 'show_qte',
                'not_empty' => true,
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Icon size (PX)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "param_name"        => "qte_size",
            "group"             => esc_html__( "Content" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'show_qte',
                'not_empty' => true,
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Icon Color", "qonspt"),
            "param_name"        => "qte_color",
            'edit_field_class'  => 'vc_column vc_col-xs-5',
            'group'             => esc_html__( 'Content' , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'show_qte',
                'not_empty' => true,
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Icon Position (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop nowrp',
            "param_name"        => "poss_lbl",
            'dependency'        => array( 'element' => 'show_qte','not_empty' => true ),
            "group"             => esc_html__( "Content" , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            'dependency'        => array( 'element' => 'show_qte','not_empty' => true ),
            "group"             => esc_html__( "Content" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "qte_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            'dependency'        => array( 'element' => 'show_qte','not_empty' => true ),
            "group"             => esc_html__( "Content" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "qte_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            'dependency'        => array( 'element' => 'show_qte','not_empty' => true ),
            "group"             => esc_html__( "Content" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "qte_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            'dependency'        => array( 'element' => 'show_qte','not_empty' => true ),
            "group"             => esc_html__( "Content" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "qte_left",
        ),array(
            "type"              => "numberfield",
            "heading"           => '',
            'edit_field_class'  => 'vc_column vc_col-xs-6 no-input mtop',
            "param_name"        => "mar_lblaa6",
            "group"             => esc_html__( "Content" , 'qonspt' ),
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Alignment', 'qonspt' ),
            'param_name'        => 'box_align',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            "group"             => esc_html__( "Design" , 'qonspt' ),
            'value'             => array(
                esc_html__( 'Left', 'qonspt' )     => '',
                esc_html__( 'Center', 'qonspt' )   => 'text-center',
                esc_html__( 'Right', 'qonspt' )    => 'text-right',
            ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Padding (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop nowrp',
            "param_name"        => "pad_lbl",
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_left",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__( 'Margin (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop text-right',
            "param_name"        => "mar_lbl",
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Top", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_top",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Right", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_right",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Bottom", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_bottom",
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Left", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_left",
        ),array(
            "type"              => "numberfield",
            "heading"           => '',
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop',
            "param_name"        => "mar_lblaa",
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Idle Styling" , 'qonspt' ),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "idle_lbl",
        ),array(
            'type'              => 'dropdown',
            'heading'           => esc_html__( 'Background', 'qonspt' ),
            'param_name'        => 'test_bg',
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-4',
            'std'               => 'color',
            "group"             => esc_html__( "Design" , 'qonspt' ),
            'value'             => array(
                esc_html__( 'Color', 'qonspt' )      => 'color',
                esc_html__( 'Gradient', 'qonspt' )   => 'gradient',
            ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            "type"              => "numberfield",
            "heading"           => esc_html__("Border Radius", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_column vc_col-xs-2",
            "param_name"        => "border_radius",
        ),array(
            "type"              => "checkbox",
            "heading"           => esc_html__("Shadow ?", "qonspt"),
            "param_name"        => "shad",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Design" , 'qonspt' ),
            'value'             => array(
                '' => '1',
            )
        ),array(
            'type'              => 'colorpicker',
            'heading'           => esc_html__( 'Background Color', 'qonspt' ),
            'param_name'        => 'bg_color',
            "group"             => esc_html__( "Design" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'test_bg',
                'value'     => array('color'),
            ),
        ),array(
            'type'              => 'gradientpicker',
            'param_name'        => 'test_bg_grad',
            "group"             => esc_html__( "Design" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'test_bg',
                'value'     => 'gradient',
            ),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__( "Hover Styling" , 'qonspt' ),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "hover_lbl",
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            "type"              => "colorpicker",
            "heading"           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "hover_border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-9',
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            "type"              => "textfield",
            "heading"           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        )
    )
);
