<?php
return array(
    "name"                      => esc_html__("Testimonials", "qonspt"),
    "base"                      => "wst_testimonials",
    "as_parent"                 => array('only' => 'wst_testimonial'),
    'icon'                      => 'no-bg stline-messages-bubble-text-1',
    'save_always'               => true,
    'category'                  => esc_html__( 'Qonspt Shortcodes', 'qonspt' ),
    "content_element"           => true,
    "show_settings_on_create"   => true,
    'description'               => esc_html__( 'Add testimonial parent container', 'qonspt' ),
    "params"                    => array(
        array(
            'type'              => "dropdown",
            'heading'           => esc_html__("Style",'qonspt'),
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-12',
            "param_name"        => "block_style",
            "value" => array(
                esc_html__( 'Style 1' , 'qonspt' )   => '1',
                esc_html__( 'Style 2' , 'qonspt' )   => '2',
                esc_html__( 'Simple' , 'qonspt' )    => '3',
            ),
        ),
        array(
            'type'              => "dropdown",
            'heading'           => esc_html__("Type",'qonspt'),
            "param_name"        => "block_type",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-12',
            "value" => array(
                esc_html__( 'Normal' , 'qonspt' )    => 'normal',
                esc_html__( 'Carousel' , 'qonspt' )  => 'carousel',
                esc_html__( 'Grid' , 'qonspt' )      => 'grid',
            ),
         ),array(
            'type'              => "dropdown",
            'heading'           => esc_html__("Columns",'qonspt'),
            "param_name"        => "grid_cols",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
            'dependency'        => array(
                'element'   => 'block_type',
                'value'     => array('grid','normal')
            ),
            "value" => array(
                esc_html__( '1 Column' , 'qonspt' )  => '12',
                esc_html__( '2 Columns' , 'qonspt' ) => '6',
                esc_html__( '3 Columns' , 'qonspt' ) => '4',
                esc_html__( '4 Columns' , 'qonspt' ) => '3',
                esc_html__( '5 Columns' , 'qonspt' ) => '15',
                esc_html__( '6 Columns' , 'qonspt' ) => '2',
            ),
        ),array(
            'type'              => "textfield",
            'heading'           => esc_html__("Extra class name", "qonspt"),
            "param_name"        => "el_class",
            "description"       => esc_html__("Style particular content element differently - add a class name and refer to it in custom CSS.", "qonspt")
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__( 'Padding (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop nowrp',
            "param_name"        => "pad_lbl",
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Top", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_top",
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Right", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_right",
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Bottom", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_bottom",
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Left", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "padd_left",
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__( 'Margin (px)' , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2 no-input mtop text-right',
            "param_name"        => "mar_lbl",
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Top", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_top",
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Right", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_right",
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Bottom", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_bottom",
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Left", "qonspt"),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            "edit_field_class"  => "vc_col-xs-1 sm_inps sm_col",
            "param_name"        => "margin_left",
        ),array(
            'type'              => "numberfield",
            'heading'           => '',
            'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop',
            "param_name"        => "mar_lblaa",
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            'type'              => "textfield",
            'heading'           => esc_html__( "Idle Styling" , 'qonspt' ),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "idle_lbl",
        ),array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Border Width", "qonspt"),
            "param_name"        => "border_width",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            'type'              => "textfield",
            'heading'           => esc_html__( "Hover Styling" , 'qonspt' ),
            "group"             => esc_html__( "Design" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',    
            "param_name"        => "hoverss_lbl",
        ),array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "hover_border_color",
            'edit_field_class'  => 'vc_column vc_col-xs-8',
            "group"             => esc_html__( "Design" , 'qonspt' ),
        ),
        array(
            'type'              => "dropdown",
            'heading'           => esc_html__("Type",'qonspt'),
            "param_name"        => "v_type", 
            "group"             => esc_html__( "Carousel" , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value" => array(
                esc_html__( 'Horizontal' , 'qonspt' ) => 'horizontal',
                esc_html__( 'Vertical' , 'qonspt' )   => 'vertical',
            )
        ),array(
            'type'              => "dropdown",
            'heading'           => esc_html__("Cursor",'qonspt'),
            "param_name"        => "v_cursor",      
            "group"             => esc_html__( "Carousel" , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value" => array(
                esc_html__( 'Default' , 'qonspt' )   => '',
                esc_html__( 'Grab' , 'qonspt' )      => 'grab',
                esc_html__( 'Pointer' , 'qonspt' )   => 'pointer',
                esc_html__( 'Move' , 'qonspt' )      => 'move',
                esc_html__( 'Help' , 'qonspt' )      => 'help',
                esc_html__( 'Resize' , 'qonspt' )    => 'e-resizr',
                esc_html__( 'Progress' , 'qonspt' )  => 'progress',
            )
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Slides to show", "qonspt"),
            "param_name"        => "v_slides",
            "group"             => esc_html__( "Carousel" , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value"             => '1',
            "description"       => esc_html__("number of visible slides.", "qonspt")
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Slides to Scroll", "qonspt"),  
            'edit_field_class'  => 'vc_column vc_col-xs-2',  
            "group"             => esc_html__( "Carousel" , 'qonspt' ), 
            "param_name"        => "v_scroll",
            "value"             => '1',
            "description"       => esc_html__("No. of scrollable slides.", "qonspt")
        ),array(
            'type'              => "dropdown",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Carousel" , 'qonspt' ),
            'heading'           => esc_html__("Space between slides",'qonspt'),
            "param_name"        => "gap",
            "value" => array(
                'None' =>'0',
                '1px' =>'1px',
                '2px' =>'2px',
                '3px' =>'3px',
                '4px' =>'4px',
                '5px' =>'5px',
                '10px' =>'10px',
                '15px' =>'15px',
                '20px' =>'20px',
                '25px' =>'25px',
                '30px' =>'30px',
                '35px' =>'35px',
            ),
        ),array(
            'type'              => "checkbox",
            'heading'           => esc_html__("AutoPlay?", "qonspt"),
            "param_name"        => "v_auto",
            "group"             => esc_html__( "Carousel" , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "value"             => array(
                '' => '1',
            )
        ),array(
            'type'              => "checkbox",
            'heading'           => esc_html__("Show Arrows?", "qonspt"),
            "param_name"        => "v_arrows",
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            "value"             => array(
                '' => '1',
            )
        ),array(
            'type'              => "dropdown",
            'heading'           => esc_html__("Shape",'qonspt'),
            "param_name"        => "arrow_shape",
            'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-4',
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            "value" => array(
                esc_html__( 'Circle' , 'qonspt' )    => 'circle',
                esc_html__( 'Rounded' , 'qonspt' )   => 'rounded',
                esc_html__( 'Square' , 'qonspt' )    => 'square',                
            ),
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "dropdown",
            'heading'           => esc_html__("Position",'qonspt'),
            "param_name"        => "arrow_pos",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            "value" => array(
                esc_html__( 'Top Right' , 'qonspt' )     => '',
                esc_html__( 'Top Center' , 'qonspt' )    => 'top-center',
                esc_html__( 'Top Left' , 'qonspt' )      => 'top-left',
                esc_html__( 'Bottom Right' , 'qonspt' )  => 'bottom-right',
                esc_html__( 'Bottom Center' , 'qonspt' ) => 'bottom-center',
                esc_html__( 'Bottom Left' , 'qonspt' )   => 'bottom-left',
                esc_html__( 'Sides' , 'qonspt' )         => 'sides',                
            ),
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "wst_icon_pop",
            'heading'           => esc_html__("Previous Icon",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "prev_icon",
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "wst_icon_pop",
            'heading'           => esc_html__("Next Icon",'qonspt'),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "param_name"        => "next_icon",
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "textfield",
            'heading'           => esc_html__( "Idle Styling" , 'qonspt' ),
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "idl_lbl",
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Color", "qonspt"),
            "param_name"        => "arrow_color",
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "arrow_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "arrow_bord_color",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "numberfield",
            'heading'           => esc_html__("Border Width", "qonspt"),
            "param_name"        => "arrow_bord_width",
            'edit_field_class'  => 'vc_column vc_col-xs-3',
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "textfield",
            'heading'           => esc_html__( "Hover Styling" , 'qonspt' ),
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'edit_field_class'  => 'vc_head',
            "param_name"        => "hover_lbl",
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Color", "qonspt"),
            "param_name"        => "arrow_hover_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Background Color", "qonspt"),
            "param_name"        => "arrow_hover_bg_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Border Color", "qonspt"),
            "param_name"        => "arrow_hover_bord_color",
            'edit_field_class'  => 'vc_column vc_col-xs-4',
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_arrows', 
                'not_empty' => true
            ),
        ),array(
            'type'              => "checkbox",
            'heading'           => esc_html__("Show Bullets?", "qonspt"),
            "param_name"        => "v_dots",
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            "value"             => array(
                '' => '1',
            )
        ),array(
            'type'              => "dropdown",
            'heading'           => esc_html__("Bullets Style",'qonspt'),
            "param_name"        => "bullet_style",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-4',
            "value" => array(
                esc_html__( 'Style 1' , 'qonspt' )   => '1',
                esc_html__( 'Style 2' , 'qonspt' )   => '2',
                esc_html__( 'Style 3' , 'qonspt' )   => '3',
            ),
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_dots', 
                'not_empty' => true
            ),
         ),array(
            'type'              => "dropdown",
            'heading'           => esc_html__("Alignment",'qonspt'),
            "param_name"        => "bullet_align",
            'edit_field_class'  => 'select_bxs vc_column vc_col-xs-4',
            "value" => array(
                esc_html__( 'Left' , 'qonspt' )     => '',
                esc_html__( 'Center' , 'qonspt' )   => 'center_bulls',
                esc_html__( 'Right' , 'qonspt' )    => 'right_bulls',
            ),
            "std"               => "center_bulls",
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_dots', 
                'not_empty' => true
            ),
         ),array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Color", "qonspt"),
            "param_name"        => "bullet_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_dots', 
                'not_empty' => true
            ),
        ),
        array(
            'type'              => "colorpicker",
            'heading'           => esc_html__("Active Color", "qonspt"),
            "param_name"        => "act_bullet_color",
            'edit_field_class'  => 'vc_column vc_col-xs-2',
            "group"             => esc_html__( "Navigation" , 'qonspt' ),
            'dependency'        => array(
                'element'   => 'v_dots', 
                'not_empty' => true
            ),
        ),
        
    ),
    "js_view" => 'VcColumnView'
);