<?php

if( ! function_exists( 'row_atts' ) ){
    function row_atts() {
        return array (
            array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Padding', 'qonspt' ),
                'param_name'        => 'row_padd',
                'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-12',
                'value'             => array(
                    esc_html__( 'None', 'qonspt' )     => '',
                    esc_html__( 'XX-Small', 'qonspt' ) => 'xxs-padding',
                    esc_html__( 'X-Small', 'qonspt' )  => 'xs-padding',
                    esc_html__( 'Small', 'qonspt' )    => 'sm-padding',
                    esc_html__( 'Normal', 'qonspt' )   => 'md-padding',
                    esc_html__( 'Large', 'qonspt' )    => 'lg-padding',
                    esc_html__( 'X-Large', 'qonspt' )  => "xl-padding",
                    esc_html__( 'XX-Large', 'qonspt' ) => "xxl-padding",
                ),
                "std"               => 'md-padding',
                'weight' => 10,
            ),array(
                'type'              => 'checkbox',
                'heading'           => esc_html__( 'Full Width', 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-4',
                'param_name'        => 'fluid',
                'value'             => array( '' => '1' ),
            ),array(
                'type'              => 'checkbox',
                'heading'           => esc_html__( 'Equal height', 'qonspt' ),
                'param_name'        => 'equal_height',
                'edit_field_class'  => 'vc_column vc_col-xs-4',
                'value'             => array( esc_html__( 'Yes', 'qonspt' ) => 'yes' )
            ),array(
                'type'              => 'checkbox',
                'heading'           => esc_html__( 'Full height', 'qonspt' ),
                'param_name'        => 'full_height',
                'edit_field_class'  => 'vc_column vc_col-xs-4',
                'value'             => array( esc_html__( 'Yes', 'qonspt' ) => 'yes' ),
            ),array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Align', 'qonspt' ),
                'param_name'        => 'row_align',
                'edit_field_class'  => 'vc_column vc_col-xs-2',
                'value'             => array(
                      esc_html__( 'Default', 'qonspt' )  => '',
                      esc_html__( 'Left', 'qonspt' )     => 'text-left',
                      esc_html__( 'Center', 'qonspt' )   => 'text-center',
                      esc_html__( 'Right', 'qonspt' )    => 'text-right',
                ),
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__("Z-index", "qonspt"),
                'edit_field_class'  => "vc_column vc_col-xs-2",
                'param_name'        => "row_ind",
            ),array(
                'type'              => 'checkbox',
                'heading'           => esc_html__( 'Box Shadow', 'qonspt' ),
                'param_name'        => 'idl_shad',
                'edit_field_class'  => 'vc_column vc_col-xs-8',
                'value'             => array(
                    '' => '1',
                )
            ),
            array(
                'type'              => "label",
                'heading'           => esc_html__( 'Shadow Properties (px)' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop',
                'param_name'        => "shd_lbl1",
                'dependency'        => array(
                    'element' => 'idl_shad', 'not_empty' => true
                ),
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__("X", "qonspt"),
                'edit_field_class'  => "vc_col-xs-1 sm_inps sm_col",
                'param_name'        => "idl_shad1",
                'dependency'        => array(
                    'element' => 'idl_shad', 'not_empty' => true
                ),
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__("Y", "qonspt"),
                'edit_field_class'  => "vc_col-xs-1 sm_inps sm_col",
                'param_name'        => "idl_shad2",
                'dependency'        => array(
                    'element' => 'idl_shad', 'not_empty' => true
                ),
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__("Blur", "qonspt"),
                'edit_field_class'  => "vc_col-xs-1 sm_inps sm_col",
                'param_name'        => "idl_shad3",
                'dependency'        => array(
                    'element' => 'idl_shad', 'not_empty' => true
                ),
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__("Spread", "qonspt"),
                'edit_field_class'  => "vc_col-xs-1 sm_inps sm_col",
                'param_name'        => "idl_shad4",
                'dependency'        => array(
                    'element' => 'idl_shad', 'not_empty' => true
                ),
            ),array(
                'type'              => "colorpicker",
                'heading'           => esc_html__("Shadow Color",'qonspt'),
                'edit_field_class'  => 'vc_column vc_col-xs-5',
                'param_name'        => "shd_color",
                'dependency'        => array(
                    'element' => 'idl_shad', 'not_empty' => true
                ),
            ),array(
                'type'              => "textfield",
                'heading'           => esc_html__("Extra class name", "qonspt"),
                'param_name'        => "el_class",
                'edit_field_class'  => 'vc_column vc_col-xs-6',
                "description"       => esc_html__("Add an extra class name to this element.", "qonspt")
            ),array(
                'type'              => 'textfield',
                'heading'           => esc_html__( 'Row ID', 'qonspt' ),
                'param_name'        => 'extra_id',
                'edit_field_class'  => 'vc_column vc_col-xs-6',
            ),array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Background', 'qonspt' ),
                'param_name'        => 'bg_main',
                'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'value'             => array(
                      esc_html__( 'None', 'qonspt' )       => '',
                      esc_html__( 'Color', 'qonspt' )      => 'color',
                      esc_html__( 'Gradient', 'qonspt' )   => 'gradient',
                      esc_html__('Image', 'qonspt')        => 'image',
                      esc_html__('Video', 'qonspt')        => 'video'
                ),
                'weight'            => 9,
            ),array(
                'type'              => 'colorpicker',
                'heading'           => esc_html__( 'Background Color', 'qonspt' ),
                'param_name'        => 'section_bg_color',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'dependency'        => array(
                    'element' => 'bg_main',
                    'value'   => array('color','image','video'),
                ),
            ),array(
                'type'              => 'gradientpicker',
                'param_name'        => 'section_bg_grad',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'dependency'        => array(
                    'element' => 'bg_main',
                    'value'   => 'gradient',
                ),
            ),array(
                'type'              => 'attach_image',
                'heading'           => esc_html__( 'Background Image', 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-12',
                'param_name'        => 'wst_bg_img',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'dependency'        => array(
                    'element' => 'bg_main',
                    'value'   => 'image',
                ),
            ),array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Background Repeat', 'qonspt' ),
                'param_name'        => 'bg_image_repeat',
                'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-8',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'value'             => array(
                      esc_html__( 'Repeat', 'qonspt' )       => '',
                      esc_html__( 'Horizontally', 'qonspt' ) => 'repeat-x',
                      esc_html__('Vertically', 'qonspt')     => 'repeat-y',
                      esc_html__('None', 'qonspt')           => 'no-repeat'
                ),
                'dependency'        => array(
                    'element' => 'bg_main',
                    'value'   => 'image',
                ),
            ),array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Background Attachment', 'qonspt' ),
                'param_name'        => 'bg_image_attachment',
                'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-4',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'value'             => array(
                    esc_html__( 'Scroll', 'qonspt' ) => '',
                    esc_html__( 'Fixed', 'qonspt' ) => 'fixed',
                ),     
                'dependency'        => array(
                    'element' => 'bg_main',
                    'value'             => 'image',
                ),
            ),array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Background Size', 'qonspt' ),
                'param_name'        => 'bg_cover',
                'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-8',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'value'             => array(
                    esc_html__('Inherit','qonspt') => '',
                    esc_html__( 'Cover', 'qonspt' ) => 'cover',
                    esc_html__( 'Contain', 'qonspt' ) => 'contain',
                    '100%' => '100% 100%',
                ),    
                'dependency'        => array(
                    'element' => 'bg_main',
                    'value'             => 'image',
                ),
            ),array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Background Position', 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-4',
                'param_name'        => 'bg_image_position',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'value'             => array(
                    esc_html__( 'Left Top', 'qonspt' ) => '',
                    esc_html__( 'Left Center', 'qonspt' ) => '0% 50%',
                    esc_html__( 'Left Bottom', 'qonspt') => '0% 100%',
                    esc_html__( 'Right Top', 'qonspt') => '100% 0%',
                    esc_html__( 'Right Center', 'qonspt' ) => '100% 50%',
                    esc_html__( 'Right Bottom', 'qonspt' ) => '100% 100%',
                    esc_html__( 'Center Top', 'qonspt') => '50% 0%',
                    esc_html__( 'Center Center', 'qonspt') => '50% 50%',
                    esc_html__( 'Center Bottom', 'qonspt' ) => '50% 100%'
                ),  
                'dependency'        => array(
                    'element' => 'bg_main',
                    'value'   => 'image',
                ), 
            ),array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Video Type', 'qonspt' ),
                'param_name'        => 'vid_type',
                'edit_field_class'  => 'select_bxs vc_column vc_col-xs-12',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'value'             => array(
                    esc_html__( 'Self Hosted', 'qonspt' ) => 'self',
                    esc_html__( 'Youtube', 'qonspt' ) => 'yout',
                ),    
                'dependency'        => array(
                    'element' => 'bg_main',
                    'value'   => 'video',
                ),
            ),array(
                'type'              => 'attach_image',
                'heading'           => esc_html__( 'Video Poster', 'qonspt' ),
                'param_name'        => 'video_poster',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'dependency'        => array(
                    'element' => 'vid_type',
                    'value'   => 'self',
                ),
            ),array(
                'type'              => 'wst_video_bg',
                'heading'           => esc_html__( 'video/mp4', 'qonspt' ),
                'param_name'        => 'video_mp4',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'dependency'        => array(
                    'element' => 'vid_type',
                    'value'   => 'self',
                ),
            ),array(
                'type'              => 'wst_video_bg',
                'heading'           => esc_html__( 'video/webm', 'qonspt' ),
                'param_name'        => 'video_webm',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'dependency'        => array(
                    'element' => 'vid_type',
                    'value'   => 'self',
                ),
            ),array(
                'type'              => 'wst_video_bg',
                'heading'           => esc_html__( 'video/ogv', 'qonspt' ),
                'param_name'        => 'video_ogv',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'dependency'        => array(
                    'element' => 'vid_type',
                    'value'   => 'self',
                ),
            ),array(
                'type'              => 'checkbox',
                'heading'           => esc_html__( 'Loop Video', 'qonspt' ),
                'param_name'        => 'video_loop',
                'value'             => array( '' => '1' ),
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'dependency'        => array(
                    'element' => 'vid_type',
                    'value'   => 'self',
                ),
            ),array(
                'type'              => 'textfield',
                'heading'           => esc_html__( 'YouTube link', 'qonspt' ),
                'param_name'        => 'video_bg_url',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'value'             => 'https://www.youtube.com/watch?v=lMJXxhRFO1k',
                'description'       => esc_html__( 'Add YouTube link.', 'qonspt' ),
                'dependency'        => array(
                    'element' => 'vid_type',
                    'value'   => 'yout',
                ),
            ),array(
                'type'              => 'checkbox',
                'heading'           => esc_html__( 'Animate Background', 'qonspt' ),
                'param_name'        => 'anim_bg',
                'edit_field_class'  => 'vc_column vc_col-xs-12',
                'value'             => array( '' => '1' ),
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'description'       => esc_html__( 'make the row background moves continuously (Not Working with SKEW enabled.).', 'qonspt' ),
                'dependency'        => array(
                    'element'   => 'bg_main',
                    'value'     => 'image',
                ),
            ),array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Animation Direction', 'qonspt' ),
                'param_name'        => 'anim_dir',
                'description'       => 'Choose the background animation direction',
                'edit_field_class'  => 'select_bxs lg_items vc_column vc_col-xs-12',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'value'             => array(
                    esc_html__( 'To Right' , 'qonspt' )  => 'toright',
                    esc_html__( 'To Left' , 'qonspt' )   => 'toleft',
                    esc_html__( 'To Top' , 'qonspt' )    => 'totop',
                    esc_html__( 'To Bottom' , 'qonspt' ) => 'tobottom',
                ),    
                'dependency'        => array(
                    'element'   => 'anim_bg',
                    'not_empty' => true
                ),
            ),array(
                'type'              => 'checkbox',
                'heading'           => esc_html__( 'Parallax', 'qonspt' ),
                'param_name'        => 'parallax',
                'edit_field_class'  => 'vc_column vc_col-xs-12',
                'value'             => array( '' => '1' ),
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'description'       => esc_html__( 'Add parallax type background for row (Not Working with SKEW enabled.).', 'qonspt' ),
                'dependency'        => array(
                    'element'   => 'bg_main',
                    'value'     => 'image',
                ),
            ),array(
                'type'              => 'checkbox',
                'heading'           => esc_html__( 'Overlay ?', 'qonspt' ),
                'param_name'        => 'bg_overlay',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'description'       => esc_html__( 'Overlay on the background image (Not Working with SKEW enabled.).', 'qonspt' ),
                'value'             => array( '' => '1' ),
                'dependency'        => array(
                    'element' => 'bg_main',
                    'value' => array('image','video'),
                ),
            ),array(
                'type'              => 'colorpicker',
                'heading'           => esc_html__( 'Overlay Color', 'qonspt' ),
                'param_name'        => 'overlay_color',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'dependency'        => array( 'element' => 'bg_overlay', 'not_empty' => true)
            ),array(
                'type'              => 'checkbox',
                'heading'           => esc_html__( 'Skew ?', 'qonspt' ),
                'param_name'        => 'skew_bg',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-12',
                'value'             => array( __( 'Yes', 'qonspt' ) => 'yes' ),
                'dependency'        => array(
                    'element' => 'bg_main',
                    'value' => array('color','image','gradient','video'),
                ),
            ),array(
                'type'              => 'dropdown',
                'heading'           => esc_html__( 'Alignment', 'qonspt' ),
                'param_name'        => 'skew_dir',
                'edit_field_class'  => 'select_bxs vc_column vc_col-xs-4',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                "std"               => 'left',
                'value'             => array(
                      esc_html__( 'Left', 'qonspt' )    => 'left',
                      esc_html__( 'Center', 'qonspt' )  => 'center',
                      esc_html__( 'Right', 'qonspt' )   => 'right',
                ),
                'dependency'        => array( 'element' => 'skew_bg', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__("Width (%)", "qonspt"),
                'edit_field_class'  => "vc_column vc_col-xs-2",
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                "std"               => '100',
                'param_name'        => "skew_width",
                'dependency'        => array( 'element' => 'skew_bg', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__("Height (%)", "qonspt"),
                'edit_field_class'  => "vc_column vc_col-xs-2",
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                "std"               => '100',
                'param_name'        => "skew_height",
                'dependency'        => array( 'element' => 'skew_bg', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__("Degree", "qonspt"),
                'edit_field_class'  => "vc_column vc_col-xs-2",
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                "std"               => '-5',
                'param_name'        => "skew_deg",
                'dependency'        => array( 'element' => 'skew_bg', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__( 'Border Radius (px)' , 'qonspt' ),
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-3 no-input mtop nowrp text-right',
                'param_name'        => "padsss_lbl11",
                'dependency'        => array( 'element' => 'skew_bg', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'heading'           => esc_html__("Top Left", "qonspt"),
                'edit_field_class'  => "vc_col-xs-2 sm_inps sm_col",
                'param_name'        => "skew_radius_top",
                'dependency'        => array( 'element' => 'skew_bg', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'heading'           => esc_html__("Top Right", "qonspt"),
                'edit_field_class'  => "vc_col-xs-2 sm_inps sm_col",
                'param_name'        => "skew_radius_right",
                'dependency'        => array( 'element' => 'skew_bg', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'heading'           => esc_html__("Bottom Right", "qonspt"),
                'edit_field_class'  => "vc_col-xs-2 sm_inps sm_col",
                'param_name'        => "skew_radius_bottom",
                'dependency'        => array( 'element' => 'skew_bg', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'heading'           => esc_html__("Bottom Left", "qonspt"),
                'edit_field_class'  => "vc_col-xs-2 sm_inps sm_col",
                'param_name'        => "skew_radius_left",
                'dependency'        => array( 'element' => 'skew_bg', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => '',
                'group'             => esc_html__( 'Background' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-1 no-input mtop nowrp',
                'param_name'        => "padss_lbl11",
                'dependency'        => array( 'element' => 'skew_bg', 'not_empty' => true )
            ),array(
                'type'              => 'checkbox',
                'heading'           => esc_html__( 'Parallax ?', 'qonspt' ),
                'param_name'        => 'row_parallax',
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-12',
                'value'             => array( __( 'Yes', 'qonspt' ) => 'yes' ),
            ),array(
                'type'              => "textfield",
                'heading'           => esc_html__( "Opacity" , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_head',
                'param_name'        => "idl_lbl",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__( 'Start ( from 0 to 1)' , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-6',
                'param_name'        => "opacity_start",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__( 'End ( from 0 to 1)' , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-6',
                'param_name'        => "opacity_end",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),
            array(
                'type'              => "textfield",
                'heading'           => esc_html__( "X-Axis" , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_head',
                'param_name'        => "idls_lbl",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__( 'Start (in px)' , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-6',
                'param_name'        => "x_start",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__( 'End (in px)' , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-6',
                'param_name'        => "x_end",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "textfield",
                'heading'           => esc_html__( "Y-Axis" , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_head',
                'param_name'        => "idlss_lbl",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__( 'Start (in px)' , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-6',
                'param_name'        => "y_start",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__( 'End (in px)' , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-6',
                'param_name'        => "y_end",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "textfield",
                'heading'           => esc_html__( "Scale" , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_head',
                'param_name'        => "idlsss_lbl",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__( 'Start ( from 0 to 1 )' , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-6',
                'param_name'        => "scale_start",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__( 'End ( from 0 to 1 )' , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-6',
                'param_name'        => "scale_end",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "textfield",
                'heading'           => esc_html__( "Rotate" , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_head',
                'param_name'        => "idlssss_lbl",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__( 'Start ( from 0 to 360 ) degree' , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-6',
                'param_name'        => "rotate_start",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),array(
                'type'              => "numberfield",
                'heading'           => esc_html__( 'End ( from 0 to 360 ) degree' , 'qonspt' ),
                'group'             => esc_html__( 'Parallax' , 'qonspt' ),
                'edit_field_class'  => 'vc_column vc_col-xs-6',
                'param_name'        => "rotate_end",
                'dependency'        => array( 'element' => 'row_parallax', 'not_empty' => true )
            ),           
        );    
    }
}

vc_remove_param( "vc_row",  "gap" );
vc_remove_param( "vc_row",  "el_id" );
vc_remove_param( "vc_row",  "el_class" );
vc_remove_param( "vc_row",  "video_bg" );
vc_remove_param( "vc_row",  "parallax" );
vc_remove_param( "vc_row",  "full_width" );
vc_remove_param( "vc_row",  "full_height" );
vc_remove_param( "vc_row",  "equal_height" );
vc_remove_param( "vc_row",  "video_bg_url" );
vc_remove_param( "vc_row",  "css_animation" );
vc_remove_param( "vc_row",  "parallax_image" );
vc_remove_param( "vc_row",  "disable_element" );
vc_remove_param( "vc_row",  "parallax_speed_bg" );
vc_remove_param( "vc_row",  "video_bg_parallax" );
vc_remove_param( "vc_row",  "content_placement" );
vc_remove_param( "vc_row",  "columns_placement" ); 
vc_remove_param( "vc_row",  "parallax_speed_video" );
vc_remove_param( "vc_row",  "rtl_reverse" );
vc_add_params( 'vc_row',    row_atts() );
vc_map_update( 'vc_row',    row_atts() );