<?php
/**
 *
 * WinsomeThemes Framework
 *
 * @author WinsomeThemes
 * @license Commercial License
 * @link http://www.winsomethemes.com
 * @copyright 2019 WinsomeThemes
 * @package wstFramework
 * @version 1.0.0
 *
 */
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

require_once(dirname(__FILE__).'/meta-boxes.php');

$wst_cusom_page_box = array(
    'id'       => 'cusom_page_settings',
    'title'    => esc_html__('Custom Page Settings','qonspt'),
    'fields'   => array(),
);
$wst_cusom_page_box = new wst_MetaBoxes($wst_cusom_page_box);

/* General Settings
============================================= */
$wst_cusom_page_box->wst_type_heading(
    'meta_main_general_head',
    array(
        'name'      => esc_html__('General Settings','qonspt'),
        'section'   => 'wst_general'
    )
);
$wst_cusom_page_box->wst_type_radioimages(
    'meta_main_layout',
    array(
        'name'      => esc_html__('Main Layout Width','qonspt'), 
        'section'   => 'wst_general',
        'choices'   => array(
            ''      => esc_html__('Inherit From Theme','qonspt')    . '|' . get_template_directory_uri() . '/includes/assets/images/blank_thmb.png',
            'wide'  => esc_html__('Wide Layout','qonspt')           . '|' . get_template_directory_uri() . '/includes/assets/images/theme_wide.png',
            'boxed' => esc_html__('Boxed Layout','qonspt')          . '|' . get_template_directory_uri() . '/includes/assets/images/theme_boxed.png',
        ),
    )
);
$wst_cusom_page_box->wst_type_radioimages(
    'meta_page_layout',
    array(
        'name'      => esc_html__('Page Layout Mode','qonspt'), 
        'section'   => 'wst_general',
        'choices'   => array(
            ''              => esc_html__('Inherit From Theme','qonspt') . '|' . get_template_directory_uri() . '/includes/assets/images/blank_thmb.png',
            'right'         => esc_html__('Right SideBar','qonspt')      . '|' . get_template_directory_uri() . '/includes/assets/images/right_bar.png',
            'left'          => esc_html__('Left SideBar','qonspt')       . '|' . get_template_directory_uri() . '/includes/assets/images/left_bar.png',
            'full_width'    => esc_html__('Full Width','qonspt')         . '|' . get_template_directory_uri() . '/includes/assets/images/no_bar.png',
            'wide'          => esc_html__('100% Width','qonspt')         . '|' . get_template_directory_uri() . '/includes/assets/images/wide.png',
        ),
    )
);
$wst_cusom_page_box->wst_type_sidebars(
    'meta_sidebar_select',
    array(
        'name'          => esc_html__('Select Sidebar','qonspt'),
        'section'       => 'wst_general',
        'dependency'    => array(
            'element'   => 'meta_page_layout',
            'value'     => array('right','left')
        )
    )
);
$wst_cusom_page_box->wst_type_menus(
    'meta_page_menu',
    array(
        'name'      => esc_html__('Choose Menu','qonspt'), 
        'section'   => 'wst_general',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_body_main_color',
    array(
        'name'      => esc_html__('Main Site Color','qonspt'),
        'section'   => 'wst_general',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_page_particles',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Particles With Lines','qonspt'),
        'section'   => 'wst_general',
        'class'     => 'select_boxes'
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_page_particles_color',
    array(
        'name'      => esc_html__('Lines Color','qonspt'),
        'section'   => 'wst_general',
        'dependency'    => array(
            'element'   => 'meta_page_particles',
            'value' => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_page_particles_dots_color',
    array(
        'name'      => esc_html__('Dots Color','qonspt'),
        'section'   => 'wst_general',
        'dependency'    => array(
            'element'   => 'meta_page_particles',
            'value' => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_heading(
    'meta_main_styling_head',
    array(
        'name'          => esc_html__('Page Styling','qonspt'),
        'section'       => 'wst_general'
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_body_font_color',
    array(
        'name'      => esc_html__('Font Color','qonspt'),
        'section'   => 'wst_general',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_body_link_color',
    array(
        'name'      => esc_html__('Links Color','qonspt'),
        'section'   => 'wst_general',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_body_bg_color',
    array(
        'name'      => esc_html__('Background Color','qonspt'),
        'section'   => 'wst_general',
    )
);
$wst_cusom_page_box->wst_type_uploadfile(
    'meta_body_bg_img',
    array(
        'name'      => esc_html__('Background image','qonspt'),
        'section'   => 'wst_general',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_body_bg_repeat',
    array(
        ''          => esc_html__('Repeat','qonspt'),
        'no-repeat' => esc_html__('No Repeat','qonspt'),
        'repeat-x'  => esc_html__('Repeat Horizontal','qonspt'),
        'repeat-y'  => esc_html__('Repeat Vertical','qonspt'),
    ),
    array(
        'name'          => esc_html__('Background Repeat','qonspt'),
        'section'       => 'wst_general',
        'dependency'    => array(
            'element'   => 'meta_body_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_body_bg_size',
    array(
        ''          => esc_html__('Inherit','qonspt'),
        'cover'     => esc_html__('Cover','qonspt'),
        'contain'   => esc_html__('Contain','qonspt'),
        '100% 100%' => esc_html__('100%','qonspt'),
    ),
    array(
        'name'          => esc_html__('Background Size','qonspt'),
        'section'       => 'wst_general',
        'class'         => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_body_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_checkbox(
    'meta_body_parallax',
    array(
        'name'          => esc_html__('Fixed Background ?','qonspt'),
        'section'       => 'wst_general',
        'dependency'    => array(
            'element'   => 'meta_body_bg_img',
            'not_empty' => true
        )
    )
);

/* Top Bar Settings
============================================= */
$wst_cusom_page_box->wst_type_select(
    'meta_hide_top_bar',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Show','qonspt'),
        '2'     => esc_html__('Hide','qonspt'),
    ),
    array(
        'name'   => esc_html__('Visibility','qonspt'), 
        'class'  => 'select_boxes',
        'section'=> 'wst_topbar',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_topbar_color',
    array(
        ''          => esc_html__('-- Select Color --','qonspt'),
        'light'     => esc_html__('Light','qonspt'),
        'gry-bg'    => esc_html__('Grey','qonspt'),
        'main-bg'   => esc_html__('Colored','qonspt'),
        'dark-bg'   => esc_html__('Dark','qonspt'),
        'custom'    => esc_html__('Custom','qonspt'),
    ),
    array(
        'name'      => esc_html__('Color','qonspt'),
        'section'   => 'wst_topbar', 
        'class'     => 'select_boxes',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_bar_color',
    array(
        'name'          => esc_html__('Background Color','qonspt'),
        'section'       => 'wst_topbar',
        'dependency'    => array(
            'element'   => 'meta_topbar_color',
            'value'     => 'custom'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_bar_fcolor',
    array(
        'name'          => esc_html__('Font Color','qonspt'),
        'section'       => 'wst_topbar',
        'dependency'    => array(
            'element'   => 'meta_topbar_color',
            'value'     => 'custom'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_bar_hovcolor',
    array(
        'name'          => esc_html__('Hover Color','qonspt'),
        'section'       => 'wst_topbar',
        'dependency'    => array(
            'element'   => 'meta_topbar_color',
            'value'     => 'custom'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_bar_icolor',
    array(
        'name'          => esc_html__('Icons Color','qonspt'),
        'section'       => 'wst_topbar',
        'dependency'    => array(
            'element'   => 'meta_topbar_color',
            'value'     => 'custom'
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_bar_full',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Full Width','qonspt'),
        'section'   => 'wst_topbar',
        'class'     => 'select_boxes'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_bar_border',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Bottom Border','qonspt'),
        'section'   => 'wst_topbar',
        'class'     => 'select_boxes'
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_bar_bor_bot_color',
    array(
        'name'      => esc_html__('Border Bottom Color','qonspt'),
        'section'   => 'wst_topbar',
        'dependency'    => array(
            'element'   => 'meta_bar_border',
            'value'     => '1'
        ),
    )
);
$wst_cusom_page_box->wst_type_textbox(
    'meta_bar_extra_class',
    array(  
        'name'      => esc_html__('Extra CSS Class','qonspt'),
        'section'   => 'wst_topbar',
    )
);

/* Header Settings
============================================= */
$wst_cusom_page_box->wst_type_heading(
    'meta_header_main_head',
    array(
        'name'          => esc_html__('Main Settings','qonspt'),
        'section'       => 'wst_header'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_style',
    array(
        ''             => esc_html__('Inherit From Theme','qonspt'),
        'classic'      => esc_html__('Classic','qonspt'),
        'modern'       => esc_html__('Modern','qonspt'),
        'side'         => esc_html__('Side','qonspt')
    ),
    array(
        'name'      => esc_html__('Header Style','qonspt'), 
        'section'   => 'wst_header',
        'class'     => 'select_boxes',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_left_area',
    array(
        ''              => esc_html__('Inherit From Theme','qonspt'),
        'logo'          => esc_html__('Logo','qonspt'),
        'menu'          => esc_html__('Menu','qonspt'),
        'icons'         => esc_html__('Icons','qonspt'),
        'shortcode'     => esc_html__('Shortcode','qonspt'),
        'none'          => esc_html__('None','qonspt')
    ),
    array(
        'name'      => esc_html__('Left Area','qonspt'), 
        'section'   => 'wst_header',
        'class'     => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_header_style',
            'value'     => 'modern'
        )
    )
);
$wst_cusom_page_box->wst_type_menus(
    'meta_header_left_area_menu',
    array(
        'name'          => esc_html__('Choose Menu','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_header_left_area',
            'value'     => 'menu'
        )
    )
);
$wst_cusom_page_box->wst_type_editor(
    'meta_header_left_shortcode',
    array(
        'name'      => esc_html__('Shortcode','qonspt'),
        'section'   => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_header_left_area',
            'value'     => 'shortcode'
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_center_area',
    array(
        ''              => esc_html__('Inherit From Theme','qonspt'),
        'logo'          => esc_html__('Logo','qonspt'),
        'menu'          => esc_html__('Menu','qonspt'),
        'icons'         => esc_html__('Icons','qonspt'),
        'shortcode'     => esc_html__('Shortcode','qonspt'),
        'none'          => esc_html__('None','qonspt')
    ),
    array(
        'name'      => esc_html__('Center Area','qonspt'), 
        'section'   => 'wst_header',
        'class'     => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_header_style',
            'value'     => 'modern'
        )
    )
);
$wst_cusom_page_box->wst_type_menus(
    'meta_header_center_area_menu',
    array(
        'name'          => esc_html__('Choose Menu','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_header_center_area',
            'value'     => 'menu'
        )
    )
);
$wst_cusom_page_box->wst_type_editor(
    'meta_header_center_shortcode',
    array(
        'name'      => esc_html__('Shortcode','qonspt'),
        'section'   => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_header_center_area',
            'value'     => 'shortcode'
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_right_area',
    array(
        ''              => esc_html__('Inherit From Theme','qonspt'),
        'logo'          => esc_html__('Logo','qonspt'),
        'menu'          => esc_html__('Menu','qonspt'),
        'icons'         => esc_html__('Icons','qonspt'),
        'shortcode'     => esc_html__('Shortcode','qonspt'),
        'none'          => esc_html__('None','qonspt')
    ),
    array(
        'name'      => esc_html__('Right Area','qonspt'), 
        'section'   => 'wst_header',
        'class'     => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_header_style',
            'value'     => 'modern'
        )
    )
);
$wst_cusom_page_box->wst_type_menus(
    'meta_header_right_area_menu',
    array(
        'name'          => esc_html__('Choose Menu','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_header_right_area',
            'value'     => 'menu'
        )
    )
);
$wst_cusom_page_box->wst_type_editor(
    'meta_header_right_shortcode',
    array(
        'name'      => esc_html__('Shortcode','qonspt'),
        'section'   => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_header_right_area',
            'value'     => 'shortcode'
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_side_dir',
    array(
        ''                 => esc_html__('Inherit From Theme','qonspt'),
        'left'             => esc_html__('Left','qonspt'),
        'right'            => esc_html__('Right','qonspt')
    ),
    array(
        'name'      => esc_html__('Direction','qonspt'), 
        'section'   => 'wst_header',
        'class'     => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_header_style',
            'value'     => 'side'
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_invisible',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        '1'         => esc_html__('Yes','qonspt'),
        '0'         => esc_html__('No','qonspt')
    ),
    array(
        'name'          => esc_html__('Invisible','qonspt'),
        'section'       => 'wst_header',
        'class'         => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_header_style',
            'value'     => 'side'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_side_btn_color',
    array(
        'name'      => esc_html__('Button Color','qonspt'),
        'section'   => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_header_style',
            'value'     => 'side'
        )
    )
);
$wst_cusom_page_box->wst_type_uploadfile(
    'meta_logo_img',
    array(
        'name'      => esc_html__('Custom Logo','qonspt'),
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_uploadfile(
    'meta_retina_logo_img',
    array(
        'name'      => esc_html__('Retina Logo','qonspt'),
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_uploadfile(
    'meta_sticky_logo_img',
    array(
        'name'      => esc_html__('Sticky Logo','qonspt'),
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_fixed',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        '1'         => esc_html__('Yes','qonspt'),
        '0'         => esc_html__('No','qonspt')
    ),
    array(
        'name'          => esc_html__('Fixed','qonspt'),
        'section'       => 'wst_header',
        'class'         => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_header_style',
            'value'     => array( 'classic' , 'modern' )
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_full',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Full Width','qonspt'),
        'section'   => 'wst_header',
        'class'     => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_header_style',
            'value'     => array( 'classic' , 'modern' )
        ),
    )
);
$wst_cusom_page_box->wst_type_numberbox(
    'meta_header_height',
    array(  
        'name'      => esc_html__('Height','qonspt'),
        'section'   => 'wst_header',
        'std'       => '',
    )
);
$wst_cusom_page_box->wst_type_twonumber(
    'meta_head_padding',
    array(  
        'name'          => esc_html__('Padding','qonspt'),
        'section'       => 'wst_header',
        'firstInput'    => 'Left',
        'lastInput'     => 'Right',
    )
);
$wst_cusom_page_box->wst_type_checkbox(
    'meta_hide_menu',
    array(
        'name'      => esc_html__('Hide Logo & Menu','qonspt'),
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_textbox(
    'meta_header_extra_class',
    array(  
        'name'      => esc_html__('Extra CSS Class','qonspt'),
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_checkbox(
    'meta_hide_header',
    array(
        'name'      => esc_html__('Hide Header','qonspt'),
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_heading(
    'meta_header_styling_head',
    array(
        'name'          => esc_html__('Styling Options','qonspt'),
        'section'       => 'wst_header'
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_header_font_color',
    array(
        'name'      => esc_html__('Links Color','qonspt'),
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_header_hover_color',
    array(
        'name'      => esc_html__('Links Hover Color','qonspt'),
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_header_icon_color',
    array(
        'name'      => esc_html__('Menu Icons Color','qonspt'),
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_header_bor_top_color',
    array(
        'name'      => esc_html__('Border Top Color','qonspt'),
        'section'   => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_header_style',
            'value'     => array( 'classic' )
        ),
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_header_bor_bot_color',
    array(
        'name'      => esc_html__('Border Bottom Color','qonspt'),
        'section'   => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_header_style',
            'value'     => array( 'classic' )
        ),
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_header_bg_color',
    array(
        'name'      => esc_html__('Background Color','qonspt'),
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_uploadfile(
    'meta_header_bg_img',
    array(
        'name'      => esc_html__('Background image','qonspt'),
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_bg_repeat',
    array(
        ''          => esc_html__('Repeat','qonspt'),
        'no-repeat' => esc_html__('No Repeat','qonspt'),
        'repeat-x'  => esc_html__('Repeat Horizontal','qonspt'),
        'repeat-y'  => esc_html__('Repeat Vertical','qonspt'),
    ),
    array(
        'name'          => esc_html__('Background Repeat','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_header_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_bg_size',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        'cover'     => esc_html__('Cover','qonspt'),
        'contain'   => esc_html__('Contain','qonspt'),
        '100% 100%' => esc_html__('100%','qonspt'),
    ),
    array(
        'name'          => esc_html__('Background Size','qonspt'),
        'section'       => 'wst_header',
        'class'         => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_header_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_checkbox(
    'meta_header_parallax',
    array(
        'name'          => esc_html__('Parallax Background','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_header_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_heading(
    'meta_header_menu_head',
    array(
        'name'          => esc_html__('Menu Settings','qonspt'),
        'section'       => 'wst_header'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_menu_hover',
    array(
        ''           => esc_html__('Inherit From Theme','qonspt'),
        'fade'       => esc_html__('Fade','qonspt'),
        'links_up'   => esc_html__('Slide Up','qonspt'),
        'links_line' => esc_html__('Bottom Line','qonspt'),
    ),
    array(
        'name'      => esc_html__('Links Animation','qonspt'),
        'section'   => 'wst_header',
        'class'     => 'select_boxes'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_menu_anim',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        'fade'      => esc_html__('Fade In','qonspt'),
        'menu_up'   => esc_html__('Slide Up','qonspt'),
        'menu_down' => esc_html__('Rotate Down','qonspt'),
    ),
    array(
        'name'      => esc_html__('Dropdown Animation','qonspt'),
        'section'   => 'wst_header',
        'class'     => 'select_boxes'
    )
);
$wst_cusom_page_box->wst_type_numberbox(
    'meta_menu_spacing',
    array(  
        'name'          => esc_html__('Menu Spacing','qonspt'),
        'section'       => 'wst_header',
    )
);

$wst_cusom_page_box->wst_type_select(
    'meta_header_icons',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Show Icons','qonspt'),
        'section'   => 'wst_header',
        'class'     => 'select_boxes'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_sub_icons',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Show Submenu Icons','qonspt'),
        'section'   => 'wst_header',
        'class'     => 'select_boxes'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_subtitle',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Show Menu Subtitles','qonspt'),
        'section'   => 'wst_header',
        'class'     => 'select_boxes'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_sub_menu_color',
    array(
        ''           => esc_html__('Inherit From Theme','qonspt'),
        'light'      => esc_html__('Light','qonspt'),
        'dark-sub'   => esc_html__('Dark','qonspt'),
        'colored'    => esc_html__('Colored','qonspt'),
        'custom'     => esc_html__('Custom','qonspt')
    ),
    array(
        'name'      => esc_html__('Sub Menu Color','qonspt'), 
        'class'     => 'select_boxes',
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_cust_sub_color',
    array(
        'name'          => esc_html__('Font Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_sub_menu_color',
            'value'     => 'custom'
        )
    )
);
$wst_cusom_page_box->wst_type_numberbox(
    'meta_menu_font_size',
    array(  
        'name'          => esc_html__('Font Size (px)','qonspt'),
        'section'       => 'wst_header',
        'std'           => '',
    )
);
$wst_cusom_page_box->wst_type_numberbox(
    'meta_menu_letter',
    array(  
        'name'          => esc_html__('Letter Spacing (px)','qonspt'),
        'section'       => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_menu_weight',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        'normal'    => esc_html__('normal','qonspt'),
        'bold'      => esc_html__('bold','qonspt'),
        'lighter'   => esc_html__('lighter','qonspt'),
        'bolder'    => esc_html__('bolder','qonspt'),
        '100'       => '100',
        '200'       => '200',
        '300'       => '300',
        '400'       => '400',
        '500'       => '500',
        '600'       => '600',
        '700'       => '700',
        '800'       => '800',
        '900'       => '900',
        'inherit'   => esc_html__('inherit','qonspt')
    ),
    array(
        'name'      => esc_html__('Font Weight','qonspt'), 
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_menu_style',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        'none'      => esc_html__('None','qonspt'),
        'capitalize'=> esc_html__('Capitalize','qonspt'),
        'lowercase' => esc_html__('Lowercase','qonspt'),
        'uppercase' => esc_html__('Uppercase','qonspt'),
    ),
    array(
        'name'      => esc_html__('Text Style','qonspt'), 
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_cust_sub_bg_color',
    array(
        'name'          => esc_html__('Background Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_sub_menu_color',
            'value'     => 'custom'
        )
    )
);
$wst_cusom_page_box->wst_type_heading(
    'meta_header_sticky_head',
    array(
        'name'          => esc_html__('Sticky Header','qonspt'),
        'section'       => 'wst_header'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_header_sticky',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Sticky Header','qonspt'), 
        'class'     => 'select_boxes',
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_heading(
    'meta_header_icons_head',
    array(
        'name'          => esc_html__('Header Buttons','qonspt'),
        'section'       => 'wst_header'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_hide_search',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Show Search Button','qonspt'), 
        'class'     => 'select_boxes',
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_srch_icon_color',
    array(
        'name'          => esc_html__('Icon Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_search',
            'value'     => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_srch_icon_hovcolor',
    array(
        'name'          => esc_html__('Icon Hover Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_search',
            'value'     => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_srch_icon_bgcolor',
    array(
        'name'          => esc_html__('Icon Background Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_search',
            'value'     => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_srch_icon_border_color',
    array(
        'name'          => esc_html__('Icon Border Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_search',
            'value'     => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_hide_cart',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Show Cart Button','qonspt'), 
        'class'     => 'select_boxes',
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_cart_icon_color',
    array(
        'name'          => esc_html__('Icon Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_cart',
            'value'     => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_cart_icon_hovcolor',
    array(
        'name'          => esc_html__('Icon Hover Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_cart',
            'value'     => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_cart_icon_bgcolor',
    array(
        'name'          => esc_html__('Icon Background Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_cart',
            'value'     => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_cart_icon_border_color',
    array(
        'name'          => esc_html__('Icon Border Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_cart',
            'value'     => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_hide_slbar',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Show Sliding Bar','qonspt'), 
        'class'     => 'select_boxes',
        'section'   => 'wst_header',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_slbr_icon_color',
    array(
        'name'          => esc_html__('Icon Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_slbar',
            'value'     => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_slbr_icon_hovcolor',
    array(
        'name'          => esc_html__('Icon Hover Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_slbar',
            'value'     => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_slbr_icon_bgcolor',
    array(
        'name'          => esc_html__('Icon Background Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_slbar',
            'value'     => '1'
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_slbr_icon_border_color',
    array(
        'name'          => esc_html__('Icon Border Color','qonspt'),
        'section'       => 'wst_header',
        'dependency'    => array(
            'element'   => 'meta_hide_slbar',
            'value'     => '1'
        )
    )
);

/* Page Title Settings
============================================= */
$wst_cusom_page_box->wst_type_heading(
    'meta_title_head',
    array(
        'name'          => esc_html__('General Settings','qonspt'),
        'section'       => 'wst_pagetitles'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_title_style',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        '1'         => esc_html__('Style 1','qonspt'),
        '2'         => esc_html__('Style 2','qonspt'),
        '3'         => esc_html__('Style 3','qonspt'),
        '4'         => esc_html__('Style 4','qonspt'),
        'normal'    => esc_html__('Normal','qonspt'), 
    ),
    array(
        'name'      => esc_html__('Style','qonspt'), 
        'class'     => 'select_boxes',
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_title_position',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        'left'      => esc_html__('Left','qonspt'),
        'center'    => esc_html__('Centered','qonspt'),
        'right'     => esc_html__('Right','qonspt')
    ),
    array(
        'name'      => esc_html__('Position','qonspt'), 
        'class'     => 'select_boxes',
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_numberbox(
    'meta_title_height',
    array(  
        'name'      => esc_html__('Height','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_icon(
    'meta_title_icon',
    array(
        'name'      => esc_html__('Icon','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_textbox(
    'meta_title_extra_class',
    array(  
        'name'      => esc_html__('Extra CSS Class','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_title_hide',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Hide Page Title','qonspt'),
        'section'   => 'wst_pagetitles',
        'class'     => 'select_boxes',
    )
);
$wst_cusom_page_box->wst_type_heading(
    'meta_title_text_head',
    array(
        'name'          => esc_html__('Title Content','qonspt'),
        'section'       => 'wst_pagetitles'
    )
);
$wst_cusom_page_box->wst_type_textbox(
    'meta_title_txt',
    array(
        'name'      => esc_html__('Title Text','qonspt'),
        'section'   => 'wst_pagetitles',
    )
); 
$wst_cusom_page_box->wst_type_color(
    'meta_title_color',
    array(
        'name'      => esc_html__('Color','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_numberbox(
    'meta_title_fontsize',
    array(
        'name'      => esc_html__('Font Size','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_textbox(
    'meta_subtitle',
    array(
        'name'      => esc_html__('SubTitle Text','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_subtitle_color',
    array(
        'name'      => esc_html__('SubTitle Color','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_numberbox(
    'meta_subtitle_fontsize',
    array(
        'name'      => esc_html__('SubTitle Font Size','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_title_text_bg_color',
    array(
        'name'          => esc_html__('Text Background','qonspt'),
        'section'       => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_heading(
    'meta_title_styling_head',
    array(
        'name'          => esc_html__('Styling Options','qonspt'),
        'section'       => 'wst_pagetitles'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_title_bg_type',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        'color'     => esc_html__('Color','qonspt'),
        'gradient'  => esc_html__('Gradient','qonspt'),
    ),
    array(
        'name'      => esc_html__('Background Type','qonspt'), 
        'class'     => 'select_boxes',
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_title_bg_color',
    array(
        'name'          => esc_html__('Background Color','qonspt'),
        'section'       => 'wst_pagetitles',
        'dependency'    => array(
            'element'   => 'meta_title_bg_type',
            'value'     => 'color'
        )
    )
);
$wst_cusom_page_box->wst_type_gradient(
    'meta_title_bg_grad',
    array(
        'name'          => esc_html__('Gradient Color','qonspt'),
        'section'       => 'wst_pagetitles',
        'dependency'    => array(
            'element'   => 'meta_title_bg_type',
            'value'     => 'gradient'
        ),
        'std'           => ''
    )
);
$wst_cusom_page_box->wst_type_checkbox(
    'meta_title_disable_bg',
    array(
        'name'          => esc_html__('Disable Background','qonspt'),
        'section'       => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_uploadfile(
    'meta_title_bg_img',
    array(
        'name'          => esc_html__('Background image','qonspt'),
        'section'       => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_title_bg_repeat',
    array(
        ''          => esc_html__('Inherit','qonspt'),
        'repeat'    => esc_html__('Repeat','qonspt'),
        'repeat-x'  => esc_html__('Repeat Horizontal','qonspt'),
        'repeat-y'  => esc_html__('Repeat Vertical','qonspt'),
        'no-repeat' => esc_html__('No Repeat','qonspt'),
    ),
    array(
        'name'          => esc_html__('Background Repeat','qonspt'),
        'section'       => 'wst_pagetitles',
        'class'         => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_title_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_title_bg_size',
    array(
        ''              => esc_html__('Inherit','qonspt'),
        'cover'         => esc_html__('Cover','qonspt'),
        'contain'       => esc_html__('Contain','qonspt'),
        '100% 100%'     => '100%',
    ),
    array(
        'name'          => esc_html__('Background Size','qonspt'),
        'section'       => 'wst_pagetitles',
        'class'         => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_title_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_title_bg_position',
    array(
        ''          => esc_html__('Inherit','qonspt'),
        '0 0'       => esc_html__('Left Top','qonspt'),
        '0 50%'     => esc_html__('Left Middle','qonspt'),
        '0 100%'    => esc_html__('Left Bottom','qonspt'),
        '50% 0'     => esc_html__('Center Top','qonspt'),
        '50% 50%'   => esc_html__('Center Middle','qonspt'),
        '50% 100%'  => esc_html__('Center Bottom','qonspt'),
        '100% 0'    => esc_html__('Right Top','qonspt'),
        '100% 50%'  => esc_html__('Right Middle','qonspt'),
        '100% 100%' => esc_html__('Right Bottom','qonspt'),
    ),
    array(
        'name'          => esc_html__('Background Position','qonspt'),
        'section'       => 'wst_pagetitles',
        'dependency'    => array(
            'element'   => 'meta_title_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_title_parallax',
    array(
        ''      => esc_html__('Inherit','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'          => esc_html__('Parallax Background','qonspt'),
        'section'       => 'wst_pagetitles',
        'class'         => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_title_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_title_bg_overlay',
    array(
        'name'      => esc_html__('Overlay Background','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_checkbox(
    'meta_title_video_bg',
    array(
        'name'      => esc_html__('Video Background','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_uploadfile(
    'meta_title_video_cover',
    array(
        'name'          => esc_html__('Video Cover','qonspt'),
        'section'       => 'wst_pagetitles',
        'class'         => 'vid_cov',
        'dependency'    => array(
            'element'   => 'meta_title_video_bg',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_uploadfile(
    'meta_title_video_mp4',
    array(
        'name'          => esc_html__('video/mp4','qonspt'),
        'section'       => 'wst_pagetitles',
        'data-type'     => 'video',
        'dependency'    => array(
            'element'   => 'meta_title_video_bg',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_uploadfile(
    'meta_title_video_webm',
    array(
        'name'          => esc_html__('video/webm','qonspt'),
        'section'       => 'wst_pagetitles',
        'data-type'     => 'video',
        'dependency'    => array(
            'element'   => 'meta_title_video_bg',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_uploadfile(
    'meta_title_video_ogv',
    array(
        'name'          => esc_html__('video/ogv','qonspt'),
        'section'       => 'wst_pagetitles',
        'data-type'     => 'video',
        'dependency'    => array(
            'element'   => 'meta_title_video_bg',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_heading(
    'meta_title_bread_head',
    array(
        'name'          => esc_html__('Breadcrumbs','qonspt'),
        'section'       => 'wst_pagetitles'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_show_breadcrumbs',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Show Breadcrumbs','qonspt'),
        'section'   => 'wst_pagetitles',
        'class'     => 'select_boxes',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_title_bread_position',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        'left'      => esc_html__('Left','qonspt'),
        'center'    => esc_html__('Center','qonspt'),
        'right'     => esc_html__('Right','qonspt')
    ),
    array(
        'name'      => esc_html__('Alignment','qonspt'), 
        'class'     => 'select_boxes',
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_breadcrumbs_style',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        'style1'    => esc_html__('Style 1','qonspt'),
        'style2'    => esc_html__('Style 2','qonspt'),
        'style3'    => esc_html__('Style 3','qonspt'),
    ),
    array(
        'section'   => 'wst_pagetitles',
        'name'      => esc_html__( 'Breadcrumbs Style', 'qonspt' ),
        'class'     => 'select_boxes',                
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_breadcrumbs_color',
    array(
        'name'      => esc_html__('Color','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_breadcrumbs__bgcolor',
    array(
        'name'      => esc_html__('Background Color','qonspt'),
        'section'   => 'wst_pagetitles',
    )
);

/* Footer Settings
============================================= */
$wst_cusom_page_box->wst_type_heading(
    'meta_footer_head',
    array(
        'name'          => esc_html__('General Settings','qonspt'),
        'section'       => 'wst_footer'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_footer_style',
    array(
        ''     => esc_html__('Inherit From Theme','qonspt'),
        '1'    => esc_html__('Rotated Skew','qonspt'),
        '2'    => esc_html__('Normal','qonspt'),
        '3'    => esc_html__('Simple Skew','qonspt'),
    ),
    array(
        'section'   => 'wst_footer',
        'name'      => esc_html__( 'Footer Style', 'qonspt' ),
        'class'     => 'select_boxes',                
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_foot_fixed',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Fixed ?','qonspt'),
        'section'   => 'wst_footer',
        'class'     => 'select_boxes',
    )
);
$wst_cusom_page_box->wst_type_numberbox(
    'meta_foot_pad_top',
    array(  
        'name'      => esc_html__('Padding Top (px)','qonspt'),
        'section'   => 'wst_footer',
        'std'       => '',
    )
);
$wst_cusom_page_box->wst_type_numberbox(
    'meta_foot_pad_bot',
    array(  
        'name'      => esc_html__('Padding Bottom (px)','qonspt'),
        'section'   => 'wst_footer',
        'std'       => '',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_foot_bg_type',
    array(
        ''          => esc_html__('Inherit From Theme','qonspt'),
        'color'     => esc_html__('Color','qonspt'),
        'gradient'  => esc_html__('Gradient','qonspt'),
    ),
    array(
        'name'      => esc_html__('Background Type','qonspt'), 
        'class'     => 'select_boxes',
        'section'   => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_foot_bg_color',
    array(
        'name'          => esc_html__('Background Color','qonspt'),
        'section'       => 'wst_footer',
        'dependency'    => array(
            'element'   => 'meta_foot_bg_type',
            'value'     => 'color'
        )
    )
);
$wst_cusom_page_box->wst_type_gradient(
    'meta_foot_bg_grad',
    array(
        'name'          => esc_html__('Gradient Color','qonspt'),
        'section'       => 'wst_footer',
        'dependency'    => array(
            'element'   => 'meta_foot_bg_type',
            'value'     => 'gradient'
        ),
        'std'           => ''
    )
);
$wst_cusom_page_box->wst_type_uploadfile(
    'meta_foot_bg_img',
    array(
        'name'          => esc_html__('Background image','qonspt'),
        'section'       => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_foot_bg_repeat',
    array(
        ''          => esc_html__('Inherit','qonspt'),
        'repeat'    => esc_html__('Repeat','qonspt'),
        'repeat-x'  => esc_html__('Repeat Horizontal','qonspt'),
        'repeat-y'  => esc_html__('Repeat Vertical','qonspt'),
        'no-repeat' => esc_html__('No Repeat','qonspt'),
    ),
    array(
        'name'          => esc_html__('Background Repeat','qonspt'),
        'section'       => 'wst_footer',
        'class'         => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_foot_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_foot_bg_size',
    array(
        ''              => esc_html__('Inherit','qonspt'),
        'cover'         => esc_html__('Cover','qonspt'),
        'contain'       => esc_html__('Contain','qonspt'),
        '100% 100%'     => '100%',
    ),
    array(
        'name'          => esc_html__('Background Size','qonspt'),
        'section'       => 'wst_footer',
        'class'         => 'select_boxes',
        'dependency'    => array(
            'element'   => 'meta_foot_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_foot_bg_position',
    array(
        ''          => esc_html__('Inherit','qonspt'),
        '0 0'       => esc_html__('Left Top','qonspt'),
        '0 50%'     => esc_html__('Left Middle','qonspt'),
        '0 100%'    => esc_html__('Left Bottom','qonspt'),
        '50% 0'     => esc_html__('Center Top','qonspt'),
        '50% 50%'   => esc_html__('Center Middle','qonspt'),
        '50% 100%'  => esc_html__('Center Bottom','qonspt'),
        '100% 0'    => esc_html__('Right Top','qonspt'),
        '100% 50%'  => esc_html__('Right Middle','qonspt'),
        '100% 100%' => esc_html__('Right Bottom','qonspt'),
    ),
    array(
        'name'          => esc_html__('Background Position','qonspt'),
        'section'       => 'wst_footer',
        'dependency'    => array(
            'element'   => 'meta_foot_bg_img',
            'not_empty' => true
        )
    )
);
$wst_cusom_page_box->wst_type_textbox(
    'meta_foot_extra_class',
    array(  
        'name'      => esc_html__('Extra CSS Class','qonspt'),
        'section'   => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_checkbox(
    'meta_hide_footer',
    array(
        'name'      => esc_html__('Hide Footer','qonspt'),
        'section'   => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_heading(
    'meta_footer_top_head',
    array(
        'name'          => esc_html__('Top Area','qonspt'),
        'section'       => 'wst_footer'
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_hide_top_foot',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Show Top Footer','qonspt'),
        'section'   => 'wst_footer',
        'class'     => 'select_boxes'
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_foot_top_color',
    array(
        'name'          => esc_html__('Text Color','qonspt'),
        'section'       => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_foot_top_bg_color',
    array(
        'name'          => esc_html__('Background Color','qonspt'),
        'section'       => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_foot_top_bord_color',
    array(
        'name'          => esc_html__('Border Color','qonspt'),
        'section'       => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_heading(
    'meta_footer_mid_head',
    array(
        'name'          => esc_html__('Widgets Area','qonspt'),
        'section'       => 'wst_footer'
    )
);
$wst_cusom_page_box->wst_type_sidebars(
    'meta_foot_mid_widgets',
    array(
        'name'          => esc_html__('Select Sidebar','qonspt'),
        'section'       => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_hide_foot_widgets',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Show Middle Footer','qonspt'),
        'section'   => 'wst_footer',
        'class'     => 'select_boxes'
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_foot_text_color',
    array(
        'name'          => esc_html__('Text Color','qonspt'),
        'section'       => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_foot_link_color',
    array(
        'name'          => esc_html__('Links Color','qonspt'),
        'section'       => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_foot_head_color',
    array(
        'name'          => esc_html__('Headings Color','qonspt'),
        'section'       => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_heading(
    'meta_footer_bot_head',
    array(
        'name'          => esc_html__('Bottom Area','qonspt'),
        'section'       => 'wst_footer'
    )
);
$wst_cusom_page_box->wst_type_sidebars(
    'meta_foot_bot_widgets',
    array(
        'name'          => esc_html__('Select Sidebar','qonspt'),
        'section'       => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_select(
    'meta_hide_bottom_foot_bar',
    array(
        ''      => esc_html__('Inherit From Theme','qonspt'),
        '1'     => esc_html__('Yes','qonspt'),
        '2'     => esc_html__('No','qonspt'),
    ),
    array(
        'name'      => esc_html__('Show Bottom Footer','qonspt'),
        'section'   => 'wst_footer',
        'class'     => 'select_boxes'
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_foot_bot_color',
    array(
        'name'          => esc_html__('Text Color','qonspt'),
        'section'       => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_foot_bot_link_color',
    array(
        'name'          => esc_html__('Links Color','qonspt'),
        'section'       => 'wst_footer',
    )
);
$wst_cusom_page_box->wst_type_color(
    'meta_foot_bot_bg_color',
    array(
        'name'          => esc_html__('Background Color','qonspt'),
        'section'       => 'wst_footer',
    )
);