<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

add_action('widgets_init', 'wst_socials_widget_reg');
function wst_socials_widget_reg(){
    register_widget('wst_socials_widget');
}
class wst_socials_widget extends WP_Widget {

    function __construct() {
        parent::__construct('wst_widget_social_icons', esc_html__('- Social icons', 'qonspt'), array( 'description' => esc_html__( 'Social icons widget.', 'qonspt' )));
    }
    public function widget( $args, $instance ) {
        extract($args);
        $title = ( isset($instance["title"]) ) ? apply_filters( 'widget_title', $instance['title'], $instance, $this->id_base ) : '';
        $widget_text = ( isset($instance["widget_text"]) ) ? $instance['widget_text'] : '';;
        echo $args['before_widget'];
        
        if ( ! empty( $title ) ){
            if ( !empty ( $instance['title']) ) {
                echo '<h2 class="widgettitle">'.esc_html($title).'</h2>';
            }            
        }
        
        if ( !empty ( $instance['widget_text']) ) { echo '<p class="foot-about-par">'.esc_html($widget_text).'</p>';}
        echo wst_display_social_icons();
        
        echo $args['after_widget'];
    }
    public function form( $instance ) {
        if ( isset( $instance[ 'title' ] ) ) {
            $title = $instance[ 'title' ];
            $widget_text = esc_textarea($instance['widget_text']);
        }else {
            $title = esc_html__( 'Social Icons', 'qonspt' );
            $widget_text = '';
        }
    ?>
    <p>
        <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php echo esc_html__( 'Title:', 'qonspt' ); ?></label> 
        <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_html( $title ); ?>" />
    </p>
    <p>
        <label for="<?php echo esc_attr($this->get_field_id( 'widget_text' )); ?>"><?php echo esc_html__( 'Footer text:', 'qonspt' ); ?></label> 
        <textarea class="widefat" rows="16" cols="20" id="<?php echo esc_attr($this->get_field_id( 'widget_text' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'widget_text' )); ?>"><?php echo esc_attr( $widget_text ); ?></textarea>
    </p>
    <?php 
    }
    
    public function update( $new_instance, $old_instance ) {
    $instance = array();
    $instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
    $instance['widget_text'] = ( ! empty( $new_instance['widget_text'] ) ) ? strip_tags( $new_instance['widget_text'] ) : '';
    return $instance;
    }

}
