<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

add_action('widgets_init', 'wst_login_widget_reg');

function wst_login_widget_reg(){
    register_widget('wst_login_widget');
}
class wst_login_widget extends WP_Widget {
    
    protected $options;
    
    function __construct() {
        parent::__construct('wst_widget_login',esc_html__('- Login Widget', 'qonspt'), array( 'description' => esc_html__( 'login widget.', 'qonspt' ))); 
        
    } 
    
    public function widget( $args, $instance ) {
        
        $title = apply_filters( 'widget_title', $instance['title'] );

        echo $args['before_widget'];
        if ( $title ) {
            echo $args['before_title'] . $title . $args['after_title'];
        }
        
        if (is_user_logged_in()) {
            $this->wst_logout_form();
        } else {
            wst_login_form();
        }

        echo $args['after_widget'];
    }
    
    public function wst_logout_form() {
        
        $logoutoutput = '<div class="wst_logout">';
            $logoutoutput .= '<label>'.esc_html__('You are logged in as','qonspt').' </label>'.wst_get_current_user().'<br>';
            $logoutoutput .= '<a class="btn-logout" href="'.esc_url(wp_logout_url()).'"><i class="stline-face-id-4"></i>'.esc_html__('Logout','qonspt').'</a>';
        $logoutoutput .= '</div>';
        
        echo $logoutoutput;
    }
            
    public function form( $instance ) {
        if ( isset( $instance[ 'title' ] ) ) {
            $title = $instance[ 'title' ];
        }else {
            $title = '';
        }

    ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php echo esc_html__( 'Title:', 'qonspt' ); ?></label> 
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_html( $title ); ?>" />
        </p>
    <?php 
    } 
        
    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        return $instance;
    }   
}