<?php 
function wst_heading_shortcode($atts, $content=null){

    extract(shortcode_atts( array(
        
        'heading_style'     => 'main',
        'heading_align'     => '',
        'margin_top'        => '',
        'margin_bottom'     => '',
        
        'wst_animation'      => '',
        'delay'             => '',
        'duration'          => '',
        
        'tag'               => 'h3',
        'size'              => '',
        'letter_spacing'    => '',
        'line_height'       => '',
        'font_weight'       => '',
        'family'            => '',
        'head_shad_color'   => '',
        'head_bg_color'     => '',
        'head_radius'       => '',
        'el_class'          => ''
        
    ), $atts));
    
    $output = $custom_stle = '';
    
    $headid = ( $margin_top != '' || $margin_bottom != '' || $family || $size != '' || $letter_spacing != '' || $line_height != '' || $font_weight != '' || $head_shad_color || $head_bg_color || $head_radius != '' ) ? uniqid( 'head_' ) : "";
        
    if( $margin_top != '' || $margin_bottom != '' || $family || $size != '' || $letter_spacing != '' || $line_height != '' || $font_weight != '' || $head_bg_color || $head_radius != '' ){
        
        $custom_stle .= ".{$headid} {";
            $custom_stle .= ( $margin_top != '' )     ? "margin-top: {$margin_top}px;"          : "";    
            $custom_stle .= ( $margin_bottom != '' )  ? "margin-bottom: {$margin_bottom}px;"    : "";
            $custom_stle .= ( $family != '' )         ? "font-family: {$family};"               : "";
            $custom_stle .= ( $size != '' )           ? "font-size: {$size}px;"                 : "";
            $custom_stle .= ( $letter_spacing != '' ) ? "letter-spacing: {$letter_spacing}px;"  : "";
            $custom_stle .= ( $line_height != '' )    ? "line-height: {$line_height}px;"        : "";
            $custom_stle .= ( $font_weight != '' )    ? "font-weight: {$font_weight};"          : "";
            $custom_stle .= ( $heading_style == 'style2' && $head_bg_color != '' ) ? "background-color: {$head_bg_color};" : "";
            $custom_stle .= ( $heading_style == 'style2' && $head_radius != '' ) ? "border-radius: {$head_radius}px;" : "";
        $custom_stle .= "}";

    }
    
    if ( $heading_style == 'main' && $head_shad_color != '' ) {
        
        $custom_stle .= ".{$headid}.wst-heading.main:before{";
            $custom_stle .= "background-color: {$head_shad_color};";
        $custom_stle .= "}";

    }

    if ( $heading_style == 'style2' && $head_shad_color != '' ) {
        
        $custom_stle .= ".{$headid}.wst-heading.style2:before,.{$headid}.wst-heading.style2:before{";
            $custom_stle .= "color: {$head_shad_color};";
        $custom_stle .= "}";

    }
        
    wst_inline_css( $custom_stle );
        
    $class = 'wst-heading';
    $class .= ' '.$heading_style;
    $class .= ( $wst_animation != '' )       ? " fx" : "";
    $class .= ( $headid != '' )             ? " ".$headid : "";
    $class .= ( $heading_align != '' )      ? " ".$heading_align : "";
    $class .= ( $el_class != '' )           ? " ".$el_class : "";
        
    shortCodeEnq($family);
        
    // animation styling...
    $data_anim  = ($wst_animation != '') ? ' data-animate="'.esc_js($wst_animation).'"'           : '';
    $data_dur   = ($duration != '')     ? ' data-animation-duration="'.esc_js($duration).'"'    : '';
    $data_del   = ($delay != '')        ? ' data-animation-delay="'.esc_js($delay).'"'          : '';
    $animation  = $data_anim.$data_del.$data_dur;
    $tagcontent = wp_kses($content,wst_allowed_tags(),null);
            
    // headings...
    if( $tagcontent != ''){
        $output .= "<{$tag} class='{$class}'{$animation}>";
            $output .= $tagcontent;
        $output .= "</{$tag}>";
    }
            
    return $output; 
 
}
add_shortcode('wst_heading', 'wst_heading_shortcode');
