<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $css
 * @var $el_id
 * @var $equal_height
 * @var $content_placement
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Row_Inner
 */
$el_class = $equal_height = $row_align = $content_placement = $full_row = $class = $data_anim = $data_dur = $data_del = $css = $el_id = $idl_shad = $idl_shad1 = $idl_shad2 = $idl_shad3 = $idl_shad4 = $shd_color = '';
$output = $after_output = $custom_stle = $wst_animation = $duration = $delay = $row_id = $z_ind = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

// animation styling...
$class .= ($wst_animation != '') ? "fx " : "";
$data_anim = ($wst_animation != '') ? ' data-animate="'.esc_js($wst_animation).'"' : '';
$data_dur = ($duration != '') ? ' data-animation-duration="'.esc_js($duration).'"' : '';
$data_del = ($delay != '') ? ' data-animation-delay="'.esc_js($delay).'"' : '';
$animation = $data_anim.$data_del.$data_dur;

$el_class = $this->getExtraClass( $el_class );

if ( class_exists( 'qonspt_Core' ) ) {
    $row_id = ( $idl_shad != '' ) ? uniqid( 'inrow_' ) : "";
    
    if( $idl_shad != '' || $z_ind !== '' ){
        $custom_stle .= ".{$row_id}{";
            $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "-webkit-box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";
            $custom_stle .= ($idl_shad1 != '' && $idl_shad2 != '' && $idl_shad3 != '' && $idl_shad4 != '' && $shd_color != '') ? "box-shadow: ".$idl_shad1."px ".$idl_shad2."px ".$idl_shad3."px ".$idl_shad4."px ".$shd_color.";" : "";
            $custom_stle .= ($z_ind != '') ? "z-index: {$z_ind};" : "";
        $custom_stle .= "}";   
    }    
    wst_inline_css( $custom_stle );
}

$css_classes = array(
	'row',
	$el_class,
    $row_id,
    $row_align,
    $class,
	vc_shortcode_custom_css_class( $css ),
);

if (vc_shortcode_custom_css_has_property( $css, array('border', 'background') )) {
	$css_classes[]='vc_row-has-fill';
}

if ( $z_ind != '' ) {
	$css_classes[] = ' relative';
}

if ( ! empty( $equal_height ) ) {
    $css_classes[] = ' row-eq-height';
}

if ( ! empty( $full_row ) ) {
    $css_classes[] = ' full-row';
}

$wrapper_attributes = array();
// build attributes for wrapper
if ( ! empty( $el_id ) ) {
	$wrapper_attributes[] = 'id="' . esc_attr( $el_id ) . '"';
}

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$css_class .= ( $idl_shad != '' ) ? ' big_shadow' : "";
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';
$wrapper_attributes[] = $animation;
$output .= '<div class="container">';
    $output .= '<div ' . implode( ' ', $wrapper_attributes ) . '>';
        $output .= wpb_js_remove_wpautop( $content );
    $output .= '</div>';
$output .= '</div>';

$output .= $after_output;
echo $output;
