var QonsptTM = QonsptTM || {};

(function($) {

	"use strict";

	/* ================ Window.Load Functions. ================ */
	QonsptTM.load = {
		
		wst_theme_globals: function(){

			$('.widget_categories,.widget_pages').find('li:has(ul)').addClass('menu-item-has-children');

			// scroll to top button
			$('#to-top').on('click',function(e) {
				e.preventDefault();
				$('html, body').animate({scrollTop: 0}, 300);
			});

			if( $('.wst-enlax').length > 0 ){
				$('.wst-enlax').enllax();
			}

			$('.slurve-svg').each(function(){
				var th = $(this);
				th.after('<svg class="slurve-svg respons_svg"><rect width="100%" height="100%"></rect></svg>');
			});

			// Loop through each nav item
			$('.wst-main-nav').find(' > ul').children('li:not(.mega-menu)').each(function(indexCount){
				$(this).children('ul.sub-menu').children('li').each(function(index){
					var delay = 0.1 + index*0.07;
					$(this).find(' > a span').css("animation-delay", delay + "s");		
				});
			});

			$('.wst_section').each(function(){
				var th = $(this);
				if(th.find('.forcefullwidth_wrapper_tp_banner').length > 0){
					th.find('> .container-fluid').addClass('fullscr-container');
				}
			});

			$('ul.page-numbers li').each(function(){
				var th = $(this);
				if(th.find('span.current').length > 0){
					th.addClass('current');
				}
			});

			var is_safari = /^((?!chrome|android).)*safari/i.test(navigator.userAgent);
			if( is_safari ){
				$('body').addClass('safariBr');
			}

			if( $('.parallax').length > 0 ) {
				$.stellar({
					horizontalScrolling	: false,
					verticalScrolling	: true,
					responsive			: true,
					parallaxElements	: true,
					verticalOffset		: -4,
					hideDistantElements	: false
				});
			}

		},

		wst_smooth_scroll: function(){
			
			if( $('.pageWrapper > header').length > 0 ){
				var hedstyle = $('.pageWrapper > header').attr('class');
				var off = ( hedstyle.indexOf('top-head') != -1 && hedstyle.indexOf('sticky-head') != -1 ) ? '60' : '0';

				$(".pageWrapper:not(.wst-fullscreen-page) .wst-main-nav a[href*='#']:not([href='#']),a.custom_scroll,.custom_scroll a").mPageScroll2id({
					offset: off,
					scrollEasing: "easeInOutExpo",
					highlightClass: "active",
				});
			}
		},

		wst_video_bgs: function(){
			var vid = $('.video-wrap:has(video)');
			if( vid.length > 0 ) {
				vid.each(function(){
					var el = $(this).find('video'),
						elW = $(this).outerWidth(),
						elH = $(this).outerHeight(),
						vidW = el.outerWidth(),
						vidH = el.outerHeight();
					if( vidH < elH ) {
						var rat = vidW/vidH,
							newW = elH * rat,
							pos = (newW - elW) / 2;
						el.css({'width': newW+'px','height':elH+'px','left':-pos+'px'});
					} else {
						var elPos = (vidH - elH) / 2;
						el.css({'width': vidW+'px','height':vidH+'px','top':-elPos+'px'});
					}
				});
			}
		},

		wst_megamenu: function(){
			if( $('.mega-menu').length > 0 ){
				$('.mega-menu').each(function(){
					var cl = $(this).data('mega');
					$(this).find('> .sub-menu').wrap('<div class="mega-content"><div class="row"></div></div>');
					$(this).find('.row > .sub-menu > li').addClass('col-md-'+cl);
					$(this).parents('.topbar-box').css('position','static');
				});
			}
		},

		wst_responsive_menu: function(){
			
			$('.wst-main-nav ul li.hasChildren').append('<span class="coll-menu"><i class="stline-add"></i></span>');
			$('.wst-responsive-btn').each(function(){
				$(this).on('click', function(e){
					e.preventDefault();
					$(this).toggleClass('act-btn');
					$(this).next().toggleClass('wst-visible-menu');
				});	
			});
			
			$('.coll-menu').each(function(){
				var th = $(this);
				th.on('click', function(e){
					e.preventDefault();
					
					var uls = th.parent().find('> ul'),
						meg = th.parent().find('.mega-content');
					
					th.toggleClass("act-btn");
					uls.toggleClass('act-menu');
					meg.toggleClass('act-menu');

				});	
			});

		},

		wst_dynamicmenu: function(){
			var mainnav = $('.wst-main-nav > ul');
			mainnav.find('li').not('.mega-menu li').each(function(){
				//$(this).on('hover', function(){
					var submenu = $(this).find('> ul');
					if (submenu.length){
						var $sub = $(this).find('> ul'),
							$contain = $('.top-head .container');
						if($sub.length && $contain.length){
							var $c = $contain.width() + $contain.offset().left;
							$sub.each(function(){
								var $lft = $(this).offset().left + $(this).outerWidth();
								if( $lft > $c){
									$(this).addClass('rit-menu');
								}
							});
						}else{
							var $ww = $(window).width();
							$sub.each(function(){
								var $lt = $(this).offset().left + $(this).outerWidth();
								if( $lt > $ww){
									$(this).addClass('rit-menu');
								}
							});
						}
					}
				//});
			});
		},

		wst_fixed_footer: function(){
			if($('.wst-page-content').length){
				var winH = $(window).height(),
					headH = parseInt($('.top-head').outerHeight(),10),
					footH = parseInt($('.wst-footer').outerHeight(),10),
					pdtop = ($('.wst-footer .footer-middle').length) ? parseInt($('.wst-footer .footer-middle').css('padding-top'),10) : 0,
					mtop = footH + pdtop;
				
				if($('.fixed-footer').length){
					$('.wst-page-content').addClass('white-bg').css('margin-bottom',footH+"px");
					$('html,body,.pageWrapper').addClass('auto-height');
				}

			}
		},

		wst_sticky_head: function(){
		    var logo = $('header .site_logo'),
		    	srcl = logo.attr('data-orig-logo'),
		    	retl = logo.attr('data-retina'),
				stic = logo.attr('data-sticky');
		    if ($(window).scrollTop() >= 400) {
		        $('header.top-head[data-sticky]').addClass('sticky-head');
		        if(stic) $('.site_logo').attr('src', stic);
		        if(stic) $('.site_logo').attr('srcset', stic);
		    }
		    else {
		        $('header.top-head[data-sticky]').removeClass('sticky-head');
		        if(stic) $('.site_logo').attr('src', srcl);
		        if(retl) $('.site_logo').attr('srcset', retl+' 2x');
		    }
		},

		wst_backtotop: function(){
			var winScroll = $(window).scrollTop();
			if (winScroll > 300) {
				$('#to-top').addClass('active');
			} else {
				$('#to-top').removeClass('active');
			}
		},

		wst_theme_search: function(){
			$('.open_search').on('click', function(e){
				e.preventDefault();
				var th = $(this),
					container = $('.search-wrapper');
				container.addClass('active');
				$('.wst_overlay').fadeIn();

			});

			$('.close_search,.wst_overlay').on('click', function(){
				var container = $('.search-wrapper');
            	container.find('.form-control').attr('value','');
            	setTimeout(function(){
					container.removeClass('active');
            	},100);
            	setTimeout(function(){
					$('.wst_overlay').fadeOut();
            	},200);
			});
		},

		wst_parallax: function(){
			if( $('.skrollr').length > 0 ){
				if(/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {

				}else {
					$('.skrollr').each(function(){
						var th = $(this);
						if( th.hasClass('wst-parallax-element')){
							var tp = Math.round( parseInt(th.offset().top,10) + ( parseInt(th.outerHeight(),10)) * 2 ),
								el = th.attr('data-last-att');
							th.attr('data-'+tp, el);
						}
					});
					skrollr.init({
						smoothScrolling: true,
						mobileDeceleration: 0.004,
						forceHeight: false
					});
				}
			}
		},

		wst_isotope: function(){
			if($('#wst_blog_content.masonry').length){
				var $masonry = $('#wst_blog_content.masonry').isotope({
					layoutMode: 'masonry',
					isFitWidth: true
				});
				$masonry.imagesLoaded( function() {
					$masonry.isotope();
				});	
			}

			if($('#wst_blog_content.grid').length){
				var $grid = $('#wst_blog_content.grid').isotope({
					layoutMode: 'fitRows',
					isFitWidth: true
				});
				$grid.imagesLoaded( function() {
					$grid.isotope();
				});	
			}	
		},

		wst_pageloader: function(){
			
			if($(".page-loader").length){
				$(".page-loader").fadeOut();
			}
		},

		wst_loadmore: function(){
			var n 		= 1,
				pgnum 	= $('.loadmore .pgnum').text(),
				url 	= window.location.href,
				paged 	= $('.blgurl').attr('data-pag'),
				$cont 	= $('#wst_blog_content');

				var lasHash = url.substr(url.length - 1);

				url = ( lasHash == '#' ) ? url.replace(lasHash, '') : url;

	        $('.loadmore a').on('click', function(e){
	        	e.preventDefault();
	        	if (n < pgnum) {
					
					$('.loadmore .wst_preloader').fadeIn(100);

					var stick = parseInt($('.top-head.sticky-head').outerHeight(),10) + 50,
						thOff = $cont.find('.post-item:last-child').offset().top - stick;

	        		setTimeout(function () {
		        		var response;
						$.ajax({ type: "GET",   
							url: url+paged+n,   
							async: false,
							success : function(text){
								response= text;
								var $result = $(response).find('#wst_blog_content').html();
								$cont.append($result);
								if($cont.is('.masonry') || $cont.is('.grid')){
									$cont.isotope('destroy');
									QonsptTM.load.wst_isotope();
								}
					           	var $res = $(text).find('.posts-gal');
					           	if($res.length){
						           	$cont.find('.wst-post-gallery').slick({
										dots: true,
										arrows: false,
										slidesToShow: 1,
										touchMove: true,
										slidesToScroll: 1,
										autoplay:true,
										infinite: true,
										speed: 500,
									});
					           	}
					           	$('body, html').animate({ scrollTop: thOff }, 500);
								$('.loadmore .wst_preloader').fadeOut();
								QonsptTM.load.wst_social_share();
							}
						});
					}, 300);
	        	} else {
	        		$('.loadmore .load_msg').fadeIn(500,function(){
	        			setTimeout(function () {
		                    $('.loadmore .load_msg').fadeOut();
		                }, 3000);
	        		});
	        	}
	        	n++;
	        });
		},

		wst_side_head: function(){
			var head = $('.side-head'),
				btn = $('.wst-head-btn');
			if( $('.side-head').length ){
				btn.on( 'click' , function(e){
					e.preventDefault();
					var offRight = ($(window).width() - (head.offset().left + head.outerWidth()));
					if( head.offset().left == '-300' || offRight == '-300' ){
						$('.pageWrapper').addClass('pushed');
						btn.addClass('active');
					} else {
						$('.pageWrapper').removeClass('pushed');
						btn.removeClass('active');
					}
				});
			}
		},

		wst_social_share: function(){
			if( $(".wst_share_post_item").length > 0 ){
				$(".wst_share_post_item").each(function(){
					var th 		= $(this),
						elm 	= th.parent().parent().prev('.post-info').find('h3 a'),
						url 	= elm.attr('href'),
						socs 	= th.attr('data-share-on').split(','),
		        		text 	= elm.text();
					th.jsSocials({
			            url: url,
			            text: text,
			            showLabel: false,
			            showCount: true,
			            shares: socs
			        });
				});
				QonsptTM.load.wst_duplicate_icons();
			}
			
			if( $(".wst_single_share").length > 0 ){
				$(".wst_single_share").each(function(){
					var th 		= $(this),
						elm 	= ( $('.title-headings').find('h1') ) ? $('.title-headings').find('h1') : $('.wst_single_title'),
						url 	= $(location).attr("href"),
						soc 	= th.attr('data-share-on').split(','),
		        		text 	= ( elm != '' ) ? elm.text() : '';

					th.jsSocials({
			            url: url,
			            text: text,
			            showLabel: false,
			            showCount: true,
			            shares: soc
			        });
				});
				QonsptTM.load.wst_duplicate_icons();
			}

		},

		wst_login_popup: function(){
			if( $('.wst_open_login').length > 0 ){
				$('.wst_open_login').on('click', function(e){
					e.preventDefault();
					var th = $(this),
						pop = th.next('.login-popup');
					pop.toggleClass('active');
				});
			}
		},

		wst_duplicate_icons: function(){
			$('.jssocials-share-link').each(function(){
				var th = $(this),
					icn = th.find(' > i').clone();
				th.append(icn);
			});
		},

		wst_buddypress: function(){
			var actgreet_txt = $('.activity-greeting').text();
			$('.activity-greeting').remove();
			$('#whats-new').attr('placeholder',actgreet_txt);
			$('body').append('<div class="bud_over"></div>');

			$('#whats-new').on('focus',function() {
		        $('.bud_over').fadeIn(200);
		        $('#whats-new-form').addClass('shaded');
		    });

			$('body').on('click', function(evt){    
				if(evt.target.id == "whats-new-form")
				return;
				if($(evt.target).closest('#whats-new-form').length)
				return;             
				
				$('.bud_over').fadeOut(200);
		    	$('#whats-new-form').removeClass('shaded');

			});

			$('#aw-whats-new-submit,#profile-group-edit-submit,a.friendship-button,form.standard-form input[type="submit"],.bbp-submit-wrapper button').addClass('btn btn-md-import main-bg-import');
		}
		
	};

	QonsptTM.docLoad = {
		init: function(){
			QonsptTM.load.wst_theme_globals();
			QonsptTM.load.wst_smooth_scroll();
			QonsptTM.load.wst_video_bgs();
			QonsptTM.load.wst_megamenu();
			QonsptTM.load.wst_responsive_menu();
			QonsptTM.load.wst_dynamicmenu();
			QonsptTM.load.wst_fixed_footer();
			QonsptTM.load.wst_backtotop();
			QonsptTM.load.wst_theme_search();
			QonsptTM.load.wst_parallax();
			QonsptTM.load.wst_isotope();
			QonsptTM.load.wst_loadmore();
			QonsptTM.load.wst_sticky_head();
			QonsptTM.load.wst_side_head();
			QonsptTM.load.wst_social_share();
			QonsptTM.load.wst_login_popup();
			QonsptTM.load.wst_buddypress();
			QonsptTM.load.wst_pageloader();
		}
	};
	$(window).on( 'load', QonsptTM.docLoad.init );

	/* ================ Window.Scroll Functions. ================ */
	QonsptTM.winScrl = {
		init: function(){
			QonsptTM.load.wst_backtotop();
			QonsptTM.load.wst_sticky_head();
		}
	};
	$(window).on( 'scroll', QonsptTM.winScrl.init );

})(jQuery);

