<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

get_header();
$langcode = '';
if ( class_exists( 'SitePress' ) ) {
    $langcode = '-'.ICL_LANGUAGE_CODE;
} else if( class_exists( 'Polylang' ) ){
    $langcode = '-'. pll_current_language();
}
$curauth        = $wp_query->get_queried_object(); 
$auth_info      = wst_theme_option('show_auth_info');
$auth_posts     = wst_theme_option('show_auth_posts');
$posts_style    = wst_theme_option('auth_posts_style');
$content_before = wst_theme_option('auth_content_before'.$langcode);
$content_after  = wst_theme_option('auth_content_after'.$langcode);
$meta_lay       = get_post_meta(wst_page_id(),'meta_page_layout',true);
$lay            = ( $meta_lay != '' ) ? $meta_lay : wst_theme_option('blog_sidebar');
$cell           = 'row flxrow';
$cell          .= ( $lay == "left" ) ? ' rit-cell' : ' nobar';
$cell          .= ( $lay == "right" ) ? ' lft-cell' : ' nobar';

wst_title_style();

?>

<div class="container">
    <div class="<?php echo esc_attr($cell) ?>">
        
        <div class="wst-main-content wst-content-column">
            
            <?php if($content_before != ''){ ?>
                <div class="m-b-3">
                    <?php echo wp_kses($content_before,wst_allowed_tags()); ?>
                </div>
            <?php } ?>
            
            <?php if($auth_info == '1'){ ?>
                <div class="my-details clearfix">
                    <div class="my-img">
                        <?php echo get_avatar(get_the_author_meta('user_email', $curauth->post_author), 150); ?>
                    </div>
                </div>
                <?php if($curauth->description != ''){ ?>
                <div class="m-b-3 author-desc">
                    <?php echo esc_attr($curauth->description); ?>
                    <p class="auth_url"><a class="main-color" href="<?php echo esc_url($curauth->user_url); ?>"><?php echo esc_attr($curauth->user_url); ?></a></p>
                </div>
                <?php } ?>
            <?php } ?>
            
            <?php if($auth_posts == '1'){ ?> 
                <?php if ( have_posts() ) : ?>
                    <h2 class="wst-inner-heading"><?php echo esc_html__('All','qonspt') ?> <?php echo esc_html__('Posts','qonspt') ?></h2>
                    <div class="blog-posts <?php echo esc_attr($posts_style) ?>" id="content">
                        <?php get_template_part( 'layout/blog/listing') ?>
                    </div>
                    <?php else: 
                    the_content();
                    endif; ?>
                <div class="clearfix"></div>
                <?php wst_paging_nav(); ?>
            <?php } ?>
            
            <?php if($content_after != ''){ ?>
                <div class="m-t-3">
                    <?php echo wp_kses($content_after,wst_allowed_tags()); ?>
                </div>
            <?php } ?>
            
        </div>
        
        <?php if ( $lay == 'left' || $lay == 'right' ) { get_sidebar(); } ?>
        
    </div>
</div>
<?php get_footer(); ?>