<?php
/**
 *
 * WinsomeThemes Framework
 *
 * @author WinsomeThemes
 * @license Commercial License
 * @link http://www.winsomethemes.com
 * @copyright 2019 WinsomeThemes
 * @package wstFramework
 * @version 1.0.0
 *
 */
 
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;

function wst_framework_init() {

    //  If user can't edit theme options, exit
    if ( !current_user_can( 'edit_theme_options' ) ) return;

    // Loads the required Options Framework classes.
    require_once(  get_parent_theme_file_path('includes/classes/theme-options.php') );

}

add_action( 'init', 'wst_framework_init', 20 );

if ( ! function_exists( 'wst_theme_option' ) ){
    function wst_theme_option( $option ) {
        $options = get_option( 'qonspt_theme_options' );
        if ( isset( $options[$option] ) ){
            return $options[$option];    
        } else {
            return false;
        }
    }
}
