<?php
/**
 *
 * WinsomeThemes Framework
 *
 * @author WinsomeThemes
 * @license Commercial License
 * @link http://www.winsomethemes.com
 * @copyright 2019 WinsomeThemes
 * @package wstFramework
 * @version 1.0.0
 *
 */
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' ); 
 
// Add menus to the site
function wst_theme_menus() {
    
    register_nav_menus(
        array(
            'main-menu'     => esc_html__( 'Main Menu', 'qonspt' ),
            'one-page'      => esc_html__( 'One Page Menu', 'qonspt' ),
            'top-bar-menu'  => esc_html__( 'Top Bar Menu', 'qonspt' ),
        )
    );
    
    // Dynamic menu locations...
    $wst_locs = wst_theme_option('locations');
    for ( $i = 1; $i <= $wst_locs ; $i++ ) {  
        $locname = wst_theme_option('location_'.$i);
        register_nav_menus(
            array(
                'location-'.$locname => $locname
            )
        );
    }
      
}

add_action( 'init', 'wst_theme_menus' );