<?php
/**
 *
 * WinsomeThemes Framework
 *
 * @author WinsomeThemes
 * @license Commercial License
 * @link http://www.winsomethemes.com
 * @copyright 2019 WinsomeThemes
 * @package wstFramework
 * @version 1.0.0
 *
 */
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );
 
if ( ! function_exists('wst_theme_sidebars') ){
    function wst_theme_sidebars(){
        
        $foot_top_cols = wst_theme_option('foot_top_widg_cols');
        $foot_mid_cols = wst_theme_option('foot_mid_widg_cols');
        $foot_bot_cols = wst_theme_option('foot_bot_widg_cols');
        
        register_sidebar(array(
            'name'          => esc_html__( "Primary SideBar", "qonspt" ),
            'id'            => 'sidebar-1',
            'before_widget' => '<div class="widget %2$s">',
            'after_widget'  => '</div>',
        ));
        
        register_sidebar(array(
            'name'          => esc_html__( "Secondary SideBar", "qonspt" ),
            'id'            => 'sidebar-2',
            'before_widget' => '<div class="widget %2$s">',
            'after_widget'  => '</div>',
        ));
        
        /***** Footer Widgets *****/
        register_sidebar( array(
            'name'          => esc_html__( "Middle Footer Widgets", "qonspt" ),
            'id'            => 'midle-footer-widgets',
            'before_widget' => '<div class="widget %2$s">',
            'after_widget'  => '</div>',
            'description'   => esc_html__( "Appears in the middle footer area", "qonspt" ),
        ));
        
        register_sidebar( array(
            'name'          => esc_html__( "Footer Bottom Widgets", "qonspt" ),
            'id'            => 'footer-bottom-widgets',
            'before_widget' => '<div class="widget %2$s">',
            'after_widget'  => '</div>',
            'description'   => esc_html__( "Appears in the footer bottom bar", "qonspt" ),
        ));        
        
        /****************** Custom side bar *************************/
        $sbs = wst_theme_option('sidebars');
        for ( $i = 1; $i <= $sbs ; $i++ ) { 
            $sidb = wst_theme_option('sidebar_'.$i);
            register_sidebar(array(
                'name'          => $sidb,
                'id'            => 'side-'.$i,
                'before_widget' => '<div class="widget %2$s">',
                'after_widget'  => '</div>',
            ));
        }
    }
}
add_action( 'widgets_init', 'wst_theme_sidebars', 11 );
