<?php
/**
 *
 * WinsomeThemes Framework
 *
 * @author WinsomeThemes
 * @license Commercial License
 * @link http://www.winsomethemes.com
 * @copyright 2019 WinsomeThemes
 * @package wstFramework
 * @version 1.0.0
 *
 */

if ( ! defined( 'WPINC' ) ) { die; }

class wst_init_class { 

    public function __construct() {
        
        $this->wst_define_constants();
        $this->wst_include_files();        
        
    }
    
    public function wst_define_constants(){
                
        define( 'wst_thm_dir'               , get_template_directory()       );
        define( 'wst_thm_uri'               , get_template_directory_uri()   );
        
        define( 'wst_framework_dir'         , wst_thm_dir . '/includes'  );
        define( 'wst_framework_uri'         , wst_thm_uri . '/includes'  );
        
        define( 'wst_framework_assets_uri'  , wst_framework_uri . '/assets'  );
        
        define( 'wst_framework_plugin_dir'  , wst_framework_dir . '/plugins' );
        define( 'wst_framework_plugin_uri'  , wst_framework_uri . '/plugins' );
                
    }
    
    public function wst_include_files(){
        
        require get_parent_theme_file_path ('includes/helpers/main.php');
        require get_parent_theme_file_path ('includes/helpers/helpers.php');
        require get_parent_theme_file_path ('includes/helpers/enqueue-files.php');
        require get_parent_theme_file_path ('includes/helpers/custom-css.php');
        require get_parent_theme_file_path ('includes/helpers/nav-menu.php');
        require get_parent_theme_file_path ('includes/helpers/menu/nav-menu.php');
        require get_parent_theme_file_path ('includes/helpers/sidebars.php');
        require get_parent_theme_file_path ('includes/helpers/post-formats.php');
        require get_parent_theme_file_path ('includes/plugins/plugins/tgm-plugins.php');
        require get_parent_theme_file_path ('includes/plugins/importer/importer.php');
        
        if(class_exists('Woocommerce')) {
            require get_parent_theme_file_path ('woocommerce/helpers.php');
        }
        
        if(class_exists('bbPress')) {
            require get_parent_theme_file_path ('bbpress/helpers.php');
        }
          
    }
    
    
}

new wst_init_class();