<?php 
/**
 *
 * WinsomeThemes Framework
 *
 * @author WinsomeThemes
 * @license Commercial License
 * @link http://www.winsomethemes.com
 * @copyright 2019 WinsomeThemes
 * @package wstFramework
 * @version 1.0.0
 *
 */
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );
$options = get_option( 'qonspt_theme_options' );

/* Appearance
===========================================*/
$this->wst_settings['general_layout_heading'] = array(
    'section' => 'wst_appearance',
    'desc'    => esc_html__('General Settings','qonspt'),
    'type'    => 'heading',
    'data_id' => 'layout-opt-acc'
);
$this->wst_settings['layout'] = array(
    'title'   => esc_html__( 'Choose layout', 'qonspt' ),
    'desc'    => esc_html__( 'Choose the main site Layout to be Boxed or wide.', 'qonspt' ),
    'section' => 'wst_appearance',
    'type'    => 'radioimages',
    'choices' => array(
        ''      => esc_html__('Wide Layout','qonspt').'|'.get_template_directory_uri() .'/includes/assets/images/theme_wide.png',
        'boxed' => esc_html__('Boxed Layout','qonspt').'|'.get_template_directory_uri() .'/includes/assets/images/theme_boxed.png',
    )
);
$this->wst_settings['main_width'] = array(
    'title'   => esc_html__( 'Site Width (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Define the main site content width in px.', 'qonspt' ),
    'std'     => '1170',
    'min'     => '0',
    'max'     => '2000',
    'type'    => 'number',
    'section' => 'wst_appearance',
);
$this->wst_settings['sidebar_width'] = array(
    'title'   => esc_html__( 'Sidebar Width (%)', 'qonspt' ),
    'desc'    => esc_html__( 'Define the sidebar content width in %.', 'qonspt' ),
    'std'     => '25',
    'min'     => '0',
    'max'     => '100',
    'type'    => 'number',
    'section' => 'wst_appearance',
);
$this->wst_settings['content_padding'] = array(
    'title'   => esc_html__( 'Content Padding (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Top and Bottom main content padding in px.', 'qonspt' ),
    'std'     => '',
    'firstInput' => '<i class="stline-arrow-up"></i>',
    'lastInput' => '<i class="stline-arrow-down"></i>',
    'type'    => 'twonumber',
    'section' => 'wst_appearance',
);
$this->wst_settings['theme_particles'] = array(
    'title'   => esc_html__( 'Particles With Lines', 'qonspt' ),
    'desc'    => esc_html__('"ON" to show vertical lines with particles effect.', 'qonspt'),
    'type'    => 'checkbox',
    'section' => 'wst_appearance',
);
$this->wst_settings['theme_particles_color'] = array(
    'title'   => esc_html__( 'Lines Color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_appearance',
    'dependency' => array(
        'element' => 'theme_particles',
        'not_empty' => true
    )
);
$this->wst_settings['theme_particles_dots_color'] = array(
    'title'   => esc_html__( 'Dots Color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_appearance',
    'dependency' => array(
        'element' => 'theme_particles',
        'not_empty' => true
    )
);
$this->wst_settings['tags_limit'] = array(
    'title'   => esc_html__( 'Tags Limit', 'qonspt' ),
    'desc'    => esc_html__( 'Number of tags  displayed in widgets.', 'qonspt' ),
    'std'     => '10',
    'min'     => '0',
    'max'     => '50',
    'type'    => 'number',
    'section' => 'wst_appearance',
);
$this->wst_settings['show_top'] = array(
    'title'   => esc_html__( 'Back To Top Button', 'qonspt' ),
    'desc'    => esc_html__('"ON" to show the back to top button at the bottom of the page when scrolling down.', 'qonspt'),
    'type'    => 'checkbox',
    'std'     => '1',
    'section' => 'wst_appearance',
);
$this->wst_settings['body_smooth'] = array(
    'section' => 'wst_appearance',
    'title'   => esc_html__( 'Smooth Scrolling', 'qonspt' ),
    'desc'    => esc_html__( '"ON" to enable smooth scrolling in the site.', 'qonspt' ),
    'type'    => 'checkbox',
);
$this->wst_settings['img_placeholder'] = array(
    'section' => 'wst_appearance',
    'title'   => esc_html__( 'Image Placeholders', 'qonspt' ),
    'desc'    => esc_html__( '"ON" to show default image for posts that not having featured image.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => ''
);
$this->wst_settings['loader-heading'] = array(
    'section' => 'wst_appearance',
    'desc'    => esc_html__('Page Loader','qonspt'),
    'type'    => 'heading',
    'data_id' => 'loader-head-acc'
);
$this->wst_settings['page_loader'] = array(
    'section' => 'wst_appearance',
    'title'   => esc_html__( 'Page Pre-Loader', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
    'desc'    => esc_html__( 'Enable / Disable Page preloader.', 'qonspt' )
);
$this->wst_settings['loader_bg'] = array(
    'title'   => esc_html__( 'Body Background color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_appearance',
    'std'     => '#ef2674',
    'dependency' => array(
        'element' => 'page_loader',
        'not_empty' => true
    )
);
$this->wst_settings['page_loader_style'] = array(
    'title'   => esc_html__( 'Pre-loader Style', 'qonspt' ),
    'desc'    => esc_html__( 'Select a preloading style that appears before page completely loaded.', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_appearance',
    'choices' => array(
        '1'         => esc_html__('Loading Bar 1','qonspt'),
        '2'         => esc_html__('Loading Bar 2','qonspt'),
        '3'         => esc_html__('Falling Circles','qonspt'),
        'img'       => esc_html__('Upload Image','qonspt')
    ),
    'dependency' => array(
        'element' => 'page_loader',
        'not_empty' => true
    )
);
$this->wst_settings['loaderimage'] = array(
    'title'   => esc_html__( 'Loading image', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Image from the media Library.', 'qonspt' ),
    'type'    => 'file',
    'section' => 'wst_appearance',
    'dependency' => array(
        'element' => 'page_loader_style',
        'value' => 'img'
    )
);
$this->wst_settings['loader_bar_forecolor'] = array(
    'title'   => esc_html__( 'Animated Bar color', 'qonspt' ),
    'type'    => 'color',
    'std'     => '#fff',
    'section' => 'wst_appearance',
    'dependency' => array(
        'element' => 'page_loader',
        'not_empty' => true
    )
);
$this->wst_settings['loader_bar_bg'] = array(
    'title'   => esc_html__( 'Bar Background color', 'qonspt' ),
    'type'    => 'color',
    'std'     => 'rgba(0,0,0,0.27)',
    'section' => 'wst_appearance',
    'dependency' => array(
        'element' => 'page_loader',
        'not_empty' => true
    )
);
$this->wst_settings['loadertext'] = array(
    'title'   => esc_html__( 'Loading Text', 'qonspt' ),
    'desc'    => esc_html__( 'Enter Loading text.', 'qonspt' ),
    'type'    => 'text',
    'std'     => 'Please Wait, Loading Content...',
    'section' => 'wst_appearance',
    'dependency' => array(
        'element' => 'page_loader',
        'not_empty' => true
    )
);
$this->wst_settings['loader_text_color'] = array(
    'title'   => esc_html__( 'Loading Text Color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_appearance',
    'std'     => '#fff',
    'dependency' => array(
        'element' => 'loadertext',
        'not_empty' => true
    )
);
$this->wst_settings['skin-heading'] = array(
    'section' => 'wst_appearance',
    'desc'    => esc_html__('Styling Options','qonspt'),
    'type'    => 'heading',
    'data_id' => 'skin-head-acc'
);
$this->wst_settings['skin_color'] = array(
    'title'   => esc_html__( 'Main Site color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose the main color scheme from this color pallete the color suits your needs.', 'qonspt' ),
    'std'     => '#ef2674',
    'type'    => 'color',
    'section' => 'wst_appearance',
    'defcolor' => '#ef2674'
);
$this->wst_settings['bodyfontcolor'] = array(
    'title'   => esc_html__( 'Body Font color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_appearance',
);
$this->wst_settings['bodylinkscolor'] = array(
    'title'   => esc_html__( 'Body Links color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_appearance',
);
$this->wst_settings['bodybgcolor'] = array(
    'title'   => esc_html__( 'Body background color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_appearance',
); 
$this->wst_settings['bodybgimage'] = array(
    'title'   => esc_html__( 'Body Background image', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Image from the media Library.', 'qonspt' ),
    'type'    => 'file',
    'section' => 'wst_appearance',
);
$this->wst_settings['body_bg_img_repeat'] = array(
    'title'   => esc_html__( 'Background repeat', 'qonspt' ),
    'desc'    => esc_html__( 'How the background image repeats.', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_appearance',
    'class'   => 'select_boxes',
    'choices' => array(
        ''          => esc_html__('Repeat','qonspt'),
        'no-repeat' => esc_html__('No Repeat','qonspt'),
        'repeat-x'  => esc_html__('Repeat X','qonspt'),
        'repeat-y'  => esc_html__('Repeat Y','qonspt')
    ),
    'dependency' => array(
        'element' => 'bodybgimage',
        'not_empty' => true
    )
);
$this->wst_settings['body_bg_position'] = array(
    'title'   => esc_html__( 'Background Position', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_appearance',
    'choices' => array(
        '0 0'       => esc_html__('Left Top','qonspt'),
        '0 50%'     => esc_html__('Left Middle','qonspt'),
        '0 100%'    => esc_html__('Left Bottom','qonspt'),
        '50% 0'     => esc_html__('Center Top','qonspt'),
        '50% 50%'   => esc_html__('Center Middle','qonspt'),
        '50% 100%'  => esc_html__('Center Right','qonspt'),
        '100% 0'    => esc_html__('Right Top','qonspt'),
        '100% 50%'  => esc_html__('Right Middle','qonspt'),
        '100% 100%' => esc_html__('Right Bottom','qonspt'),
    ),
    'std'   => '0 100%',
    'dependency' => array(
        'element' => 'bodybgimage',
        'not_empty' => true
    )
);
$this->wst_settings['body_bg_size'] = array(
    'title'   => esc_html__( 'Background Size', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_appearance',
    'class'   => 'select_boxes',
    'choices' => array(
        'inherit'   => esc_html__('Inherit','qonspt'),
        'cover'     => esc_html__('Cover','qonspt'),
        'contain'   => esc_html__('Contain','qonspt'),
        '100% 100%' => '100%',
    ),
    'dependency' => array(
        'element' => 'bodybgimage',
        'not_empty' => true
    )
);
$this->wst_settings['body_bg_img_parallax'] = array(
    'title'   => esc_html__( 'Fixed Background', 'qonspt' ),
    'type'    => 'checkbox',
    'section' => 'wst_appearance',
    'dependency' => array(
        'element' => 'bodybgimage',
        'not_empty' => true
    )
);

/* 404 */
$this->wst_settings['page-404-heading'] = array(
    'section' => 'wst_appearance',
    'desc'    => esc_html__('404 Page Settings','qonspt'),
    'type'    => 'heading',
    'data_id' => '404-head-acc'
);
$this->wst_settings['bg_404_color'] = array(
    'title'   => esc_html__( 'Background color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose the main color scheme from this color pallete the color suits your needs.', 'qonspt' ),
    'std'     => '#fff',
    'type'    => 'color',
    'section' => 'wst_appearance',
);
$this->wst_settings['bg_404_disable'] = array(
    'section' => 'wst_appearance',
    'title'   => esc_html__( 'Disable Default background image', 'qonspt' ),
    'type'    => 'checkbox',
);
$this->wst_settings['bgimage404'] = array(
    'title'   => esc_html__( 'Body Background image', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Image from the media Library.', 'qonspt' ),
    'type'    => 'file',
    'section' => 'wst_appearance',
);
$this->wst_settings['bg_img_404_repeat'] = array(
    'title'   => esc_html__( 'Background repeat', 'qonspt' ),
    'desc'    => esc_html__( 'How the background image repeats.', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_appearance',
    'class'   => 'select_boxes',
    'choices' => array(
        ''          => esc_html__('Repeat','qonspt'),
        'no-repeat' => esc_html__('No Repeat','qonspt'),
        'repeat-x'  => esc_html__('Repeat X','qonspt'),
        'repeat-y'  => esc_html__('Repeat Y','qonspt')
    ),
    'dependency' => array(
        'element' => 'bgimage404',
        'not_empty' => true
    )
);
$this->wst_settings['bg_404_position'] = array(
    'title'   => esc_html__( 'Background Position', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_appearance',
    'choices' => array(
        '0 0'       => esc_html__('Left Top','qonspt'),
        '0 50%'     => esc_html__('Left Middle','qonspt'),
        '0 100%'    => esc_html__('Left Bottom','qonspt'),
        '50% 0'     => esc_html__('Center Top','qonspt'),
        '50% 50%'   => esc_html__('Center Middle','qonspt'),
        '50% 100%'  => esc_html__('Center Right','qonspt'),
        '100% 0'    => esc_html__('Right Top','qonspt'),
        '100% 50%'  => esc_html__('Right Middle','qonspt'),
        '100% 100%' => esc_html__('Right Bottom','qonspt'),
    ),
    'std'   => '0 100%',
    'dependency' => array(
        'element' => 'bgimage404',
        'not_empty' => true
    )
);
$this->wst_settings['bg_404_size'] = array(
    'title'   => esc_html__( 'Background Size', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_appearance',
    'class'   => 'select_boxes',
    'choices' => array(
        'inherit'   => esc_html__('Inherit','qonspt'),
        'cover'     => esc_html__('Cover','qonspt'),
        'contain'   => esc_html__('Contain','qonspt'),
        '100% 100%' => '100%',
    ),
    'dependency' => array(
        'element' => 'bgimage404',
        'not_empty' => true
    )
);
$this->wst_settings['head_404_color'] = array(
    'title'   => esc_html__( 'Header Links color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose the main color scheme from this color pallete the color suits your needs.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_appearance',
    'std'     => '#333'
);
$this->wst_settings['head_404_icons_color'] = array(
    'title'   => esc_html__( 'Header Icons color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose the main color scheme from this color pallete the color suits your needs.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_appearance',
    'std'     => '#333'
);
$this->wst_settings['head_404_hover_color'] = array(
    'title'   => esc_html__( 'Header Hover color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose the main color scheme from this color pallete the color suits your needs.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_appearance',
    'std'     => '#333'
);
$this->wst_settings['head_404_bgcolor'] = array(
    'title'   => esc_html__( 'Header Background color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose the main color scheme from this color pallete the color suits your needs.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_appearance',
);
$this->wst_settings['logo404'] = array(
    'title'   => esc_html__( 'Custom Logo', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Image from the media Library.', 'qonspt' ),
    'type'    => 'file',
    'section' => 'wst_appearance',
);
$this->wst_settings['retinalogo404'] = array(
    'title'   => esc_html__( 'Retina Logo', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Image from the media Library.', 'qonspt' ),
    'type'    => 'file',
    'section' => 'wst_appearance',
);

/* Top Bar Settings
==========================================*/ 
$this->wst_settings['top-bar-heading'] = array(
    'section' => 'wst_topbar',
    'desc'    => esc_html__( 'Top Bar', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'top-bar-acc'
);
$this->wst_settings['show_top_bar'] = array(
    'section' => 'wst_topbar',
    'title'   => esc_html__( 'Show top bar', 'qonspt' ),
    'desc'    => esc_html__( 'Show/Hide top bar above header.', 'qonspt' ),
    'type'    => 'checkbox',
);

// left top bar
$this->wst_settings['top_left_mod'] = array(
    'section' => 'wst_topbar',
    'title'   => esc_html__( 'Top Bar Left', 'qonspt' ),
    'type'    => 'addmodule',
    'class'   => 'left_top_bar',
    'std'     => '0',
    'dependency' => array(
        'element' => 'show_top_bar',
        'not_empty' => true
    ),
);

$ltopbar = isset($options['top_left_mod']) ? $options['top_left_mod'] : 0;        
for( $e = 0 ; $e <= $ltopbar ; $e++ ) {
    $this->wst_settings['top_bar_left_'.$e] = array(
        'type'    => 'select',
        'class'   => 'selVal top_bar_left_'.$e,
        'section' => 'wst_topbar',
        'choices' => array(
            ''              => esc_html__('-- Select Box --','qonspt'),
            'menu'          => esc_html__('Menu','qonspt'),
            'text'          => esc_html__('Text','qonspt'),
            'link'          => esc_html__('Link','qonspt'),
            'socials'       => esc_html__('Social Icons','qonspt'),
            'search'        => esc_html__('Search','qonspt'),
            'login'         => esc_html__('WP Login','qonspt'),
            'woocart'       => esc_html__('Shopping Cart','qonspt'),
            'wpml'          => esc_html__('Language Switcher (WPML)','qonspt'),
        ),
        'parent'    => 'top_left_mod'
    );
    
    // menu
    $this->wst_settings['top_left_menu_'.$e] = array(
        'title'   => esc_html__( 'Choose Menu', 'qonspt' ),
        'type'    => 'select',
        'section' => 'wst_topbar',
        'parent'   => 'top_bar_left_'.$e,
        'choices' => wst_site_menu(),
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'menu'
        ),
    );
    $this->wst_settings['top_left_menu_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'menu'
        ),
    );
    $this->wst_settings['top_left_menu_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'menu'
        ),
    );
    
    // text
    $this->wst_settings['top_left_text_icon_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Icon', 'qonspt' ),
        'desc'    => esc_html__( 'choose icon.', 'qonspt' ),
        'multilang' => true,
        'type'    => 'icon',
        'parent'   => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'text'
        ),
    );
    $this->wst_settings['top_left_text_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Text', 'qonspt' ),
        'desc'    => esc_html__( 'Add text to be displayed in the left top bar.', 'qonspt' ),
        'multilang' => true,
        'type'    => 'text',
        'parent'   => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'text'
        ),
    );
    $this->wst_settings['top_left_text_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'text'
        ),
    );
    $this->wst_settings['top_left_text_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'text'
        ),
    );
    
    // link
    $this->wst_settings['top_left_link_icon_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Icon', 'qonspt' ),
        'desc'    => esc_html__( 'choose icon.', 'qonspt' ),
        'multilang' => true,
        'type'    => 'icon',
        'parent'   => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_left_link_text_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Text', 'qonspt' ),
        'desc'    => esc_html__( 'Add text to be displayed in the link.', 'qonspt' ),
        'multilang' => true,
        'type'    => 'text',
        'parent'   => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_left_link_url_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Link URL', 'qonspt' ),
        'desc'    => esc_html__( 'Add link url.', 'qonspt' ),
        'type'    => 'text',
        'multilang' => true,
        'parent'   => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_left_link_target_'.$e] = array(
        'title'   => esc_html__( 'Target', 'qonspt' ),
        'type'    => 'select',
        'section' => 'wst_topbar',
        'choices' => array(
            ''        => esc_html__('Same Page','qonspt'),
            '_blank'  => esc_html__('New Window','qonspt'),
        ),
        'parent'    => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_left_link_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar',
        'parent'    => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_left_link_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_left_link_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'link'
        ),
    );
                
    // social icons
    $this->wst_settings['top_left_socials_txt_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Social icons text before', 'qonspt' ),
        'desc'    => esc_html__( 'text before Social icons.', 'qonspt' ),
        'type'    => 'text',
        'multilang' => true,
        'parent'   => 'top_bar_left_'.$e,
        'std'     => esc_html__('Follow us on: ','qonspt'),
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'socials'
        ),
    );
    $this->wst_settings['top_left_socials_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'socials'
        ),
    );
    $this->wst_settings['top_left_socials_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'socials'
        ),
    );  
    
    // search
    $this->wst_settings['top_left_search_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'search'
        ),
    );
    $this->wst_settings['top_left_search_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'search'
        ),
    );
    
    // login
    $this->wst_settings['top_left_login_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'login'
        ),
    );
    
    // woocart
    $this->wst_settings['top_left_woocart_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'woocart'
        ),
    );
    $this->wst_settings['top_left_woocart_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'woocart'
        ),
    );
    
    // wpml
    $this->wst_settings['top_left_wpml_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'wpml'
        ),
    );
    $this->wst_settings['top_left_wpml_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_left_'.$e,
        'dependency' => array(
            'element' => 'top_bar_left_'.$e,
            'value' => 'wpml'
        ),
    );  
    
}

// right top bar
$this->wst_settings['top_right_mod'] = array(
    'section' => 'wst_topbar',
    'title'   => esc_html__( 'Top Bar Right', 'qonspt' ),
    'type'    => 'addmodule',
    'class'   => 'right_top_bar',
    'std'     => '0',
    'dependency' => array(
        'element' => 'show_top_bar',
        'not_empty' => true
    ),
); 
$rtopbar = isset($options['top_right_mod']) ? $options['top_right_mod'] : 0;        
for( $e = 0 ; $e <= $rtopbar ; $e++ ) {
    $this->wst_settings['top_bar_right_'.$e] = array(
        'type'    => 'select',
        'class'     => 'selVal',
        'section' => 'wst_topbar',
        'choices' => array(
            ''              => esc_html__('-- Select Box --','qonspt'),
            'menu'          => esc_html__('Menu','qonspt'),
            'text'          => esc_html__('Text','qonspt'),
            'link'          => esc_html__('Link','qonspt'),
            'socials'       => esc_html__('Social Icons','qonspt'),
            'search'        => esc_html__('Search','qonspt'),
            'login'         => esc_html__('WP Login','qonspt'),
            'woocart'       => esc_html__('Shopping Cart','qonspt'),
            'wpml'          => esc_html__('Language Switcher (WPML)','qonspt'),
        ),
        'parent'    => 'top_right_mod'
    );
    
    // menu
    $this->wst_settings['top_right_menu_'.$e] = array(
        'title'   => esc_html__( 'Choose Menu', 'qonspt' ),
        'type'    => 'select',
        'section' => 'wst_topbar',
        'parent'   => 'top_bar_right_'.$e,
        'choices' => wst_site_menu(),
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'menu'
        ),
    );
    $this->wst_settings['top_right_menu_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'menu'
        ),
    );
    $this->wst_settings['top_right_menu_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'menu'
        ),
    );
    
    // text
    $this->wst_settings['top_right_text_icon_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Icon', 'qonspt' ),
        'desc'    => esc_html__( 'choose icon.', 'qonspt' ),
        'multilang' => true,
        'type'    => 'icon',
        'parent'   => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'text'
        ),
    );
    $this->wst_settings['top_right_text_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Text', 'qonspt' ),
        'desc'    => esc_html__( 'Add text to be displayed in the left top bar.', 'qonspt' ),
        'multilang' => true,
        'type'    => 'text',
        'parent'   => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'text'
        ),
    );
    $this->wst_settings['top_right_text_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'text'
        ),
    );
    $this->wst_settings['top_right_text_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'text'
        ),
    );
    
    // link
    $this->wst_settings['top_right_link_icon_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Icon', 'qonspt' ),
        'desc'    => esc_html__( 'choose icon.', 'qonspt' ),
        'multilang' => true,
        'type'    => 'icon',
        'parent'   => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_right_link_text_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Text', 'qonspt' ),
        'desc'    => esc_html__( 'Add text to be displayed in the link.', 'qonspt' ),
        'multilang' => true,
        'type'    => 'text',
        'parent'   => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_right_link_url_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Link URL', 'qonspt' ),
        'desc'    => esc_html__( 'Add link url.', 'qonspt' ),
        'type'    => 'text',
        'multilang' => true,
        'parent'   => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_right_link_target_'.$e] = array(
        'title'   => esc_html__( 'Target', 'qonspt' ),
        'type'    => 'select',
        'section' => 'wst_topbar',
        'choices' => array(
            ''        => esc_html__('Same Page','qonspt'),
            '_blank'  => esc_html__('New Window','qonspt'),
        ),
        'parent'    => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_right_link_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar',
        'parent'    => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_right_link_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'link'
        ),
    );
    $this->wst_settings['top_right_link_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'link'
        ),
    );
                
    // social icons
    $this->wst_settings['top_right_socials_txt_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Social icons text before', 'qonspt' ),
        'desc'    => esc_html__( 'text before Social icons.', 'qonspt' ),
        'type'    => 'text',
        'multilang' => true,
        'parent'   => 'top_bar_right_'.$e,
        'std'     => esc_html__('Follow us on: ','qonspt'),
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'socials'
        ),
    );
    $this->wst_settings['top_right_socials_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'socials'
        ),
    );
    $this->wst_settings['top_right_socials_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'socials'
        ),
    );
    
    // search
    $this->wst_settings['top_right_search_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'search'
        ),
    );
    $this->wst_settings['top_right_search_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'search'
        ),
    );
    
    // login
    $this->wst_settings['top_right_login_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'login'
        ),
    );
    
    // woocart
    $this->wst_settings['top_right_woocart_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'woocart'
        ),
    );
    $this->wst_settings['top_right_woocart_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'woocart'
        ),
    );
    
    // wpml
    $this->wst_settings['top_right_wpml_css_'.$e] = array(
        'title'   => esc_html__( 'CSS Class', 'qonspt' ),
        'desc'    => esc_html__( 'Add extra class name, then go to : General Settings > Custom CSS & JS and add the new css code for this class.', 'qonspt' ),
        'type'    => 'text',
        'section' => 'wst_topbar', 
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'wpml'
        ),
    );
    $this->wst_settings['top_right_wpml_hide_'.$e] = array(
        'section' => 'wst_topbar',
        'title'   => esc_html__( 'Hide ( if user is logged in )', 'qonspt' ),
        'type'    => 'checkbox',
        'parent'  => 'top_bar_right_'.$e,
        'dependency' => array(
            'element' => 'top_bar_right_'.$e,
            'value' => 'wpml'
        ),
    );
    
}

// styling...
$this->wst_settings['top-bar-styling'] = array(
    'section' => 'wst_topbar',
    'desc'    => esc_html__( 'Styling', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'tb-style-acc'
);
$this->wst_settings['topbar_color'] = array(
    'title'   => esc_html__( 'Color', 'qonspt' ),
    'type'    => 'select',
    'class'   => 'select_boxes',
    'section' => 'wst_topbar',
    'choices' => array(
        'light'     => esc_html__('Light','qonspt'),
        'gry-bg'    => esc_html__('Grey','qonspt'),
        'main-bg'   => esc_html__('Colored','qonspt'),
        'dark-bg'   => esc_html__('Dark','qonspt'),
        'custom'    => esc_html__('Custom','qonspt'),
    ),
    'std' => 'light'
);
$this->wst_settings['barcolor'] = array(
    'title'   => esc_html__( 'Text color', 'qonspt' ),
    'desc'    => esc_html__( 'Color of the top bar elements', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_topbar',
    'dependency' => array(
        'element' => 'topbar_color',
        'value' => 'custom'
    ),
);
$this->wst_settings['barhovercolor'] = array(
    'title'   => esc_html__( 'Links Hover color', 'qonspt' ),
    'desc'    => esc_html__( 'Color of the top bar elements on Hover', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_topbar',
    'dependency' => array(
        'element' => 'topbar_color',
        'value' => 'custom'
    ),
);
$this->wst_settings['bariconcolor'] = array(
    'title'   => esc_html__( 'Icons color', 'qonspt' ),
    'desc'    => esc_html__( 'Color of the top bar Icons', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_topbar',
    'dependency' => array(
        'element' => 'topbar_color',
        'value' => 'custom'
    ),
);
$this->wst_settings['barbgcolor'] = array(
    'title'   => esc_html__( 'Background color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_topbar',
    'dependency' => array(
        'element' => 'topbar_color',
        'value' => 'custom'
    ),
);
$this->wst_settings['bar_image'] = array(
    'section' => 'wst_topbar',
    'title'   => esc_html__( 'Background Image', 'qonspt' ),
    'desc'    => esc_html__( 'Select or insert image url.', 'qonspt' ),
    'type'    => 'file',
    'dependency' => array(
        'element' => 'topbar_color',
        'value' => 'custom'
    ),
);
$this->wst_settings['bar_img_repeat'] = array(
    'title'   => esc_html__( 'Background repeat', 'qonspt' ),
    'desc'    => esc_html__( 'How the background image repeats.', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_topbar',
    'class'   => 'select_boxes',
    'choices' => array(
        '' => 'Repeat',
        'no-repeat' => esc_html__('No Repeat','qonspt'),
        'repeat-x'  => esc_html__('Repeat X','qonspt'),
        'repeat-y'  => esc_html__('Repeat Y','qonspt')
    ),
    'dependency' => array(
        'element' => 'bar_image',
        'not_empty' => true
    )
);
$this->wst_settings['bar_bg_size'] = array(
    'title'   => esc_html__( 'Background Size', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_topbar',
    'class'   => 'select_boxes',
    'choices' => array(
        'inherit'   => esc_html__('Inherit','qonspt'),
        'cover'     => esc_html__('Cover','qonspt'),
        'contain'   => esc_html__('Contain','qonspt'),
        '100% 100%' => '100%',
    ),
    'dependency' => array(
        'element' => 'bar_image',
        'not_empty' => true
    )
);
$this->wst_settings['bar_full'] = array(
    'section' => 'wst_topbar',
    'title'   => esc_html__( 'Full Width ?', 'qonspt' ),
    'desc'    => esc_html__( 'Make top bar in full width.', 'qonspt' ),
    'type'    => 'checkbox', 
); 
$this->wst_settings['topbar_border'] = array(
    'section' => 'wst_topbar',
    'title'   => esc_html__( 'Bottom Border ?', 'qonspt' ),
    'desc'    => esc_html__( 'Yes to add bottom border for top bar.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1'
);
$this->wst_settings['topbar_border_color'] = array(
    'title'   => esc_html__( 'Border color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a color for tob bar bottom border color.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_topbar',
);
$this->wst_settings['topbar_devices'] = array(
    'section' => 'wst_topbar',
    'title'   => esc_html__( 'Show on Small Screens', 'qonspt' ),
    'desc'    => esc_html__( 'Display top bar in Small Screens.', 'qonspt' ),
    'type'    => 'checkbox',
);

/* Header Settings
==========================================*/

$this->wst_settings['header-layouts-heading'] = array(
    'section' => 'wst_header',
    'desc'    => esc_html__( 'Header', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'hed-layout-acc'
);
$this->wst_settings['header_style'] = array(
    'title'   => esc_html__( 'Header Layout', 'qonspt' ),
    'desc'    => esc_html__( 'Choose header layout from below options:', 'qonspt' ),
    'section' => 'wst_header',
    'class'   => 'select_boxes',
    'type'    => 'select',
    'choices' => array(
        'classic'   => esc_html__('Classic','qonspt'),
        'modern'    => esc_html__('Modern','qonspt'),
        'side'      => esc_html__('Side','qonspt'),
    ),
    'std'   => 'classic'
);
$this->wst_settings['header_left_area'] = array(
    'title'   => esc_html__( 'Left Area', 'qonspt' ),
    'desc'    => esc_html__( 'Choose header left area element', 'qonspt' ),
    'section' => 'wst_header',
    'class'   => 'select_boxes',
    'dependency' => array(
        'element'   => 'header_style',
        'value'     => 'modern'
    ),
    'type'    => 'select',
    'choices' => array(
        'logo'      => esc_html__('Logo','qonspt'),
        'menu'      => esc_html__('Menu','qonspt'),
        'icons'     => esc_html__('Icons','qonspt'),
        'shortcode' => esc_html__('Shortcode','qonspt'),
        'none'      => esc_html__('None','qonspt')
    ),
    'std'   => 'logo'
);
$this->wst_settings['header_left_area_menu'] = array(
    'title'   => esc_html__( 'Choose Menu', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_header',
    'choices' => wst_site_menu(),
    'dependency' => array(
        'element' => 'header_left_area',
        'value' => 'menu'
    ),
);
$this->wst_settings['header_left_shortcode'] = array(
    'title'   => esc_html__( 'Shortcode', 'qonspt' ),
    'type'    => 'editor',
    'section' => 'wst_header',
    'dependency' => array(
        'element'   => 'header_left_area',
        'value'     => 'shortcode'
    ),
);
$this->wst_settings['header_center_area'] = array(
    'title'   => esc_html__( 'Center Area', 'qonspt' ),
    'desc'    => esc_html__( 'Choose header center area element', 'qonspt' ),
    'section' => 'wst_header',
    'class'   => 'select_boxes',
    'type'    => 'select',
    'dependency' => array(
        'element'   => 'header_style',
        'value'     => 'modern'
    ),
    'choices' => array(
        'logo'      => esc_html__('Logo','qonspt'),
        'menu'      => esc_html__('Menu','qonspt'),
        'icons'     => esc_html__('Icons','qonspt'),
        'shortcode' => esc_html__('Shortcode','qonspt'),
        'none'      => esc_html__('None','qonspt')
    ),
    'std'   => 'menu'
);
$this->wst_settings['header_center_area_menu'] = array(
    'title'   => esc_html__( 'Choose Menu', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_header',
    'choices' => wst_site_menu(),
    'dependency' => array(
        'element' => 'header_center_area',
        'value' => 'menu'
    ),
);
$this->wst_settings['header_center_shortcode'] = array(
    'title'   => esc_html__( 'Shortcode', 'qonspt' ),
    'type'    => 'editor',
    'section' => 'wst_header',
    'dependency' => array(
        'element'   => 'header_center_area',
        'value'     => 'shortcode'
    ),
);
$this->wst_settings['header_right_area'] = array(
    'title'   => esc_html__( 'Right Area', 'qonspt' ),
    'desc'    => esc_html__( 'Choose header right area element', 'qonspt' ),
    'section' => 'wst_header',
    'class'   => 'select_boxes',
    'type'    => 'select',
    'dependency' => array(
        'element'   => 'header_style',
        'value'     => 'modern'
    ),
    'choices' => array(
        'logo'      => esc_html__('Logo','qonspt'),
        'menu'      => esc_html__('Menu','qonspt'),
        'icons'     => esc_html__('Icons','qonspt'),
        'shortcode' => esc_html__('Shortcode','qonspt'),
        'none'      => esc_html__('None','qonspt')
    ),
    'std'   => 'icons'
);
$this->wst_settings['header_right_area_menu'] = array(
    'title'   => esc_html__( 'Choose Menu', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_header',
    'choices' => wst_site_menu(),
    'dependency' => array(
        'element' => 'header_right_area',
        'value' => 'menu'
    ),
);
$this->wst_settings['header_right_shortcode'] = array(
    'title'   => esc_html__( 'Shortcode', 'qonspt' ),
    'type'    => 'editor',
    'section' => 'wst_header',
    'dependency' => array(
        'element'   => 'header_right_area',
        'value'     => 'shortcode'
    ),
);
$this->wst_settings['side_dir'] = array(
    'title'   => esc_html__( 'Direction', 'qonspt' ),
    'desc'    => esc_html__( 'Choose side header direction:', 'qonspt' ),
    'section' => 'wst_header',
    'class'   => 'select_boxes',
    'type'    => 'select',
    'choices' => array(
        'left'   => esc_html__('Left','qonspt'),
        'right'  => esc_html__('Right','qonspt'),
    ),
    'dependency' => array(
        'element'   => 'header_style',
        'value'     => 'side'
    ),
    'std'   => 'left'
);
$this->wst_settings['header-full'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( 'Full Width', 'qonspt' ),
    'type'    => 'checkbox',
    'dependency' => array(
        'element'   => 'header_style',
        'value'     => array( 'classic' , 'modern' )
    ), 
);
$this->wst_settings['header-fixed'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( 'Fixed ?', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
    'dependency' => array(
        'element'   => 'header_style',
        'value'     => array( 'classic' , 'modern' )
    ),
);
$this->wst_settings['head_visible'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( 'Invisible ?', 'qonspt' ),
    'desc'    => esc_html__( 'Yes to make the header invisible on load and show an icon.', 'qonspt' ),
    'type'    => 'checkbox',
    'dependency' => array(
        'element'   => 'header_style',
        'value'     => 'side'
    ),
);
$this->wst_settings['side_btn_color'] = array(
    'title'   => esc_html__( 'Button color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a color for side header button color.', 'qonspt' ),
    'type'    => 'color',
    'std'     => '#333',
    'section' => 'wst_header',
    'dependency' => array(
        'element'   => 'head_visible',
        'value'     => '1'
    ),
);
$this->wst_settings['show_search'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( 'Show Search Button', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Search box in header.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1'
);
$this->wst_settings['srch_icon_color'] = array(
    'title'   => esc_html__( 'Icon color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a color for search button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
    'parentclass' => 'four_cells',
    'dependency' => array(
        'element'   => 'show_search',
        'value'     => '1'
    ),
);
$this->wst_settings['srch_icon_hovcolor'] = array(
    'title'   => esc_html__( 'Icon Hover color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a color for search hover button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
    'parentclass' => 'four_cells',
    'dependency' => array(
        'element'   => 'show_search',
        'value'     => '1'
    ),
);
$this->wst_settings['srch_icon_bgcolor'] = array(
    'title'   => esc_html__( 'Icon Background color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a background color for search button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
    'parentclass' => 'four_cells',
    'dependency' => array(
        'element'   => 'show_search',
        'value'     => '1'
    ),
);
$this->wst_settings['srch_icon_border_color'] = array(
    'title'   => esc_html__( 'Icon Border color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a border color for search button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
    'std'     => 'rgba(255,255,255,0.15)',
    'parentclass' => 'four_cells',
    'dependency' => array(
        'element'   => 'show_search',
        'value'     => '1'
    ),
);
$this->wst_settings['show_cart'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( 'Show Cart Button', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Cart box in header.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
    'dependency' => array(
        'element'   => 'header_style',
        'value'     => array( 'classic' , 'modern' )
    ),
);
$this->wst_settings['cart_icon_color'] = array(
    'title'   => esc_html__( 'Icon color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a color for cart button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
    'std'     => '#ffffff',
    'parentclass' => 'four_cells',
    'dependency' => array(
        'element'   => 'show_cart',
        'value'     => '1'
    ),
);
$this->wst_settings['cart_icon_hovcolor'] = array(
    'title'   => esc_html__( 'Icon Hover color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a color for cart hover button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
    'parentclass' => 'four_cells',
    'dependency' => array(
        'element'   => 'show_cart',
        'value'     => '1'
    ),
);
$this->wst_settings['cart_icon_bgcolor'] = array(
    'title'   => esc_html__( 'Icon Background color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a background color for cart button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
    'parentclass' => 'four_cells',
    'std'       => '#ef2674',
    'dependency' => array(
        'element'   => 'show_cart',
        'value'     => '1'
    ),
);
$this->wst_settings['cart_icon_border_color'] = array(
    'title'   => esc_html__( 'Icon Border color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a border color for cart button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
    'std'     => 'rgba(255,255,255,0.15)',
    'parentclass' => 'four_cells',
    'dependency' => array(
        'element'   => 'show_cart',
        'value'     => '1'
    ),
);
$this->wst_settings['show_head_socials'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( 'Show Social Icons ?', 'qonspt' ),
    'desc'    => esc_html__( 'Yes to social icons in the side header.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
    'dependency' => array(
        'element'   => array('header_style'),
        'value'     => 'side'
    ),
);
$this->wst_settings['show_head_copy'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( 'Left & Right Side Copyrights ?', 'qonspt' ),
    'desc'    => esc_html__( 'Enable this option to show copyrights in the left, right side headers only.', 'qonspt' ),
    'type'    => 'checkbox',
    'dependency' => array(
        'element'   => 'header_style',
        'value'     => 'side'
    ),
);
$this->wst_settings['head_copyrights'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( 'Copyrights Text', 'qonspt' ),
    'desc'    => esc_html__( 'Insert here the copyrights text to be shown in the left, right side headers only.', 'qonspt' ),
    'multilang' => true,
    'std' => '&copy; Copyrights 2019 <b class="main-color">qonspt</b> Co.',
    'type'    => 'editor',
    'dependency' => array(
        'element'   => 'show_head_copy',
        'not_empty' => true
    ),
);
$this->wst_settings['header-styling-heading'] = array(
    'section' => 'wst_header',
    'desc'    => esc_html__( 'Styling', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'hed-style-acc'
);
$this->wst_settings['header_height'] = array(
    'title'   => esc_html__( 'Header Height', 'qonspt' ),
    'desc'    => esc_html__( 'Insert Header height in ( PX ).', 'qonspt' ),
    'std'     => '',
    'min'     => '0',
    'max'     => '700',
    'type'    => 'number',
    'section' => 'wst_header',
    'dependency' => array(
        'element'   => 'header_style',
        'value'     => array( 'classic' )
    ),
);
$this->wst_settings['header_padding'] = array(
    'title'   => esc_html__( 'Header Padding', 'qonspt' ),
    'desc'    => esc_html__( 'Left and right Header content padding in px.', 'qonspt' ),
    'std'     => '|',
    'firstInput' => '<i class="stline-arrow-left"></i>',
    'lastInput' => '<i class="stline-arrow-right"></i>',
    'type'    => 'twonumber',
    'section' => 'wst_header',
);
$this->wst_settings['nav_bg_color'] = array(
    'title'   => esc_html__( 'Background color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose header background color.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
);
$this->wst_settings['nav_bor_top_color'] = array(
    'title'   => esc_html__( 'Border Top color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose header top border color.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
);
$this->wst_settings['nav_bor_bot_color'] = array(
    'title'   => esc_html__( 'Border Bottom color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose header bottom border color.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
);
$this->wst_settings['nav_image'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( 'Background Image', 'qonspt' ),
    'desc'    => esc_html__( 'Select or insert image url.', 'qonspt' ),
    'type'    => 'file',
);
$this->wst_settings['nav_img_full_width'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( '100% Background Image', 'qonspt' ),
    'desc'    => esc_html__( 'Display at 100% width and height.', 'qonspt' ),
    'type'    => 'checkbox',
    'dependency' => array(
        'element' => 'nav_image',
        'not_empty' => true
    )
);
$this->wst_settings['nav_img_repeat'] = array(
    'title'   => esc_html__( 'Background repeat', 'qonspt' ),
    'desc'    => esc_html__( 'How the background image repeats.', 'qonspt' ),
    'type'    => 'select', 
    'section' => 'wst_header',
    'class'   => 'select_boxes',
    'choices' => array(
        ''          => esc_html__('Repeat','qonspt'),
        'no-repeat' => esc_html__('No Repeat','qonspt'),
        'repeat-x'  => esc_html__('Repeat X','qonspt'),
        'repeat-y'  => esc_html__('Repeat Y','qonspt')
    ),
    'dependency' => array(
        'element' => 'nav_image',
        'not_empty' => true
    )
); 
$this->wst_settings['nav_border_color'] = array(
    'title'   => esc_html__( 'Border color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose header border color for modern Header ONLY.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
    'dependency' => array(
        'element' => 'header_style',
        'value' => 'modern'
    )
);
$this->wst_settings['nav_border_width'] = array(
    'title'   => esc_html__( 'Border Width', 'qonspt' ),
    'desc'    => esc_html__( 'Choose header border size in px.', 'qonspt' ),
    'std'     => '0',
    'min'     => '0',
    'max'     => '20',
    'type'    => 'number',
    'section' => 'wst_header',
    'dependency' => array(
        'element' => 'header_style',
        'value' => 'modern'
    )
);   
    
$this->wst_settings['sticky_header'] = array(
    'section' => 'wst_header',
    'desc'    => esc_html__( 'Sticky Header', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'sticky-acc'
);
$this->wst_settings['sticky_header_on'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( 'Enable Sticky Header', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['sticky_bg_color'] = array(
    'title'   => esc_html__( 'Background Color', 'qonspt' ),
    'desc'    => esc_html__( 'Background color for sticky header.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
);
$this->wst_settings['sticky_text_color'] = array(
    'title'   => esc_html__( 'Font Color', 'qonspt' ),
    'desc'    => esc_html__( 'Text color for sticky header items.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
);
$this->wst_settings['sticky_hover_color'] = array(
    'title'   => esc_html__( 'Hover Color', 'qonspt' ),
    'desc'    => esc_html__( 'hover color for sticky header items.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_header',
);
$this->wst_settings['sticky_devices'] = array(
    'section' => 'wst_header',
    'title'   => esc_html__( 'Show on Small Screens', 'qonspt' ),
    'desc'    => esc_html__( 'Display sticky header in Small Screens.', 'qonspt' ),
    'type'    => 'checkbox',
);

/* Logo
============================================*/
$this->wst_settings['logo_heading'] = array(
    'section' => 'wst_logo',
    'desc'    => esc_html__( 'Logo Settings', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'logo-acc'
);
$this->wst_settings['logo_type'] = array(
    'section' => 'wst_logo',    
    'title'   => esc_html__( 'Logo Type', 'qonspt' ),
    'class'   => 'select_boxes',
    'type'    => 'select',
    'choices' => array(
        'image' => esc_html__('Image','qonspt'),
        'text'  => esc_html__('Text','qonspt'),
    ),
    'std' => 'text'
);
$this->wst_settings['header_logo_image'] = array(
    'section' => 'wst_logo',
    'title'   => esc_html__( 'Default Logo', 'qonspt' ),
    'desc'    => esc_html__( 'Select or insert image url for logo.', 'qonspt' ),
    'type'    => 'file',
    'dependency' => array(
        'element' => 'logo_type',
        'value' => 'image'
    )
);
$this->wst_settings['sticky_logo'] = array(
    'section' => 'wst_logo',
    'title'   => esc_html__( 'Sticky Header Logo', 'qonspt' ),
    'desc'    => esc_html__( 'Select or insert image url for logo.', 'qonspt' ),
    'type'    => 'file',
    'dependency' => array(
        'element' => 'logo_type',
        'value' => 'image'
    )
);
$this->wst_settings['retina_logo_image'] = array(
    'section' => 'wst_logo',
    'title'   => esc_html__( 'Retina Logo', 'qonspt' ),
    'desc'    => esc_html__( 'Select or insert image url for logo.', 'qonspt' ),
    'type'    => 'file',
    'dependency' => array(
        'element' => 'logo_type',
        'value' => 'image'
    )
);
$this->wst_settings['logo_font_size'] = array(
    'title'   => esc_html__( 'Font Size (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Enter Font size in px. Ex: 50px', 'qonspt' ),
    'std'     => '30',
    'multilang' => true,
    'type'    => 'number',
    'section' => 'wst_logo',
    'dependency' => array(
        'element' => 'logo_type',
        'value' => 'text'
    )
);
$this->wst_settings['logo_font_color'] = array(
    'title'   => esc_html__( 'Color', 'qonspt' ),
    'desc'    => esc_html__( 'Color for the Logo text.', 'qonspt' ),
    'type'    => 'color',
    'std'     => '#fff',
    'section' => 'wst_logo',
    'dependency' => array(
        'element' => 'logo_type',
        'value' => 'text'
    )
);
$this->wst_settings['mobile_logo_size'] = array(
    'title'   => esc_html__( 'Mobile Logo Font Size (px)', 'qonspt' ),
    'std'     => '25',
    'type'    => 'number',
    'section' => 'wst_logo',
    'dependency' => array(
        'element' => 'logo_type',
        'value' => 'text'
    )
);
$this->wst_settings['slogan_font_size'] = array(
    'title'   => esc_html__( 'Tagline Font Size (px)', 'qonspt' ),
    'std'     => '11',
    'multilang' => true,
    'type'    => 'number',
    'section' => 'wst_logo',
    'dependency' => array(
        'element' => 'logo_type',
        'value' => 'text'
    )
);
$this->wst_settings['slogan_font_color'] = array(
    'title'   => esc_html__( 'Tagline Text Color', 'qonspt' ),
    'std'     => '#fff',
    'type'    => 'color',
    'section' => 'wst_logo',
    'dependency' => array(
        'element' => 'logo_type',
        'value' => 'text'
    )
);

/* Menu
============================================*/
$this->wst_settings['menu-opts-heading'] = array(
    'section' => 'wst_menu',
    'desc'    => esc_html__( 'Menu Options', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'menu-opts-acc'
);
$this->wst_settings['links-anim'] = array(
    'title'   => esc_html__( 'Links Animation', 'qonspt' ),
    'type'    => 'select',
    'multilang' => true,
    'section' => 'wst_menu',
    'class'   => 'select_boxes',
    'choices' => array(
        ''              => esc_html__('Fade','qonspt'),
        'links_up'      => esc_html__('Slide Up','qonspt'),
        'links_line'    => esc_html__('Bottom Line','qonspt'),
    )
);
$this->wst_settings['menu-anim'] = array(
    'title'   => esc_html__( 'Dropdown Animation', 'qonspt' ),
    'type'    => 'select',
    'multilang' => true,
    'section' => 'wst_menu',
    'class'   => 'select_boxes',
    'choices' => array(
        ''          => esc_html__('Fade In','qonspt'),
        'menu_up'   => esc_html__('Slide Up','qonspt'),
        'menu_down'    => esc_html__('Rotate Down','qonspt'),
    )
);
$this->wst_settings['menu-spacing'] = array(
    'title'   => esc_html__( 'Menu Items Spacing (px)', 'qonspt' ),
    'std'     => '36',
    'min'     => '0',
    'max'     => '200',
    'type'    => 'number',
    'section' => 'wst_menu',
);
$this->wst_settings['menu-width'] = array(
    'title'   => esc_html__( 'DropDown Menu Width (px)', 'qonspt' ),
    'std'     => '220',
    'min'     => '0',
    'max'     => '500',
    'type'    => 'number',
    'section' => 'wst_menu',
);
$this->wst_settings['header-icons'] = array(
    'section' => 'wst_menu',
    'title'   => esc_html__( 'First Level Icons', 'qonspt' ),
    'type'    => 'checkbox',
);
$this->wst_settings['header-sub-icons'] = array(
    'section' => 'wst_menu',
    'title'   => esc_html__( 'Dropdown Icons', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['header-subtitle'] = array(
    'section' => 'wst_menu',
    'title'   => esc_html__( 'Show Subtitles', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '',
);

$this->wst_settings['mobile-menu'] = array(
    'section' => 'wst_menu',
    'title'   => esc_html__( 'Mobile Menu', 'qonspt' ),
    'type'    => 'select',
    'choices' => wst_site_menus()
);

$this->wst_settings['menu-styling-heading'] = array(
    'section' => 'wst_menu',
    'desc'    => esc_html__( 'Styling Options', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'menu-styl-acc'
);
$this->wst_settings['nav_text_color'] = array(
    'title'   => esc_html__( 'Links color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a color for menu links color.', 'qonspt' ),
    'type'    => 'color',
    'std'     => '#fff',
    'section' => 'wst_menu',
);  
$this->wst_settings['nav_hover_color'] = array(
    'title'   => esc_html__( 'Links Hover color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a color for links hover color.', 'qonspt' ),
    'type'    => 'color',
    'std'     => '#fff',
    'section' => 'wst_menu',
);
$this->wst_settings['nav_icon_color'] = array(
    'title'   => esc_html__( 'Menu Icons color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a color for main menu icons.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_menu',
);
$this->wst_settings['sub_menu_color'] = array(
    'title'   => esc_html__( 'Dropdown Color', 'qonspt' ),
    'desc'    => esc_html__( 'Select the sub menu color.', 'qonspt' ),
    'type'    => 'select',
    'class'   => 'select_boxes',
    'section' => 'wst_menu',
    'choices' => array(
        ''          => esc_html__('Light','qonspt'),
        'dark-sub'  => esc_html__('Dark','qonspt'),
        'custom'    => esc_html__('custom','qonspt')
    ),
    'std'     => 'custom'
);
$this->wst_settings['sub_menu_bg_color'] = array(
    'title'   => esc_html__( 'Dropdown Background Color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_menu',
    'std'     => '#ef2674',
    'dependency' => array(
        'element' => 'sub_menu_color',
        'value' => 'custom'
    )
);
$this->wst_settings['sub_menu_font_color'] = array(
    'title'   => esc_html__( 'Dropdown Links Color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_menu',
    'std'     => '#fff',
    'dependency' => array(
        'element' => 'sub_menu_color',
        'value' => 'custom'
    )
);

$this->wst_settings['mob_menu_bg_color'] = array(
    'title'   => esc_html__( 'Mobile Menu Background Color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_menu',
);
$this->wst_settings['mob_menu_font_color'] = array(
    'title'   => esc_html__( 'Mobile Menu Links Color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_menu',
);

/* Menu Locations.
============================================*/
$this->wst_settings['location-options'] = array(
    'section' => 'wst_menu',
    'desc'    => 'Menu Locations',
    'type'    => 'heading',
    'data_id' => 'locs-acc'
);
$this->wst_settings['locations'] = array(
    'section' => 'wst_menu',
    'title'   => esc_html__( 'Locations', 'qonspt' ),
    'desc'    => esc_html__( 'Add unlimited nav menu locations.', 'qonspt' ),
    'type'    => 'addbox',
    'std'     => '0'
);

$locss = isset($options['locations']) ? $options['locations'] : 0;        
for ( $i = 0; $i <= $locss ; $i++ ) {
    $this->wst_settings['location_'.$i] = array(
        'title'     => esc_html__( 'Location Name ', 'qonspt' ),
        'type'      => 'text',
        'parent'    => 'locations',
        'multilang' => true, 
        'class'     => 'indval',    
        'section'   => 'wst_menu'
    );
}
               
/* Footer
============================================*/
$this->wst_settings['footer-heading'] = array(
    'section' => 'wst_footer',
    'desc'    => esc_html__( 'Main Settings', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'foot-acc'
);
$this->wst_settings['footer_style'] = array(
    'title'   => esc_html__( 'Style', 'qonspt' ),
    'std'     => '2',
    'type'    => 'select',
    'section' => 'wst_footer',
    'class'   => 'select_boxes',
    'choices' => array(
        '1' => esc_html__('Rotated Skew','qonspt'),
        '2' => esc_html__('Normal','qonspt'),
        '3' => esc_html__('Simple Skew','qonspt'),
    )
);
$this->wst_settings['footer_width'] = array(
    'title'   => esc_html__( 'Footer Width', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_footer',
    'desc'    => esc_html__( 'This option allows you to select the footer widgets area layout width.', 'qonspt' ),
    'class'   => 'select_boxes',
    'choices' => array(
        'boxed'     => esc_html__('Boxed','qonspt'),
        'wide'      => esc_html__('Full Width','qonspt'),
    )
);
$this->wst_settings['footer_fixed'] = array(
    'section' => 'wst_footer',
    'title'   => esc_html__( 'Fixed ?', 'qonspt' ),
    'desc'    => esc_html__( 'Enable this to have bottom fixed footer.', 'qonspt' ),
    'type'    => 'checkbox',
);
$this->wst_settings['footer_pad_top'] = array(
    'section' => 'wst_footer',
    'title'   => esc_html__( 'Padding Top (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Enter top footer padding.', 'qonspt' ),
    'type'    => 'number',
);
$this->wst_settings['footer_pad_bot'] = array(
    'section' => 'wst_footer',
    'title'   => esc_html__( 'Padding Bottom (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Enter bottom footer padding.', 'qonspt' ),
    'type'    => 'number',
);
$this->wst_settings['footer_bg_type'] = array(
    'title'   => esc_html__( 'Background Type', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_footer',
    'class'   => 'select_boxes',
    'std'     => 'gradient',
    'choices' => array(
        'color'     => esc_html__('Color','qonspt'),
        'gradient'  => esc_html__('Gradient','qonspt')
    ),
);
$this->wst_settings['footer_bg_color'] = array(
    'title'   => esc_html__( 'Background color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_footer',
    'dependency' => array(
        'element' => 'footer_bg_type',
        'value' => 'color'
    )
);
$this->wst_settings['footer_bg_grad'] = array(
    'title'   => esc_html__( 'Gradient color', 'qonspt' ),
    'type'    => 'gradient',
    'section' => 'wst_footer',
    'dependency' => array(
        'element'   => 'footer_bg_type',
        'value'     => 'gradient'
    ),
    'std'       => '-webkit-linear-gradient(left, #ef2674 0%, #2033aa 100%)',
    'defcolor'  => '-webkit-linear-gradient(left, #ef2674 0%, #2033aa 100%)'
);
$this->wst_settings['footer_bg_img'] = array(
    'section' => 'wst_footer',
    'title'   => esc_html__( 'Background Image', 'qonspt' ),
    'type'    => 'file',
);
$this->wst_settings['footer_bg_position'] = array(
    'title'   => esc_html__( 'Background Position', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_footer',
    'choices' => array(
        '0 0'       => esc_html__('Left Top','qonspt'),
        '0 50%'     => esc_html__('Left Middle','qonspt'),
        '0 100%'    => esc_html__('Left Bottom','qonspt'),
        '50% 0'     => esc_html__('Center Top','qonspt'),
        '50% 50%'   => esc_html__('Center Middle','qonspt'),
        '50% 100%'  => esc_html__('Center Bottom','qonspt'),
        '100% 0'    => esc_html__('Right Top','qonspt'),
        '100% 50%'  => esc_html__('Right Middle','qonspt'),
        '100% 100%' => esc_html__('Right Bottom','qonspt'),
    ),
    'std'   => '0 100%',
    'dependency' => array(
        'element'   => 'footer_bg_img',
        'not_empty' => true
    )
);
$this->wst_settings['footer_bg_repeat'] = array(
    'title'   => esc_html__( 'Background repeat', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_footer',
    'class'   => 'select_boxes',
    'choices' => array(
        ''          => esc_html__('Repeat','qonspt'),
        'no-repeat' => esc_html__('No Repeat','qonspt'),
        'repeat-x'  => esc_html__('Repeat X','qonspt'),
        'repeat-y'  => esc_html__('Repeat Y','qonspt')
    ),
    'std'   => 'repeat-x',
    'dependency' => array(
        'element'   => 'footer_bg_img',
        'not_empty' => true
    )
);
$this->wst_settings['footer_bg_size'] = array(
    'title'   => esc_html__( 'Background Size', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_footer',
    'class'   => 'select_boxes',
    'choices' => array(
        'inherit'   => esc_html__('Inherit','qonspt'),
        'cover'     => esc_html__('Cover','qonspt'),
        'contain'   => esc_html__('Contain','qonspt'),
        '100% 100%' => '100%',
    ),
    'dependency' => array(
        'element' => 'footer_bg_img',
        'not_empty' => true
    )
);
/* Top Footer */
$this->wst_settings['footer-top-head'] = array(
    'section' => 'wst_footer',
    'desc'    => esc_html__( 'Top Area', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'foot-top-acc'
);
$this->wst_settings['foot_top_show'] = array(
    'section' => 'wst_footer',
    'title'   => esc_html__( 'Show top footer bar Area', 'qonspt' ),
    'type'    => 'checkbox',
);
$this->wst_settings['foot_nl1'] = array(
    'section' => 'wst_footer',
    'title'   => esc_html__( 'Left Text', 'qonspt' ),
    'desc'    => esc_html__( 'Insert here the left text (You can Add Shortcodes).', 'qonspt' ),
    'multilang' => true,
    'dependency' => array( 'element' => 'foot_top_show','not_empty' => true ),
    'type'    => 'editor',
);
$this->wst_settings['foot_btn_text'] = array(
    'section' => 'wst_footer',
    'title'   => esc_html__( 'Button Text', 'qonspt' ),
    'desc'    => esc_html__( 'Insert here the button text.', 'qonspt' ),
    'dependency' => array( 'element' => 'foot_top_show','not_empty' => true ),
    'multilang' => true,
    'type'    => 'text',
);
$this->wst_settings['foot_btn_link'] = array(
    'section' => 'wst_footer',
    'title'   => esc_html__( 'Button Link', 'qonspt' ),
    'desc'    => esc_html__( 'Insert here the button link.', 'qonspt' ),
    'dependency' => array( 'element' => 'foot_top_show','not_empty' => true ),
    'type'    => 'text',
);
$this->wst_settings['foot_btn_link_target'] = array(
    'section' => 'wst_footer',
    'title'   => esc_html__( 'New Window ?', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
    'dependency' => array( 'element' => 'foot_top_show','not_empty' => true ),
);
$this->wst_settings['foot_top_text_color'] = array(
    'title'   => esc_html__( 'Text color', 'qonspt' ),
    'dependency' => array( 'element' => 'foot_top_show','not_empty' => true ),
    'type'    => 'color',
    'section' => 'wst_footer',
    'dependency' => array( 'element' => 'foot_top_show','not_empty' => true ),
);
$this->wst_settings['foot_top_bg_color'] = array(
    'title'   => esc_html__( 'Background color', 'qonspt' ),
    'dependency' => array( 'element' => 'foot_top_show','not_empty' => true ),
    'type'    => 'color',
    'std'     => '#fff',
    'section' => 'wst_footer',
    'dependency' => array( 'element' => 'foot_top_show','not_empty' => true ),
);
$this->wst_settings['foot_top_bord_color'] = array(
    'title'   => esc_html__( 'Border color', 'qonspt' ),
    'dependency' => array( 'element' => 'foot_top_show','not_empty' => true ),
    'type'    => 'color',
    'std'     => '#c6c6c6',
    'section' => 'wst_footer',
    'dependency' => array( 'element' => 'foot_top_show','not_empty' => true ),
);
/* Widgets Area */
$this->wst_settings['footer-middle-head'] = array(
    'section' => 'wst_footer',
    'desc'    => esc_html__( 'Widgets Area', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'foot-mid-acc'
);
$this->wst_settings['foot_mid_show'] = array(
    'section' => 'wst_footer',
    'title'   => esc_html__( 'Show footer widgets Area', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1'
);
$this->wst_settings['footer_mid_sidebar'] = array(
    'title'     => esc_html__( 'Select Side Bar', 'qonspt' ),
    'desc'      => esc_html__( 'Select the side bar for footer widgets content.', 'qonspt' ),
    'type'      => 'select',
    'section'   => 'wst_footer',
    'multilang' => true,
    'std'       => 'midle-footer-widgets',
    'choices'   => wst_sidebars_arr(),
    'dependency' => array( 'element' => 'foot_mid_show','not_empty' => true ),
);
$this->wst_settings['foot_mid_widg_cols'] = array(
    'title'   => esc_html__( 'Number of Columns', 'qonspt' ),
    'std'     => '4',
    'type'    => 'select',
    'section' => 'wst_footer',
    'class'   => 'select_boxes',
    'dependency' => array( 'element' => 'foot_mid_show','not_empty' => true ),
    'choices' => array(
        '1'    => '1',
        '2'     => '2',
        '3'     => '3',
        '4'     => '4'
    )
);
$this->wst_settings['footer_text_color'] = array(
    'title'   => esc_html__( 'Text color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_footer',
    'std'     => '#ffffff',
    'dependency' => array( 'element' => 'foot_mid_show','not_empty' => true ),
);
$this->wst_settings['footer_link_color'] = array(
    'title'   => esc_html__( 'Links color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_footer',
    'std'     => '#ffffff',
    'dependency' => array( 'element' => 'foot_mid_show','not_empty' => true ),
);
$this->wst_settings['footer_head_color'] = array(
    'title'   => esc_html__( 'Widgets Headings color', 'qonspt' ),
    'type'    => 'color',
    'std'     => '#ffffff',
    'section' => 'wst_footer',
    'dependency' => array( 'element' => 'foot_mid_show','not_empty' => true ),
);            

/* Bottom Footer */
$this->wst_settings['foot-bottom-head'] = array(
    'section' => 'wst_footer',
    'desc'    => esc_html__( 'Bottom Area', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'foot-bottom-acc'
);
$this->wst_settings['foot_bottom_show'] = array(
    'section' => 'wst_footer',
    'title'   => esc_html__( 'Show SubFooter Area', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide bottom footer bar.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1'
);
$this->wst_settings['footer_bot_sidebar'] = array(
    'title'     => esc_html__( 'Select Side Bar', 'qonspt' ),
    'desc'      => esc_html__( 'Select the side bar for footer bottom content.', 'qonspt' ),
    'type'      => 'select',
    'section'   => 'wst_footer',
    'multilang' => true,
    'std'       => 'footer-bottom-widgets',
    'choices'   => wst_sidebars_arr(),
    'dependency' => array( 'element' => 'foot_bottom_show','not_empty' => true ),
);
$this->wst_settings['foot_bot_widg_cols'] = array(
    'title'   => esc_html__( 'Number of Columns', 'qonspt' ),
    'std'     => '2',
    'type'    => 'select',
    'section' => 'wst_footer',
    'desc'    => esc_html__( 'This option allows you to show subfooter elements in one, two or three columns.', 'qonspt' ),
    'class'   => 'select_boxes',
    'dependency' => array( 'element' => 'foot_bottom_show','not_empty' => true ),
    'choices' => array(
        '1'    => '1',
        '2'     => '2',
        '3'     => '3',
        '4'     => '4'
    )
);
$this->wst_settings['foot_copyrights'] = array(
    'section'    => 'wst_footer',
    'title'      => esc_html__( 'Copyrights', 'qonspt' ),
    'desc'       => esc_html__( 'Insert here the copyrights text.', 'qonspt' ),
    'multilang'  => true,
    'dependency' => array( 'element' => 'foot_bottom_show','not_empty' => true ),
    'std'        => esc_html__('Copyrights &copy; 2019. All rights reserved to Qonspt Co.','qonspt'),
    'type'       => 'editor', 
);
$this->wst_settings['footer_bottom_color'] = array(
    'title'   => esc_html__( 'Text color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_footer',
    'std'     => '#ffffff',
    'dependency' => array( 'element' => 'foot_bottom_show','not_empty' => true ),
);
$this->wst_settings['footer_bottom_link_color'] = array(
    'title'   => esc_html__( 'Links color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_footer',
    'std'     => '#ffffff',
    'dependency' => array( 'element' => 'foot_bottom_show','not_empty' => true ),
);
$this->wst_settings['footer_bottom_bg'] = array(
    'title'   => esc_html__( 'Background color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_footer',
    'dependency' => array( 'element' => 'foot_bottom_show','not_empty' => true ),
);
        
/* Page title.
============================================*/
$this->wst_settings['page_title_options'] = array(
    'section' => 'wst_pagetitles',
    'desc'    => esc_html__('General Settings','qonspt'),
    'type'    => 'heading',
    'data_id' => 'title-acc'
);
$this->wst_settings['page_title_style'] = array(
    'section' => 'wst_pagetitles',
    'title'   => esc_html__( 'Style', 'qonspt' ),
    'type'    => 'select',
    'std'     => 'normal',
    'class'   => 'select_boxes',
    'choices' => array(
        '1'         => esc_html__('Style 1','qonspt'),
        '2'         => esc_html__('Style 2','qonspt'),
        '3'         => esc_html__('Style 3','qonspt'),
        '4'         => esc_html__('Style 4','qonspt'),
        'normal'    => esc_html__('Normal','qonspt'),                
    ),
);
$this->wst_settings['page_title_position'] = array(
    'section' => 'wst_pagetitles',
    'title'   => esc_html__( 'Position', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Title Alignment.', 'qonspt' ),
    'type'    => 'select',
    'multilang' => true,
    'class'   => 'select_boxes',
    'choices' => array(
        'left'      => esc_html__('Left','qonspt'),
        'center'    => esc_html__('Center','qonspt'),
        'right'     => esc_html__('Right','qonspt')                
    ),
    'std'     => 'center',
);
$this->wst_settings['page_title_height'] = array(
    'title'   => esc_html__( 'Height', 'qonspt' ),
    'desc'    => esc_html__( 'Insert the height (in px). Ex: 200', 'qonspt' ),
    'type'    => 'number',
    'min'     => '1',
    'max'     => '1200',
    'std'     => '400',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_icon'] = array(
    'title'   => esc_html__( 'Icon', 'qonspt' ),
    'desc'    => esc_html__( 'Choose icon for page title.', 'qonspt' ),
    'type'    => 'icon',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_iconsize'] = array(
    'title'   => esc_html__( 'Icon Font Size (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Font size for title icon', 'qonspt' ),
    'std'     => '40',
    'type'    => 'number',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_iconcolor'] = array(
    'title'   => esc_html__( 'Icon color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a solid Icon color.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_iconbgcolor'] = array(
    'title'   => esc_html__( 'Icon Background color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a solid Icon Background color.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_hide'] = array(
    'section' => 'wst_pagetitles',
    'title'   => esc_html__( 'Hide All Page Titles', 'qonspt' ),
    'desc'    => esc_html__( 'Show/Hide page title in all pages.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '0'
);
$this->wst_settings['page_title_typo'] = array(
    'section' => 'wst_pagetitles',
    'desc'    => esc_html__('Typography','qonspt'),
    'type'    => 'heading',
    'data_id' => 'title-typo-acc'
);
$this->wst_settings['page_title_font'] = array(
    'title'   => esc_html__( 'Font Family', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Font Family for main page title', 'qonspt' ),
    'std'     => 'Poppins',
    'type'    => 'googlefonts',
    'multilang' => true,
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_sample'] = array(
    'title'   => '',
    'desc'     => esc_html__( 'Grumpy wizards make toxic brew for the evil Queen and Jack.', 'qonspt' ),
    'type'    => 'label',
    'class'   => 'gfonts',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_fontsize'] = array(
    'title'   => esc_html__( 'Font Size (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Font size for main page title', 'qonspt' ),
    'multilang' => true,
    'type'    => 'number',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_fontweight'] = array(
    'title'   => esc_html__( 'Font Weight', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Font weight for main page title', 'qonspt' ),
    'type'    => 'select',
    'multilang' => true,
    'section' => 'wst_pagetitles',
    'std'     => '700',
    'choices' => array(
        ''          => esc_html__('-- Select --','qonspt'),
        'normal'    => esc_html__('normal','qonspt'),
        'bold'      => esc_html__('bold','qonspt'),
        'lighter'   => esc_html__('lighter','qonspt'),
        'bolder'    => esc_html__('bolder','qonspt'),
        '100'       => '100',
        '200'       => '200',
        '300'       => '300',
        '400'       => '400',
        '500'       => '500',
        '600'       => '600',
        '700'       => '700',
        '800'       => '800',
        '900'       => '900',
        'inherit'   => esc_html__('inherit','qonspt')
    ),
);
$this->wst_settings['page_title_letter'] = array(
    'title'   => esc_html__( 'Letter Spacing (px)', 'qonspt' ),
    'type'    => 'number',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_sub_fontsize'] = array(
    'title'   => esc_html__( 'Sub Title Font Size (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Font size for page sub title', 'qonspt' ),
    'std'     => '20',
    'multilang' => true,
    'type'    => 'number',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_sub_letter'] = array(
    'title'   => esc_html__( 'Letter Spacing (px)', 'qonspt' ),
    'type'    => 'number',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_styling'] = array(
    'section' => 'wst_pagetitles',
    'desc'    => esc_html__('Styling','qonspt'),
    'type'    => 'heading',
    'data_id' => 'title_st-acc'
);
$this->wst_settings['page_title_fontcolor'] = array(
    'title'   => esc_html__( 'Text color', 'qonspt' ),
    'type'    => 'color',
    'std'     => '#ffffff',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_subcolor'] = array(
    'title'   => esc_html__( 'Subtitle color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_textcolor'] = array(
    'title'   => esc_html__( 'Text Background color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_bg_type'] = array(
    'title'   => esc_html__( 'Background Type', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_pagetitles',
    'class'   => 'select_boxes',
    'std'     => 'gradient',
    'choices' => array(
        'color'     => esc_html__('Color','qonspt'),
        'gradient'  => esc_html__('Gradient','qonspt')
    ),
);
$this->wst_settings['page_title_bgcolor'] = array(
    'title'   => esc_html__( 'Background color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_pagetitles',
    'dependency' => array(
        'element' => 'page_title_bg_type',
        'value' => 'color'
    )
);
$this->wst_settings['page_title_bg_grad'] = array(
    'title'   => esc_html__( 'Gradient color', 'qonspt' ),
    'type'    => 'gradient',
    'section' => 'wst_pagetitles',
    'dependency' => array(
        'element' => 'page_title_bg_type',
        'value' => 'gradient'
    ),
    'std'   => '-webkit-linear-gradient(left, #ef2674 0%, #2033aa 100%)'
);

$this->wst_settings['page_title_bg'] = array(
    'title'   => esc_html__( 'Background Image', 'qonspt' ),
    'type'    => 'file',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_bg_size'] = array(
    'title'   => esc_html__( 'Background Size', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_pagetitles',
    'class'   => 'select_boxes',
    'choices' => array(
        'inherit'   => esc_html__('Inherit','qonspt'),
        'cover'     => esc_html__('Cover','qonspt'),
        'contain'   => esc_html__('Contain','qonspt'),
        '100% 100%' => '100%',
    ), 
    'std'   => 'inherit',
    'dependency' => array(
        'element'   => 'page_title_bg',
        'not_empty' => true
    )
);
$this->wst_settings['page_title_bg_repeat'] = array(
    'title'   => esc_html__( 'Background repeat', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_pagetitles',
    'class'   => 'select_boxes',
    'choices' => array(
        '' => 'Repeat',
        'repeat-x'  => esc_html__('Repeat X','qonspt'),
        'repeat-y'  => esc_html__('Repeat Y','qonspt'),
        'no-repeat' => esc_html__('No Repeat','qonspt'),
    ),
    'std'        => 'no-repeat',
    'dependency' => array(
        'element'   => 'page_title_bg',
        'not_empty' => true
    )
);
$this->wst_settings['page_title_bg_position'] = array(
    'title'   => esc_html__( 'Background Position', 'qonspt' ),
    'type'    => 'select',
    'section' => 'wst_pagetitles',
    'choices' => array(
        '0 0'       => esc_html__('Left Top','qonspt'),
        '0 50%'     => esc_html__('Left Middle','qonspt'),
        '0 100%'    => esc_html__('Left Bottom','qonspt'),
        '50% 0'     => esc_html__('Center Top','qonspt'),
        '50% 50%'   => esc_html__('Center Middle','qonspt'),
        '50% 100%'  => esc_html__('Center Bottom','qonspt'),
        '100% 0'    => esc_html__('Right Top','qonspt'),
        '100% 50%'  => esc_html__('Right Middle','qonspt'),
        '100% 100%' => esc_html__('Right Bottom','qonspt'),
    ),
    'std'   => '0 0',
    'dependency' => array(
        'element' => 'page_title_bg',
        'not_empty' => true
    )
);

$this->wst_settings['page_title_parallax'] = array(
    'title'   => esc_html__( 'Parallax Background', 'qonspt' ),
    'type'    => 'checkbox',
    'section' => 'wst_pagetitles',
    'dependency' => array(
        'element' => 'page_title_bg',
        'not_empty' => true
    )
);
$this->wst_settings['page_title_overlay'] = array(
    'title'   => esc_html__( 'Overlay ?', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_pagetitles',
    'dependency' => array(
        'element' => 'page_title_bg',
        'not_empty' => true
    )
);
$this->wst_settings['breadcrumbs-options'] = array(
    'section' => 'wst_pagetitles',
    'desc'    => esc_html__('Breadcrumbs','qonspt'),
    'type'    => 'heading',
    'data_id' => 'breadcrumbs-acc'
);
$this->wst_settings['page_title_show_breadcrumbs'] = array(
    'title'   => esc_html__( 'Show BreadCrumbs', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
    'section' => 'wst_pagetitles',
);
$this->wst_settings['page_title_breadcrumbs_style'] = array(
    'section' => 'wst_pagetitles',
    'title'   => esc_html__( 'Style', 'qonspt' ),
    'type'    => 'select',
    'class'   => 'select_boxes',
    'choices' => array(
        'style1' => esc_html__('Style 1','qonspt'),
        'style2' => esc_html__('Style 2','qonspt'),
        'style3' => esc_html__('Style 3','qonspt'),
    ),
    'std'     => 'style1',
    'dependency' => array(
        'element' => 'page_title_show_breadcrumbs',
        'value' => '1'
    )
);
$this->wst_settings['page_title_breadcrumbs_align'] = array(
    'section' => 'wst_pagetitles',
    'title'   => esc_html__( 'Alignment', 'qonspt' ),
    'type'    => 'select',
    'class'   => 'select_boxes',
    'choices' => array(
        'text-left'     => esc_html__('Left','qonspt'),
        'text-center'   => esc_html__('Center','qonspt'),
        'text-right'    => esc_html__('Right','qonspt'),        
    ),
    'std'   => 'text-center',
    'dependency' => array(
        'element' => 'page_title_show_breadcrumbs',
        'value' => '1'
    )
);
$this->wst_settings['page_title_breadcrumbs_prefix'] = array(
    'title'   => esc_html__( 'Prefix', 'qonspt' ),
    'desc'    => esc_html__( 'Enter the text before the breadcrumbs', 'qonspt' ),
    'type'    => 'text',
    'multilang' => true,
    'section' => 'wst_pagetitles',
    'dependency' => array(
        'element' => 'page_title_show_breadcrumbs',
        'value' => '1'
    )
);
$this->wst_settings['page_title_breadcrumbs_suffix'] = array(
    'title'   => esc_html__( 'Suffix', 'qonspt' ),
    'desc'    => esc_html__( 'Enter the text after the breadcrumbs', 'qonspt' ),
    'type'    => 'text',
    'multilang' => true,
    'section' => 'wst_pagetitles',
    'dependency' => array(
        'element' => 'page_title_show_breadcrumbs',
        'value' => '1'
    )
);
$this->wst_settings['page_title_mobile_breadcrumbs'] = array(
    'title'   => esc_html__( 'Show on Mobiles', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
    'section' => 'wst_pagetitles',
    'dependency' => array(
        'element' => 'page_title_show_breadcrumbs',
        'value' => '1'
    )
);
$this->wst_settings['page_title_breadcrumbs_color'] = array(
    'title'   => esc_html__( 'Text color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_pagetitles',
    'dependency' => array(
        'element' => 'page_title_show_breadcrumbs',
        'value' => '1'
    )
);
$this->wst_settings['page_title_breadcrumbs_bgcolor'] = array(
    'title'   => esc_html__( 'Background color', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_pagetitles',
    'dependency' => array(
        'element' => 'page_title_show_breadcrumbs',
        'value' => '1'
    )
);

/* Typography.
============================================*/
$this->wst_settings['body_heading'] = array(
    'section' => 'wst_typography',
    'desc'    => esc_html__( 'Body', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'body_ty-acc'
);
$this->wst_settings['body_font'] = array(
    'title'   => esc_html__( 'Font Family', 'qonspt' ),
    'std'     => 'Lato',
    'type'    => 'googlefonts',
    'section' => 'wst_typography',
    'multilang' => true,
);
$this->wst_settings['bdy_font_sample'] = array(
    'title'   => '',
    'desc'     => esc_html__( 'Grumpy wizards make toxic brew for the evil Queen and Jack.', 'qonspt' ),
    'type'    => 'label',
    'class'   => 'gfonts',
    'section' => 'wst_typography',
);
$this->wst_settings['bdy_fontweight'] = array(
    'title'   => esc_html__( 'Font Weight', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Font weight for body text', 'qonspt' ),
    'type'    => 'select',
    'multilang' => true,
    'section' => 'wst_typography',
    'std'     => 'normal',
    'choices' => array(
        ''          => esc_html__('-- Select --','qonspt'),
        'normal'    => esc_html__('normal','qonspt'),
        'bold'      => esc_html__('bold','qonspt'),
        'lighter'   => esc_html__('lighter','qonspt'),
        'bolder'    => esc_html__('bolder','qonspt'),
        '100'       => '100',
        '200'       => '200',
        '300'       => '300',
        '400'       => '400',
        '500'       => '500',
        '600'       => '600',
        '700'       => '700',
        '800'       => '800',
        '900'       => '900',
        'inherit'   => esc_html__('inherit','qonspt')
    ),
);
$this->wst_settings['body_font_size'] = array(
    'title'   => esc_html__( 'Font Size (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Enter Font size in px.', 'qonspt' ),
    'std'     => '16',
    'type'    => 'number',
    'multilang' => true,
    'section' => 'wst_typography'
);
$this->wst_settings['body_line_height'] = array(
    'title'   => esc_html__( 'Line Height', 'qonspt' ),
    'desc'    => esc_html__( 'Line Height for all body elemets in PX.', 'qonspt' ),
    'std'     => '27',
    'multilang' => true,
    'type'    => 'number',
    'section' => 'wst_typography'
);
$this->wst_settings['body_lett_space'] = array(
    'title'   => esc_html__( 'Letter Spacing (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Enter letter spacing in px.', 'qonspt' ),
    'type'    => 'number',
    'multilang' => true,
    'section' => 'wst_typography'
);

$this->wst_settings['menu_heading'] = array(
    'section' => 'wst_typography',
    'desc'    => esc_html__( 'Menu', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'menu_ty-acc'
);
$this->wst_settings['menu_font'] = array(
    'title'   => esc_html__( 'Font Family', 'qonspt' ),
    'std'     => 'Lato',
    'multilang' => true,
    'type'    => 'googlefonts',
    'section' => 'wst_typography',
);
$this->wst_settings['mnu_font_sample'] = array(
    'title'   => '',
    'desc'     => esc_html__( 'Grumpy wizards make toxic brew for the evil Queen and Jack.', 'qonspt' ),
    'type'    => 'label',
    'class'   => 'gfonts',
    'section' => 'wst_typography',
);
$this->wst_settings['mnu_fontweight'] = array(
    'title'   => esc_html__( 'Font Weight', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Font weight for main menu items', 'qonspt' ),
    'type'    => 'select',
    'multilang' => true,
    'section' => 'wst_typography',
    'std'     => '700',
    'choices' => array(
        ''          => esc_html__('-- Select --','qonspt'),
        'normal'    => esc_html__('normal','qonspt'),
        'bold'      => esc_html__('bold','qonspt'),
        'lighter'   => esc_html__('lighter','qonspt'),
        'bolder'    => esc_html__('bolder','qonspt'),
        '100'       => '100',
        '200'       => '200',
        '300'       => '300',
        '400'       => '400',
        '500'       => '500',
        '600'       => '600',
        '700'       => '700',
        '800'       => '800',
        '900'       => '900',
        'inherit'   => esc_html__('inherit','qonspt')
    ),
);
$this->wst_settings['menu_font_size'] = array(
    'title'   => esc_html__( 'Font Size (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Enter Font size in px. Ex: 14px', 'qonspt' ),
    'std'     => '16',
    'type'    => 'number',
    'multilang' => true,
    'section' => 'wst_typography'
);
$this->wst_settings['menu_lett_space'] = array(
    'title'   => esc_html__( 'Letter Spacing (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Enter letter spacing in px.', 'qonspt' ),
    'std'     => '0.5',
    'type'    => 'number',
    'multilang' => true,
    'section' => 'wst_typography'
);
$this->wst_settings['menu_text_style'] = array(
    'title'   => esc_html__( 'Text Style', 'qonspt' ),
    'std'     => 'none',
    'type'    => 'select',
    'multilang' => true,
    'section' => 'wst_typography',
    'choices' => array(
        'none'          => esc_html__('None','qonspt'),
        'capitalize'    => esc_html__('Capitalize','qonspt'),
        'lowercase'     => esc_html__('Lowercase','qonspt'),
        'uppercase'     => esc_html__('Uppercase','qonspt'),
    )
);

$this->wst_settings['submenu_heading'] = array(
    'section' => 'wst_typography',
    'desc'    => esc_html__( 'SubMenu', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'submenu_ty-acc'
);
$this->wst_settings['submenu_font'] = array(
    'title'   => esc_html__( 'Font Family', 'qonspt' ),
    'std'     => 'Lato',
    'multilang' => true,
    'type'    => 'googlefonts',
    'section' => 'wst_typography',
);
$this->wst_settings['submnu_font_sample'] = array(
    'title'   => '',
    'desc'     => esc_html__( 'Grumpy wizards make toxic brew for the evil Queen and Jack.', 'qonspt' ),
    'type'    => 'label',
    'class'   => 'gfonts',
    'section' => 'wst_typography',
);
$this->wst_settings['submnu_fontweight'] = array(
    'title'   => esc_html__( 'Font Weight', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Font weight for sub menu text', 'qonspt' ),
    'type'    => 'select',
    'multilang' => true,
    'section' => 'wst_typography',
    'std'     => 'normal',
    'choices' => array(
        ''          => esc_html__('-- Select --','qonspt'),
        'normal'    => esc_html__('normal','qonspt'),
        'bold'      => esc_html__('bold','qonspt'),
        'lighter'   => esc_html__('lighter','qonspt'),
        'bolder'    => esc_html__('bolder','qonspt'),
        '100'       => '100',
        '200'       => '200',
        '300'       => '300',
        '400'       => '400',
        '500'       => '500',
        '600'       => '600',
        '700'       => '700',
        '800'       => '800',
        '900'       => '900',
        'inherit'   => esc_html__('inherit','qonspt')
    ),
);
$this->wst_settings['submenu_font_size'] = array(
    'title'   => esc_html__( 'Font Size (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Enter Font size in px. Ex: 14px', 'qonspt' ),
    'std'     => '14',
    'type'    => 'number',
    'multilang' => true,
    'section' => 'wst_typography'
);
$this->wst_settings['submenu_lett_space'] = array(
    'title'   => esc_html__( 'Letter Spacing (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Enter letter spacing in px.', 'qonspt' ),
    'type'    => 'number',
    'multilang' => true,
    'section' => 'wst_typography'
);
$this->wst_settings['submenu_text_style'] = array(
    'title'   => esc_html__( 'Text Style', 'qonspt' ),
    'std'     => 'none',
    'type'    => 'select',
    'multilang' => true,
    'section' => 'wst_typography',
    'choices' => array(
        'none' => 'None',
        'capitalize'    => esc_html__('Capitalize','qonspt'),
        'lowercase'     => esc_html__('Lowercase','qonspt'),
        'uppercase'     => esc_html__('Uppercase','qonspt'),
    )
);

$this->wst_settings['headings_heading'] = array(
    'section' => 'wst_typography',
    'desc'    => esc_html__( 'Headings', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'headings_ty-acc'
);
$this->wst_settings['headings_font'] = array(
    'title'   => esc_html__( 'Font Family', 'qonspt' ),
    'std'     => 'Poppins',
    'type'    => 'googlefonts',
    'multilang' => true,
    'section' => 'wst_typography',
);
$this->wst_settings['head_font_sample'] = array(
    'title'   => '',
    'desc'     => esc_html__( 'Grumpy wizards make toxic brew for the evil Queen and Jack.', 'qonspt' ),
    'type'    => 'label',
    'class'   => 'gfonts',
    'section' => 'wst_typography',
);
$this->wst_settings['head_fontweight'] = array(
    'title'   => esc_html__( 'Font Weight', 'qonspt' ),
    'desc'    => esc_html__( 'Choose Font weight for headings', 'qonspt' ),
    'type'    => 'select',
    'multilang' => true,
    'section' => 'wst_typography',
    'std'     => '700',
    'choices' => array(
        ''          => esc_html__('-- Select --','qonspt'),
        'normal'    => esc_html__('normal','qonspt'),
        'bold'      => esc_html__('bold','qonspt'),
        'lighter'   => esc_html__('lighter','qonspt'),
        'bolder'    => esc_html__('bolder','qonspt'),
        '100'       => '100',
        '200'       => '200',
        '300'       => '300',
        '400'       => '400',
        '500'       => '500',
        '600'       => '600',
        '700'       => '700',
        '800'       => '800',
        '900'       => '900',
        'inherit'   => esc_html__('inherit','qonspt')
    ),
);
$this->wst_settings['headings_lett_space'] = array(
    'title'   => esc_html__( 'Letter Spacing (px)', 'qonspt' ),
    'desc'    => esc_html__( 'Enter letter spacing in px.', 'qonspt' ),
    'type'    => 'number',
    'multilang' => true,
    'std'     => '-1',
    'section' => 'wst_typography'
);
$this->wst_settings['headings_text_style'] = array(
    'title'   => esc_html__( 'Text Style', 'qonspt' ),
    'type'    => 'select',
    'multilang' => true,
    'section' => 'wst_typography',
    'choices' => array(
        ''              => esc_html__('-- Select --','qonspt'),
        'capitalize'    => esc_html__('Capitalize','qonspt'),
        'none'          => esc_html__('None','qonspt'),
        'lowercase'     => esc_html__('Lowercase','qonspt'),
        'uppercase'     => esc_html__('Uppercase','qonspt'),
    )
);
$this->wst_settings['typo_heading'] = array(
    'section' => 'wst_typography',
    'desc'    => esc_html__( 'Custom Fonts', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'typo_ty-acc'
);
$this->wst_settings['custom_fonts'] = array(
    'title'   => esc_html__( 'Upload New Font', 'qonspt' ),
    'desc'    => esc_html__( 'The new font will appear in the Font Family selector (Just refresh the page after saving).', 'qonspt' ),
    'std'     => '0',
    'class'   => 'fontat',
    'type'    => 'addbox',
    'section' => 'wst_typography',
);
$cfonts = isset($options['custom_fonts']) ? $options['custom_fonts'] : 0;
for( $i = 0 ; $i <= $cfonts ; $i++ ) {
    $this->wst_settings['custom_font_name_'.$i] = array(
        'title'   => esc_html__( 'Font-Family Name', 'qonspt' ),
        'type'    => 'text',
        'class'   => 'indval',
        'parent'    => 'custom_fonts',
        'section' => 'wst_typography'
    );
    $this->wst_settings['custom_font_ttf_'.$i] = array(
        'title'   => esc_html__( 'Upload .ttf ', 'qonspt' ),
        'type'    => 'uploadfont',
        'parent'    => 'custom_fonts',
        'section' => 'wst_typography'
    );
    $this->wst_settings['custom_font_eot_'.$i] = array(
        'title'   => esc_html__( 'Upload .eot ', 'qonspt' ),
        'type'    => 'uploadfont',      
        'parent'    => 'custom_fonts',
        'section' => 'wst_typography'
    );
    $this->wst_settings['custom_font_svg_'.$i] = array(
        'title'   => esc_html__( 'Upload .svg ', 'qonspt' ),
        'type'    => 'uploadfont',      
        'parent'    => 'custom_fonts',
        'section' => 'wst_typography'
    );
    $this->wst_settings['custom_font_woff_'.$i] = array(
        'title'   => esc_html__( 'Upload .woff ', 'qonspt' ),
        'type'    => 'uploadfont',      
        'parent'    => 'custom_fonts',
        'section' => 'wst_typography'
    );
    $this->wst_settings['custom_font_css_'.$i] = array(
        'title'   => esc_html__( 'Extra css ', 'qonspt' ),
        'type'    => 'textarea',      
        'parent'    => 'custom_fonts',
        'section' => 'wst_typography'
    );
}

/* Sliding Bar 
==========================================*/
$this->wst_settings['sld-bar'] = array(
    'section' => 'wst_slidingbar',
    'desc'    => esc_html__( 'Settings', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'sld-sets-acc',
);
$this->wst_settings['show_sliding_bar'] = array(
    'section' => 'wst_slidingbar',
    'title'   => esc_html__( 'Show Sliding Bar', 'qonspt' ),
    'type'    => 'checkbox',
);
$this->wst_settings['sliding_bar_sidebar'] = array(
    'title'     => esc_html__( 'Select Side Bar', 'qonspt' ),
    'desc'      => esc_html__( 'Select the side bar for sliding bar content.', 'qonspt' ),
    'type'      => 'select',
    'section'   => 'wst_slidingbar',
    'multilang' => true,
    'choices'   => wst_sidebars_arr(),
    'dependency' => array(
        'element' => 'show_sliding_bar',
        'not_empty' => true
    )
);
$this->wst_settings['sliding_bar_columns'] = array(
    'title'   => esc_html__( 'Coulmns Per Row', 'qonspt' ),
    'desc'    => esc_html__( 'Select Number of horizontal coulmns per row.', 'qonspt' ),
    'std'     => '4',
    'type'    => 'select',
    'section' => 'wst_slidingbar',
    'class'   => 'select_boxes',
    'choices' => array(
        '1' => '1',
        '2' => '2',
        '3' => '3',
        '4' => '4',
        '5' => '5',
        '6' => '6',
    ),
    'dependency' => array(
        'element' => 'show_sliding_bar',
        'not_empty' => true
    )
);
$this->wst_settings['sliding_bar_on_mobile'] = array(
    'section' => 'wst_slidingbar',
    'title'   => esc_html__( 'Sliding Bar On Mobile', 'qonspt' ),
    'desc'    => esc_html__( 'Turn on to display the sliding bar on mobiles.', 'qonspt' ),
    'type'    => 'checkbox',
    'dependency' => array(
        'element' => 'show_sliding_bar',
        'not_empty' => true
    )
);
$this->wst_settings['sld-bar-styl'] = array(
    'section' => 'wst_slidingbar',
    'desc'    => esc_html__( 'Styling', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'sld-styl-acc',
);
$this->wst_settings['slbr_icon_color'] = array(
    'title'   => esc_html__( 'Icon color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a color for Sliding bar button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_slidingbar',
    'parentclass' => 'four_cells',
    'dependency' => array(
        'element'   => 'show_sliding_bar',
        'value'     => '1'
    ),
);
$this->wst_settings['slbr_icon_hovcolor'] = array(
    'title'   => esc_html__( 'Icon Hover color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a color for Sliding bar hover button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_slidingbar',
    'parentclass' => 'four_cells',
    'dependency' => array(
        'element'   => 'show_sliding_bar',
        'value'     => '1'
    ),
);
$this->wst_settings['slbr_icon_bgcolor'] = array(
    'title'   => esc_html__( 'Icon Background color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a background color for Sliding bar button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_slidingbar',
    'parentclass' => 'four_cells',
    'dependency' => array(
        'element'   => 'show_sliding_bar',
        'value'     => '1'
    ),
);
$this->wst_settings['slbr_icon_border_color'] = array(
    'title'   => esc_html__( 'Icon Border color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose a border color for Sliding bar button.', 'qonspt' ),
    'type'    => 'color',
    'section' => 'wst_slidingbar',
    'parentclass' => 'four_cells',
    'dependency' => array(
        'element'   => 'show_sliding_bar',
        'value'     => '1'
    ),
);
$this->wst_settings['sliding_padding'] = array(
    'title'   => esc_html__( 'Content Padding', 'qonspt' ),
    'desc'    => esc_html__( 'Top and Bottom Sliding bar content padding in px.', 'qonspt' ),
    'std'     => '80|80',
    'firstInput' => '<i class="stline-arrow-up"></i>',
    'lastInput' => '<i class="stline-arrow-down"></i>',
    'type'    => 'twonumber',
    'section' => 'wst_slidingbar',
);
$this->wst_settings['sliding_bg_color'] = array(
    'title'   => esc_html__( 'Background Top Color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose solid color for top gradient background color.', 'qonspt' ),
    'type'    => 'color',
    'defcolor'=> '#2033aa',
    'std'     => '#2033aa',
    'section' => 'wst_slidingbar',
);
$this->wst_settings['sliding_bg_bot_color'] = array(
    'title'   => esc_html__( 'Background Bottom Color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose solid color for sliding bar background.', 'qonspt' ),
    'type'    => 'color',
    'defcolor'=> '#ef2674',
    'std'     => '#ef2674',
    'section' => 'wst_slidingbar',
);
$this->wst_settings['sliding_first_grad'] = array(
    'title'   => esc_html__( 'First Layer Gradient', 'qonspt' ),
    'type'    => 'gradient',
    'section' => 'wst_slidingbar',
    'std'   => '-webkit-linear-gradient(left, #7a86ff 0%, #ff4780 100%)'
);
$this->wst_settings['sliding_second_grad'] = array(
    'title'   => esc_html__( 'Second Layer Gradient', 'qonspt' ),
    'type'    => 'gradient',
    'section' => 'wst_slidingbar',
    'std'   => '-webkit-linear-gradient(left, #162bff 0%, #f20c53 100%)'
);
$this->wst_settings['sliding_bar_headings_color'] = array(
    'title'   => esc_html__( 'Headings Color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose solid color for the sliding bar heading font.', 'qonspt' ),
    'type'    => 'color',
    'std'     => '#fff',
    'section' => 'wst_slidingbar',
); 
$this->wst_settings['sliding_bar_heading_font_size'] = array(
    'title'   => esc_html__( 'Heading Font Size', 'qonspt' ),
    'desc'    => esc_html__( 'Choose font size for the sliding bar heading text in px.', 'qonspt' ),
    'std'     => '30',
    'type'    => 'number',
    'section' => 'wst_slidingbar',
);
$this->wst_settings['sliding_bar_font_color'] = array(
    'title'   => esc_html__( 'Content Font Color', 'qonspt' ),
    'desc'    => esc_html__( 'Choose solid color for the sliding bar font.', 'qonspt' ),
    'type'    => 'color',
    'std'     => '#fff',
    'section' => 'wst_slidingbar',
);
$this->wst_settings['sliding_bar_content_font_size'] = array(
    'title'   => esc_html__( 'Content Font Size', 'qonspt' ),
    'desc'    => esc_html__( 'Choose font size for the sliding bar content text in px.', 'qonspt' ),
    'std'     => '16',
    'type'    => 'number',
    'section' => 'wst_slidingbar',
);

/* Blog options.
============================================*/  
$this->wst_settings['blog_listing_heading'] = array(
    'section' => 'wst_blogoptions',
    'desc'    => esc_html__( 'Blog listing', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'general_bl-acc'
);     
$this->wst_settings['blogstyle'] = array(
    'title'   => esc_html__( 'Blog Listing Style', 'qonspt' ),
    'desc'    => esc_html__( 'Select blog posts listing style.', 'qonspt' ),
    'std'     => 'lg-image',
    'type'    => 'select',
    'section' => 'wst_blogoptions',
    'class'   => 'select_boxes',
    'choices' => array(
        'lg-image'      => esc_html__('Large Image','qonspt'),
        'small-image'   => esc_html__('Side Image','qonspt'),
        'grid'          => esc_html__('Grid','qonspt'),
        'masonry'       => esc_html__('Masonry','qonspt'),
    )
);
$this->wst_settings['blog_columns'] = array(
    'title'   => esc_html__( 'Columns Per Row', 'qonspt' ),
    'desc'    => esc_html__( 'Select columns per row.', 'qonspt' ),
    'std'     => '6',
    'type'    => 'select',
    'section' => 'wst_blogoptions',
    'class'   => 'select_boxes',
    'choices' => array(
        '6' => esc_html__('2 Columns','qonspt'),
        '4' => esc_html__('3 Columns','qonspt'),
        '3' => esc_html__('4 Columns','qonspt')
    ),
    'dependency' => array(
        'element' => 'blogstyle',
        'value' => array('grid','masonry')
    ),
);
$this->wst_settings['blog_image_size'] = array(
    'title'   => esc_html__( 'Featured Image Size', 'qonspt' ),
    'desc'    => esc_html__( 'Select Blog Featured Image Size.', 'qonspt' ),
    'std'     => 'large',
    'type'    => 'select',
    'section' => 'wst_blogoptions',
    'choices' => wst_get_image_sizes()
);
$this->wst_settings['blog_sidebar'] = array(
    'title'   => esc_html__( 'Blog Sidebar', 'qonspt' ),
    'desc'    => esc_html__( 'Full width or with sidebar ?', 'qonspt' ),
    'std'     => 'right',
    'type'    => 'radioimages',
    'section' => 'wst_blogoptions',
    'choices' => array(
        'right' => esc_html__('Right SideBar','qonspt').'|'.get_template_directory_uri() .'/includes/assets/images/right_bar.png',
        'left' => esc_html__('Left SideBar','qonspt').'|'.get_template_directory_uri() .'/includes/assets/images/left_bar.png',
        'nobar' => esc_html__('No SideBars','qonspt').'|'.get_template_directory_uri() .'/includes/assets/images/no_bar.png',
    )
);
$this->wst_settings['read_more_text'] = array(
    'title'   => esc_html__( 'Read More Text', 'qonspt' ),
    'desc'    => esc_html__( 'Enter Text that will be shown on the Read more button.', 'qonspt' ),
    'std'     => esc_html__('Read More','qonspt'),
    'multilang' => true,
    'value'   => 'Read More',
    'type'    => 'text',
    'section' => 'wst_blogoptions',
    'dependency' => array(
        'element' => 'more_style',
        'value' => 'style1'
    ),
);
$this->wst_settings['pager_type'] = array(
    'title'   => esc_html__( 'Pager Type', 'qonspt' ),
    'desc'    => esc_html__( 'Select your prefered pager style.', 'qonspt' ),
    'std'     => '1',
    'type'    => 'select',
    'section' => 'wst_blogoptions',
    'class'   => 'select_boxes',
    'choices' => array(
        '1' => esc_html__('Numeric + Navigation','qonspt'),
        '2' => esc_html__('Older Newer','qonspt'),
        '3' => esc_html__('Load More Button','qonspt')
    )
);
$this->wst_settings['pager_position'] = array(
    'title'   => esc_html__( 'Pager Position', 'qonspt' ),
    'desc'    => esc_html__( 'position for only Numeric Pager.', 'qonspt' ),
    'std'     => 'centered',
    'type'    => 'select',
    'section' => 'wst_blogoptions',
    'class'   => 'select_boxes',
    'choices' => array(
        'pull-left' => esc_html__('Left','qonspt'),
        'centered'  => esc_html__('Center','qonspt'),
        'pull-right'=> esc_html__('Right','qonspt')
    ),
    'dependency' => array(
        'element' => 'pager_type',
        'value' => '1'
    ),
);
$this->wst_settings['load_more_text'] = array(
    'title'   => esc_html__( 'Load More Text', 'qonspt' ),
    'desc'    => esc_html__( 'Enter Text that will be shown on the load more button.', 'qonspt' ),
    'std'     => esc_html__('Load More','qonspt'),
    'value'   => 'Load More',
    'type'    => 'text',
    'section' => 'wst_blogoptions',
    'dependency' => array(
        'element' => 'pager_type',
        'value' => '3'
    ),
);

$this->wst_settings['postimg_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Media', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post image.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['icon_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Post Icon', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post Icon.', 'qonspt' ),
    'type'    => 'checkbox',
);
$this->wst_settings['title_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Title', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post title.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['category_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Category', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post Category.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['date_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Date', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post Date.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['author_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show By Author', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Author info.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['social_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Social Icons', 'qonspt' ),
    'desc'    => esc_html__( 'Show Social Sharing icons.', 'qonspt' ),
    'type'    => 'checkbox',
);
$this->wst_settings['comment_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Comments', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post Comments.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['excerpt_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Post Content', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post content.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['content_format_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Disable Post Content Format ?', 'qonspt' ),
    'desc'    => esc_html__( 'Enable / Disable Post content format in blog listing only.', 'qonspt' ),
    'type'    => 'checkbox',
    'dependency' => array(
        'element' => 'excerpt_on',
        'value' => '1'
    ),
);
$this->wst_settings['wst_excerpt'] = array(
    'title'   => esc_html__( 'Max. number of words.', 'qonspt' ),
    'desc'    => esc_html__( 'Select Max. number of words to be shown, (Enter -1 to disable this feature).', 'qonspt' ),
    'std'     => '50',
    'type'    => 'number',
    'min'     => '-1',
    'max'     => '200',
    'section' => 'wst_blogoptions',
    'dependency' => array(
        'element' => 'content_format_on',
        'value' => '1'
    ),
);

// Single post
$this->wst_settings['blog_single_heading'] = array(
    'section' => 'wst_blogoptions',
    'desc'    => esc_html__( 'Single post', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'single_bl-acc'
);
$this->wst_settings['blog_single_sidebar'] = array(
    'title'   => esc_html__( 'Single Post Sidebar', 'qonspt' ),
    'desc'    => esc_html__( 'Full width or with sidebar ?', 'qonspt' ),
    'std'     => 'right',
    'type'    => 'radioimages',
    'section' => 'wst_blogoptions',
    'choices' => array(
        'right' => esc_html__('Right SideBar','qonspt').'|'.get_template_directory_uri() .'/includes/assets/images/right_bar.png',
        'left'  => esc_html__('Left SideBar','qonspt').'|'.get_template_directory_uri() .'/includes/assets/images/left_bar.png',
        'nobar' => esc_html__('No SideBars','qonspt').'|'.get_template_directory_uri() .'/includes/assets/images/no_bar.png',
    )
);
$this->wst_settings['singlepostimg_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Media', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post media.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['post_icon_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Post Icon', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post Icon.', 'qonspt' ),
    'type'    => 'checkbox',
);
$this->wst_settings['singledate_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Date', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post Date.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['singleauthor_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show By Author', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Author info.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
if ( class_exists( 'qonspt_Core' ) ){
    $this->wst_settings['singleviews_on'] = array(
        'section' => 'wst_blogoptions',
        'title'   => esc_html__( 'Show Post Views', 'qonspt' ),
        'desc'    => esc_html__( 'Show / Hide Post Views.', 'qonspt' ),
        'type'    => 'checkbox',
        'std'     => '1',
    );
    $this->wst_settings['singlelike_on'] = array(
        'section' => 'wst_blogoptions',
        'title'   => esc_html__( 'Show Like Button', 'qonspt' ),
        'desc'    => esc_html__( 'Show / Hide Like button.', 'qonspt' ),
        'type'    => 'checkbox',
        'std'     => '1',
    );
}
$this->wst_settings['singlecategory_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Category', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post Category.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
/*$this->wst_settings['singletitle_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Post Title', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post Title.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);*/
$this->wst_settings['singlecontent_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Post Content', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post content.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['singlesocial_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Social Icons', 'qonspt' ),
    'desc'    => esc_html__( 'Show Social Sharing icons.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1'
);
$this->wst_settings['singletags_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Tags', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post Tags.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['singleprevnext_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Post navigation', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Previous/Next post navigation.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['singleauthorbox_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Author Info Box', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Author info box.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['singlecomment_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Comments', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Post Comments.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['singlerelated_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Related Posts', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide Related Posts.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['blog_socials_heading'] = array(
    'section' => 'wst_blogoptions',
    'desc'    => esc_html__( 'Social Share', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'share_bl-acc',
);
$this->wst_settings['tw_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Twitter', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['fb_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Facebook', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['gplus_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Google Plus', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['ln_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'LinkedIn', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['pin_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Pinterest', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1',
);
$this->wst_settings['whatsapp_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'WhatsApp', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '',
);
$this->wst_settings['email_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Email', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '',
);
$this->wst_settings['stumbleupon_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Stumbleupon', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '',
);
$this->wst_settings['telegram_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Telegram', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '',
);
$this->wst_settings['viber_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Viber', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '',
);
$this->wst_settings['pocket_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Pocket', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '',
);
$this->wst_settings['vkontakte_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Vkontakte', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '',
);
$this->wst_settings['messenger_on'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Messenger', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '',
);    

// Authors Page
$this->wst_settings['author-heading'] = array(
    'section' => 'wst_blogoptions',
    'desc'    => esc_html__( 'Authors Page', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'author-acc'
);
$this->wst_settings['show_auth_info'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Author Info', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide the author info.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1'
);
$this->wst_settings['show_auth_posts'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Show Author Posts', 'qonspt' ),
    'desc'    => esc_html__( 'Show / Hide the author Posts.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1'
);
$this->wst_settings['auth_posts_style'] = array(
    'title'   => esc_html__( 'Author Posts Listing Style', 'qonspt' ),
    'desc'    => esc_html__( 'Select Author Posts listing style.', 'qonspt' ),
    'std'     => 'large',
    'type'    => 'select',
    'section' => 'wst_blogoptions',
    'class'   => 'select_boxes',
    'choices' => array(
        'lg-image'      => esc_html__('Large Image','qonspt'),
        'small-image'   => esc_html__('Small Image','qonspt'),
        'masonry'       => esc_html__('Masonry','qonspt'),
        'grid'          => esc_html__('Grid','qonspt')
    ),
    'dependency' => array(
        'element' => 'show_auth_posts',
        'not_empty' => true
    ),
);
$this->wst_settings['auth_content_before'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Content Before', 'qonspt' ),
    'desc'    => esc_html__( 'Add Text or HTML at the top of auther page.', 'qonspt' ),
    'multilang' => true,
    'type'    => 'editor',
    'dependency' => array(
        'element' => 'show_auth_posts',
        'not_empty' => true
    ),
);
$this->wst_settings['auth_content_after'] = array(
    'section' => 'wst_blogoptions',
    'title'   => esc_html__( 'Content After', 'qonspt' ),
    'desc'    => esc_html__( 'Add Text or HTML at the end of auther page.', 'qonspt' ),
    'multilang' => true,
    'type'    => 'editor',
    'dependency' => array(
        'element' => 'show_auth_posts',
        'not_empty' => true
    ),
);

/* SideBars.
============================================*/
$this->wst_settings['sidebars-options'] = array(
    'section' => 'wst_sidebars',
    'desc'    => esc_html__('Add Sidebar','qonspt'),
    'type'    => 'heading',
    'data_id' => 'sidebars-acc'
);
$this->wst_settings['sidebars'] = array(
    'section' => 'wst_sidebars',
    'title'   => esc_html__( 'sidebars', 'qonspt' ),
    'desc'    => esc_html__( 'Add unlimited sidebars the go to Widgets to add widgets for it.', 'qonspt' ),
    'class'   => 'bars',
    'type'    => 'addbox',
    'std'     => '0'
);

$cbars = isset($options['sidebars']) ? $options['sidebars'] : 0;        
for( $i = 0 ; $i <= $cbars ; $i++ ) {
    $this->wst_settings['sidebar_'.$i] = array(
        'title'   => esc_html__( 'Sidebar Name ', 'qonspt' ),
        'std'     => esc_html__('Sidebar Name','qonspt'),
        'type'    => 'text',
        'parent'  => 'sidebars',
        'class'   => 'indval',    
        'section' => 'wst_sidebars'
    );
}
$this->wst_settings['sidebars-heading'] = array(
    'section' => 'wst_sidebars',
    'desc'    => esc_html__( 'Sidebars', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'sidebars-styling-acc'
);
$this->wst_settings['page_sidebar'] = array(
    'title'   => esc_html__( 'Page Sidebar', 'qonspt' ),
    'desc'    => esc_html__( 'Full width or with sidebar ?', 'qonspt' ),
    'std'     => 'right',
    'type'    => 'radioimages',
    'section' => 'wst_sidebars',
    'choices' => array(
        'right' => esc_html__('Right SideBar','qonspt').'|'.get_template_directory_uri() .'/includes/assets/images/right_bar.png',
        'left'  => esc_html__('Left SideBar','qonspt').'|'.get_template_directory_uri() .'/includes/assets/images/left_bar.png',
        'nobar' => esc_html__('No SideBars','qonspt').'|'.get_template_directory_uri() .'/includes/assets/images/no_bar.png',
    ),
    'std' => 'nobar'
);

/* Demo Data
===========================================*/
$this->wst_settings['data-heading'] = array(
    'section' => 'wst_demo',
    'desc'    => esc_html__( 'Import Demo Content', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'data-acc'
);
if ( class_exists( 'qonspt_Core' ) ) {
    $this->wst_settings['import_data'] = array(
        'title'   => esc_html__( 'Install Demo Data', 'qonspt' ),
        'type'    => 'import_data',
        'section' => 'wst_demo'
    );
    $this->wst_settings['demo_desc'] = array(
        'section' => 'wst_demo',
        'desc'    => '<p>'.esc_html__('This will import all pages, posts, menus, images, videos and theme options like our demo site.','qonspt').'</p><p><b class="underline">'.esc_html__('The Importer Needs Some Server Configuration to work properly:','qonspt').'</b></p><ul><li>- <b>'.esc_html__('PHP','qonspt').'</b> '.esc_html__('version to be','qonspt').'<b>5.6.3</b> '.esc_html__('or Higher','qonspt').'.</li><li>- <b>memory_limit 128M</b> '.esc_html__('or Higher','qonspt').'</li><li>- <b>max_execution_time 180</b> '.esc_html__('or Higher','qonspt').'</li><li>- <b>post_max_size 32M</b> '.esc_html__('or Higher','qonspt').'</li><li>- <b>upload_max_filesize 32M</b> '.esc_html__('or Higher','qonspt').'</li></ul><br>
                    <strong>'.esc_html__('Please make sure to disable the WordPress Importer Plugin before importing the demo data','qonspt').'.</strong>',
        'type'    => 'label',
        'class'   => 'wst_notice_msg info'
    );
}

/* Social icons.
============================================*/     
$this->wst_settings['socials-heading'] = array(
    'section' => 'wst_socialicons',
    'desc'    => esc_html__( 'Add Social Icons', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'socials-acc'
);
$this->wst_settings['social_icons'] = array(
    'section' => 'wst_socialicons',
    'title'   => esc_html__( 'Social Icon', 'qonspt' ),
    'desc'    => esc_html__( 'Add unlimited social icons.', 'qonspt' ),
    'type'    => 'addbox',
    'class'   => 'socials',
    'std'     => '0'
);
$csocials = isset($options['social_icons']) ? $options['social_icons'] : 0;
for( $i = 0 ; $i <= $csocials ; $i++ ) {
    $this->wst_settings['social_icon_'.$i] = array(
        'title'   => esc_html__( 'Icon', 'qonspt' ),
        'type'    => 'icon',
        'multilang' => true, 
        'parent'    => 'social_icons',
        'section' => 'wst_socialicons'
    );
    $this->wst_settings['social_icon_title_'.$i] = array(
        'title'   => esc_html__( 'Title ', 'qonspt' ),
        'class'   => 'indval',
        'type'    => 'text',
        'parent'    => 'social_icons',
        'section' => 'wst_socialicons'
    );
    $this->wst_settings['social_icon_link_'.$i] = array(
        'title'   => esc_html__( 'Link ', 'qonspt' ),
        'type'    => 'text',
        'parent'    => 'social_icons',
        'section' => 'wst_socialicons'
    );
}
$this->wst_settings['socs-set-heading'] = array(
    'section' => 'wst_socialicons',
    'desc'    => esc_html__( 'Styling', 'qonspt' ),
    'type'    => 'heading',
    'data_id' => 'soc-sets-acc'
);
$this->wst_settings['socials_nofollow'] = array(
    'section' => 'wst_socialicons',
    'title'   => esc_html__( 'Add "nofollow"', 'qonspt' ),
    'desc'    => esc_html__( '"ON" to add "nofollow" attribute to all social links.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => ''
);
$this->wst_settings['socials_new_window'] = array(
    'section' => 'wst_socialicons',
    'title'   => esc_html__( 'Open in a New Window', 'qonspt' ),
    'desc'    => esc_html__( '"ON" to allow social icons to open in a new window.', 'qonspt' ),
    'type'    => 'checkbox',
    'std'     => '1'
);

/* woocommerce
===========================================*/
if(class_exists('Woocommerce')) {
    $this->wst_settings['shop_heading'] = array(
        'section' => 'wst_woocommerce',
        'desc'    => esc_html__( 'Products Listing', 'qonspt' ),
        'type'    => 'heading',
        'data_id' => 'shop-acc'
    );
    $this->wst_settings['show_sidebar_woo'] = array(
        'section' => 'wst_woocommerce',
        'title'   => esc_html__( 'Show Side Bar', 'qonspt' ),
        'type'    => 'checkbox',
        'desc'    => esc_html__( 'Show / Hide sidebar in shop page.', 'qonspt' )
    );
    
    $this->wst_settings['sidebar_woo'] = array(
        'title'   => esc_html__( 'Select Side Bar', 'qonspt' ),
        'desc'    => esc_html__( 'Select the side bar for shop pages.', 'qonspt' ),
        'type'    => 'select',
        'section' => 'wst_woocommerce',
        'choices' => wst_sidebars_arr(),
        'dependency' => array(
            'element' => 'show_sidebar_woo',
            'not_empty' => true
        ),
    );
    $this->wst_settings['sidebar_position_woo'] = array(
        'title'   => esc_html__( 'Sidebar Position', 'qonspt' ),
        'desc'    => esc_html__( 'Select the position of the sidebar.', 'qonspt' ),
        'std'     => 'right',
        'type'    => 'select',
        'section' => 'wst_woocommerce',
        'class'   => 'select_boxes',
        'choices' => array(
            'right' => esc_html__('Right','qonspt'),
            'left'  => esc_html__('Left','qonspt')
        ),
        'dependency' => array(
            'element' => 'show_sidebar_woo',
            'not_empty' => true
        ),
    );
    $this->wst_settings['columns_woo'] = array(
        'title'   => esc_html__( 'Products Columns', 'qonspt' ),
        'desc'    => esc_html__( 'Number of columns per row.', 'qonspt' ),
        'std'     => '4',
        'type'    => 'select',
        'section' => 'wst_woocommerce',
        'class'   => 'select_boxes',
        'choices' => array(
            '6' => esc_html__('2 Columns','qonspt'),
            '4' => esc_html__('3 Columns','qonspt'),
            '3' => esc_html__('4 Columns','qonspt')
        )
    );
    
    $this->wst_settings['product_single_heading'] = array(
        'section' => 'wst_woocommerce',
        'desc'    => esc_html__( 'Single Product', 'qonspt' ),
        'type'    => 'heading',
        'data_id' => 'shop-single-acc'
    );
    
    $this->wst_settings['show_sidebar_single_woo'] = array(
        'section' => 'wst_woocommerce',
        'title'   => esc_html__( 'Show Side Bar ?', 'qonspt' ),
        'type'    => 'checkbox',
        'desc'    => esc_html__( 'Show / Hide sidebar in single product page.', 'qonspt' )
    );
    $this->wst_settings['single_sidebar_position_woo'] = array(
        'title'   => esc_html__( 'Sidebar Position', 'qonspt' ),
        'desc'    => esc_html__( 'Select the position of the sidebar.', 'qonspt' ),
        'std'     => 'right',
        'type'    => 'select',
        'section' => 'wst_woocommerce',
        'class'   => 'select_boxes',
        'choices' => array(
            'right' => esc_html__('Right','qonspt'),
            'left'  => esc_html__('Left','qonspt')
        ),
        'dependency' => array(
            'element' => 'show_sidebar_single_woo',
            'not_empty' => true
        ),
    );
    
    $this->wst_settings['related_heading'] = array(
        'section' => 'wst_woocommerce',
        'desc'    => esc_html__( 'Related Products', 'qonspt' ),
        'type'    => 'heading',
        'data_id' => 'shop-related-acc'
    );
    $this->wst_settings['related_per_page'] = array(
        'title'   => esc_html__( 'Related Products Per Page', 'qonspt' ),
        'std'     => '4',
        'type'    => 'number',
        'min'     => '1',
        'max'     => '50',
        'section' => 'wst_woocommerce',
        'dependency' => array(
            'element' => 'show_related_woo',
            'not_empty' => true
        ),
    );
    $this->wst_settings['related_columns_woo'] = array(
        'title'   => esc_html__( 'Related Products Columns', 'qonspt' ),
        'std'     => '4',
        'type'    => 'select',
        'section' => 'wst_woocommerce',
        'class'   => 'select_boxes',
        'choices' => array(
            '6' => esc_html__('2 Columns','qonspt'),
            '4' => esc_html__('3 Columns','qonspt'),
            '3' => esc_html__('4 Columns','qonspt')
        ),
        'dependency' => array(
            'element' => 'show_related_woo',
            'not_empty' => true
        ),
    );
}

/* bbpress
===========================================*/
if(class_exists('bbPress')) {
    $this->wst_settings['show_welcome_bb'] = array(
        'section' => 'wst_bbpress',
        'title'   => esc_html__( 'Show Welcome message', 'qonspt' ),
        'type'    => 'checkbox',
        'std'     => '1',
        'desc'    => esc_html__( 'Show / Hide welcome message.', 'qonspt' )
    );
    $this->wst_settings['welcome_bb'] = array(
        'section' => 'wst_bbpress',
        'title'   => esc_html__( 'Welcome Message', 'qonspt' ),
        'desc'    => esc_html__( 'Insert here the welcome message that will appear in the top of the forums.', 'qonspt' ),
        'multilang' => true,
        'type'    => 'editor',
        'std'     => 'Welcome to our Forums! We love to have you part of our friendly community, discovering the best in everything. As a member, the system will remember where you left off in threads and with sufficient post count.',
        'dependency' => array(
            'element' => 'show_welcome_bb',
            'not_empty' => true
        ),
    );
}

return $this->wst_settings;