<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

get_header(); 

$blogstyle  = wst_theme_option('blogstyle'); 
$meta_lay   = get_post_meta(wst_page_id(),'meta_page_layout',true);
$lay        = ($meta_lay != '') ? $meta_lay : wst_theme_option('blog_sidebar');
$row_class  = 'row flxrow';
$row_class .= ( $lay == "left" ) ? ' rit-cell' : '';
$row_class .= ( $lay == "right" ) ? ' lft-cell' : '';
$class      = 'blog-posts '.$blogstyle;

wst_title_style(); ?>

<div class="container">

    <div class="<?php echo esc_attr( $row_class ); ?>"> 

        <div class="wst-main-content wst-content-column">

            <?php 
            
            if ( have_posts() ) { ?>
                
                <div id="wst_blog_content" class="<?php echo esc_attr( $class ) ?>">
                    <?php get_template_part( 'layout/blog/listing' ) ?> 
                </div>
                
            <?php } else {
                
                get_template_part( 'layout/blog/content-none' );
                
            }
            
            wst_paging_nav(); ?>
            
        </div>
        
        <?php if ( $lay == 'left' || $lay == 'right' ) { get_sidebar(); } ?>
        
    </div>
    
</div>

<?php get_footer();