<?php
/* Footer Style */

if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

$wst_footer_css        = get_post_meta(wst_page_id(),'meta_foot_extra_class',true);
$wst_langcode = '';
if ( class_exists( 'SitePress' ) ) {
    $wst_langcode = '-'.ICL_LANGUAGE_CODE;
} else if( class_exists( 'Polylang' ) ){
    $wst_langcode = '-'. pll_current_language();
}
$wst_meta_fixed        = get_post_meta(wst_page_id(),'meta_foot_fixed',true);
$wst_fixed             = wst_theme_option('footer_fixed');
$wst_fix               = ( $wst_meta_fixed == '' ) ? $wst_fixed : $wst_meta_fixed;
$wst_width             = wst_theme_option('footer_width');
$bot_widgets           = ( get_post_meta(wst_page_id(),'meta_foot_bot_widgets',true) == '' ) ? wst_theme_option('footer_bot_sidebar'.$wst_langcode) : get_post_meta(wst_page_id(),'meta_foot_bot_widgets',true);
$mid_widgets           = ( get_post_meta(wst_page_id(),'meta_foot_mid_widgets',true) == '' ) ? wst_theme_option('footer_mid_sidebar'.$wst_langcode) : get_post_meta(wst_page_id(),'meta_foot_mid_widgets',true);
$show_top_foot         = ( get_post_meta(wst_page_id(),'meta_hide_top_foot',true) == '' )       ? wst_theme_option('foot_top_show')     : get_post_meta(wst_page_id(),'meta_hide_top_foot',true);
$show_mid_foot         = ( get_post_meta(wst_page_id(),'meta_hide_foot_widgets',true) == '' )   ? wst_theme_option('foot_mid_show')     : get_post_meta(wst_page_id(),'meta_hide_foot_widgets',true);
$show_bot_foot         = ( get_post_meta(wst_page_id(),'meta_hide_bottom_foot_bar',true) == '' )? wst_theme_option('foot_bottom_show')  : get_post_meta(wst_page_id(),'meta_hide_bottom_foot_bar',true);
$wst_copy              = wst_theme_option('foot_copyrights'.$wst_langcode);
$wst_nl1               = wst_theme_option('foot_nl1'.$wst_langcode);
$wst_foot_btn          = wst_theme_option('foot_btn_text'.$wst_langcode);
$wst_foot_btn_link     = wst_theme_option('foot_btn_link');
$wst_btn_targ          = wst_theme_option('foot_btn_link_target');
$foot_mid_cols         = wst_theme_option('foot_mid_widg_cols');
$foot_bot_cols         = wst_theme_option('foot_bot_widg_cols');
$wst_botcols           = 'row row-eq-height columns-'.$foot_bot_cols;
$wst_midcols           = 'row row-eq-height columns-'.$foot_mid_cols;

$wst_class             = 'wst-footer footer-1';
$wst_class            .= ( $wst_fix == '1' )        ? ' fixed-footer'       : '';
$wst_class            .= ( $wst_footer_css != '' )  ? ' '.$wst_footer_css   : "";
$wst_class            .= ( $wst_width == 'wide' )   ? ' full_footer'        : "";
$wst_class            .= ( $show_top_foot == "1" )  ? ' has-top-area'       : '';

$wst_svgid      = 'foot_grad';
$foot_type      = ( get_post_meta(wst_page_id(), 'meta_foot_bg_type',true) == '' )  ? wst_theme_option('footer_bg_type')  : get_post_meta(wst_page_id() , 'meta_foot_bg_type',true);
$foot_grad      = ( get_post_meta(wst_page_id(), 'meta_foot_bg_grad',true) == '' )  ? wst_theme_option('footer_bg_grad')  : get_post_meta(wst_page_id() , 'meta_foot_bg_grad',true);
if( get_post_meta(wst_page_id(), 'meta_foot_bg_type',true) == '' && wst_theme_option('footer_bg_type') == 'gradient' ){
    $foot_grad = wst_theme_option('footer_bg_grad');    
}
$wst_on         = strstr($foot_grad, '#');
$wst_fist_hx    = substr($wst_on, 0, 7);
$wst_str2       = substr($wst_on, 7);
$wst_needle     = strstr($wst_str2, '#'); 
$wst_sec_hx     = substr($wst_needle, 0, 7);
 
?>
<footer class="<?php echo esc_attr( $wst_class ); ?>">
    
    <?php if ( $foot_type == 'gradient' ) { ?>
    
        <svg version="1.1" data-id="<?php echo esc_attr( $wst_svgid ); ?>" class="slurve-definitions" xmlns="http://www.w3.org/2000/svg">
            <defs>
                <linearGradient id="<?php echo esc_attr( $wst_svgid ); ?>" gradientTransform="rotate(0)">
                    <stop offset="0%" stop-color="<?php echo esc_attr( $wst_fist_hx ); ?>" />
                    <stop offset="100%" stop-color="<?php echo esc_attr( $wst_sec_hx ); ?>" />
                </linearGradient>
            </defs>
        </svg>
    
    <?php } ?>
       
    <?php if ( $show_top_foot == '1' ) { ?>
        <div class="foot-top">
            <div class="container slurve" data-slurve="0,0,10 0,0,10 0,0,10 0,80,10">
                <div class="slurve dashed-border" data-slurve="0,0,10 0,0,10 0,0,10 0,85,10"></div>
                <div class="row row-eq-height center_vert">
                    <div class="col-md-6 top-foot-nl-txt">
                        <div class="nl-left-txt">
                            <?php if ( $wst_nl1 != "" ) { ?><?php echo do_shortcode( $wst_nl1 ); ?><?php } ?>
                        </div>
                    </div>
                    <div class="col-md-6 text-right top-foot-nl-form">
                        
                        <a class="btn main-bg rounded big_shadow" href="<?php echo esc_url($wst_foot_btn_link); ?>"<?php if($wst_btn_targ == 1){?> target="_blank"<?php } ?>>
                            <span><?php echo esc_html( $wst_foot_btn ); ?></span>
                        </a>
                        
                    </div>
                </div>                
            </div>        
        </div>
    <?php } ?>
    
    <div class="footer_bg">
        <div class="slurve foot-slrv" data-slurve="0,60 -100,-150,50 0,0 0,0"></div>
        <?php if ( $show_mid_foot == '1' && is_active_sidebar($mid_widgets) ) { ?>
            <div class="footer-middle">
                <div class="container">
                    <div class="<?php echo esc_attr( $wst_midcols ); ?>">
                        <?php dynamic_sidebar($mid_widgets); ?>
                    </div>
                </div>    
            </div>
        <?php } ?>
        
        <?php if ( $show_bot_foot == '1' ) { ?>
            <div class="footer-bottom">
                <div class="container">
                    <div class="<?php echo esc_attr( $wst_botcols ); ?>">
                        
                        <?php if ( $wst_copy != "" ) { ?>
                            <div class="copyrights text-center">
                                <?php echo wp_kses( $wst_copy, wst_allowed_tags() ); ?>
                            </div>
                        <?php } ?>
                            
                        <?php if(is_active_sidebar($bot_widgets)){ ?>
                            <?php dynamic_sidebar($bot_widgets); ?>
                        <?php } ?>
                        
                    </div>
                </div>
            </div>
            
        <?php } ?>
    </div>
    
</footer>