<?php 
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

$class              = 'top-bar';
$meta_bar_color     = esc_html(get_post_meta(wst_page_id(),'meta_topbar_color',true));
$meta_border        = esc_html(get_post_meta(wst_page_id(),'meta_bar_border',true));
$meta_full          = esc_html(get_post_meta(wst_page_id(),'meta_bar_full',true));
$meta_tb_exclass    = esc_html(get_post_meta(wst_page_id(),'meta_bar_extra_class',true));
$top_color          = wst_theme_option("topbar_color");
$top_full           = wst_theme_option("bar_full");
$t_border           = wst_theme_option('topbar_border');
$lbar               = wst_theme_option('top_left_mod');
$rbar               = wst_theme_option('top_right_mod');

$class .= ($meta_bar_color != '') ? ' '.$meta_bar_color : ' '.$top_color;    
$class .= ($meta_tb_exclass != '') ? ' '.$meta_tb_exclass : "";

if( $meta_border != '' && $meta_border == '1' ){
    $class .= ' bord';
} else if($meta_border == '' && $t_border == '1'){
    $class .= ' bord';
}
if($meta_full != '' && $meta_full == '1'){
    $class .= ' full-bar';
}else if ($meta_full == '' && $top_full == '1'){
    $class .= ' full-bar';
}

?>
<div class="<?php echo esc_attr($class); ?>">
    <div class="container">
        <div class="row">
        <?php if ($lbar !== 0) { ?>
             <div class="pull-left">   
                <?php for ( $i = 1; $i <= $lbar ; $i++ ) {  
                    $mod = wst_theme_option('top_bar_left_'.$i); 
                    top_bar_mods($mod,$i,'left');    
                } ?>
             </div>   
        <?php } ?>  

        <?php if ($rbar !== 0) { ?>
            <div class="pull-right">
                <?php for ( $i = 1; $i <= $rbar ; $i++ ) {   
                    $mod = wst_theme_option('top_bar_right_'.$i);
                    top_bar_mods($mod,$i,'right');    
                } ?>
            </div>
        <?php } ?>
        </div>
    </div>
</div>

<?php
  
function top_bar_mods($module,$num,$bar){
    global $user_ID;
    $wst_custom_menu = new wst_custom_menu();
    $langcode = '';
    if ( class_exists( 'SitePress' ) ) {
        $langcode = '-'.ICL_LANGUAGE_CODE;
    } else if( class_exists( 'Polylang' ) ){
        $langcode = '-'. pll_current_language();
    }
        
    $b_menu = wst_theme_option("top_".$bar."_menu_".$num);
    $b_menu_css = wst_theme_option("top_".$bar."_menu_css_".$num);
    $b_menu_hide = wst_theme_option("top_".$bar."_menu_hide_".$num);
    
    $b_text = wst_theme_option("top_".$bar."_text_".$num.$langcode);
    $b_text_icon = wst_theme_option("top_".$bar."_text_icon_".$num);
    $b_text_css = wst_theme_option("top_".$bar."_text_css_".$num);
    $b_text_hide = wst_theme_option("top_".$bar."_text_hide_".$num);
    
    $b_link_txt = wst_theme_option("top_".$bar."_link_text_".$num.$langcode);
    $b_link_icon = wst_theme_option("top_".$bar."_link_icon_".$num);
    $b_link_url = wst_theme_option("top_".$bar."_link_url_".$num.$langcode);
    $b_link_target = wst_theme_option("top_".$bar."_link_target_".$num);
    $b_link_css = wst_theme_option("top_".$bar."_link_css_".$num);
    $b_link_hide = wst_theme_option("top_".$bar."_link_hide_".$num);
    
    $b_search_css = wst_theme_option("top_".$bar."_search_css_".$num);
    $b_search_hide = wst_theme_option("top_".$bar."_search_hide_".$num);
    
    $b_socials_txt = wst_theme_option("top_".$bar."_socials_txt_".$num.$langcode);
    $b_socials_css = wst_theme_option("top_".$bar."_socials_css_".$num);
    $b_socials_hide = wst_theme_option("top_".$bar."_socials_hide_".$num);
    
    $b_login_css = wst_theme_option("top_".$bar."_login_css_".$num);
    
    $b_wpml_css = wst_theme_option("top_".$bar."_wpml_css_".$num);
    $b_wpml_hide = wst_theme_option("top_".$bar."_wpml_hide_".$num);
    
    $b_woocart_css = wst_theme_option("top_".$bar."_woocart_css_".$num);
    $b_woocart_hide = wst_theme_option("top_".$bar."_woocart_hide_".$num);
        
    $b_soc_txt = wst_theme_option("socials_".$bar."_txt_".$num.$langcode);      
      
    switch($module){
                
        case 'menu':
            if ( !is_user_logged_in() || ( is_user_logged_in() && $b_menu_hide != 1) ) { ?>
                <div class="top-bar-menu topbar-box <?php echo esc_attr($b_menu_css) ?>">
                    <?php if($b_menu != ''){
                        if (has_nav_menu($b_menu)) {
                            $wst_custom_menu->wst_nav_menu( array( 'theme_location' => $b_menu) );
                        }
                    }else{
                        echo '<span class="menu-message">' . esc_html__('No menu selected! Please select menu first.', 'qonspt').'</span>';
                    } ?>
                </div>
            <?php }
        break;
        
        case 'text':
            if ( !is_user_logged_in() || ( is_user_logged_in() && $b_text_hide != 1) ) { ?>     
                <div class="top-bar-txt topbar-box <?php echo esc_attr($b_text_css) ?>">
                    <i class="main-color <?php echo esc_attr($b_text_icon) ?>"></i><?php echo wp_kses($b_text,wst_allowed_tags()); ?>
                </div>
            <?php }
        break;
            
        case 'link':
            if ( !is_user_logged_in() || ( is_user_logged_in() && $b_link_hide != 1) ) { ?>
                <div class="top-bar-txt topbar-box <?php echo esc_attr($b_link_css) ?>">
                    <a href="<?php echo esc_url($b_link_url); ?>" target="<?php echo esc_attr($b_link_target); ?>"><i class="main-color <?php echo esc_attr($b_link_icon) ?>"></i><?php echo wp_kses($b_link_txt,wst_allowed_tags()); ?></a>
                </div>
            <?php }
        break;
            
        case 'search':
            if ( !is_user_logged_in() || ( is_user_logged_in() && $b_search_hide != 1) ) { ?>
                <div class="topbar-box top-bar-search <?php echo esc_attr($b_search_css) ?>">
                    <?php get_search_form(); ?>
                </div>
            <?php } 
        break;
        
        case 'socials':
            if ( !is_user_logged_in() || ( is_user_logged_in() && $b_socials_hide != 1) ) { ?>
                <div class="top-socials topbar-box <?php echo esc_attr($b_socials_css) ?>">
                    <?php if($b_socials_txt){ ?><div class="lbl-txt"><?php echo wp_kses($b_socials_txt,wst_allowed_tags()); ?></div><?php } ?><div class="pull-right"><?php echo wst_display_social_icons(); ?></div>
                </div>
            <?php }
        break;
                        
        case 'login':
            ?>
            <ul class="top-info topbar-box <?php echo esc_attr($b_login_css) ?>">
                <?php if ( $user_ID ) { ?>
                    <?php global $user_identity; ?>
                    <li class="welcome-user"><i class="fa fa-user main-color rit_ic"></i><?php echo esc_html__('Welcome', 'qonspt') ?>&nbsp;&nbsp;<b class="main-color">[</b> <?php echo wst_get_user_name(); ?> <b class="main-color">]</b>&nbsp;&nbsp; - <a class="main-color bold logout_btn" href="<?php echo esc_url(wp_logout_url()); ?>" title="<?php echo esc_attr__('Log out from this account', 'qonspt') ?>"><i class="fa fa-power-off main-color rit_ic"></i><?php echo esc_html__('Log Out', 'qonspt') ?></a></li>
                <?php } else { ?>
                    <li>
                        <?php echo esc_html__('Are You A Member ? ', 'qonspt') ?>
                        <?php if (get_option('users_can_register')) { ?><a class="bold logout_btn" href="<?php echo esc_url(get_option('siteurl')); ?>/wp-login.php?action=register">
                        <b class="main-color">[&nbsp;&nbsp;</b><?php esc_html_e('Register', 'qonspt') ?><b class="main-color">&nbsp;&nbsp;]</b>
                        </a> <?php } ?>
                        
                        <div class="inline login_wrap">
                            <a class="bold main-color wst_open_login" href="#">
                                &nbsp;&nbsp;<b class="main-color">[ &nbsp;<i class="fa fa-unlock-alt main-color rit_ic"></i></b><?php echo esc_html__('Login', 'qonspt') ?><b class="main-color">&nbsp;&nbsp;]</b>
                            </a>
                            <div class="login-popup">
                                <h5 class="main-color"><?php echo esc_html__( 'Login to site','qonspt' ); ?></h5>
                                <?php wst_login_form(); ?>
                            </div>
                        </div>
                    </li>
                <?php } ?>
            </ul>
            <?php
        break;
            
        case 'wpml':
            if ( !is_user_logged_in() || ( is_user_logged_in() && $b_wpml_hide != 1) ) { ?>
                <div class="topbar-box <?php echo esc_attr($b_wpml_css) ?>">
                    <?php if(wst_wpml_activated()){
                        wst_language_selector_flags();
                    }else{
                        echo '<span class="menu-message">'. esc_html__('Please Install and Activate WPML Plugin', 'qonspt'). '</span>';
                    } ?>
                </div>
            <?php }
        break;
        
        case 'woocart':
            if ( !is_user_logged_in() || ( is_user_logged_in() && $b_woocart_hide != 1) ) {
                if ( class_exists( 'woocommerce' ) ){ ?>
                    <div class="topbar-box top-cart cart-btn <?php echo esc_attr($b_woocart_css) ?>"><?php echo wst_woo_cart(); ?></div>
                <?php } else { ?>
                    <div class="topbar-box menu-message"><?php echo esc_html__('Please Install and Activate Woocommerce Plugin.', 'qonspt'); ?></div>
                <?php    
                }
            } 
        break; 
    }   
}
