<?php
if ( ! defined( 'ABSPATH' ) ) exit( 'Access Denied.' );

get_header();

$meta_lay   = get_post_meta(wst_page_id(),'meta_page_layout',true);
$lay        = ($meta_lay != '')     ? $meta_lay : wst_theme_option('page_sidebar');
$cell       = 'row flxrow';
$cell      .= ( $lay == "left" )    ? ' rit-cell' : '';
$cell      .= ( $lay == "right" )   ? ' lft-cell' : '';

// page title function.
wst_title_style(); 

if ( $lay == "full_width" || $lay == "nobar" ) { ?>
    
    <div class="wst-main-content container">
        <?php 
        while ( have_posts() ) { 
            the_post(); 
            the_content();
            wp_link_pages( array(
                'before' => '<div class="clearfix"></div><div class="sub-pager">' . esc_html__( 'Pages:', 'qonspt' ),
                'after'  => '</div>',
            ) );
        }
        if ( '1' != wst_theme_option( 'page_comments' )  && ( comments_open() || '0' != get_comments_number() ) ) {
            comments_template();
        } 
        ?>
    </div>
    
<?php } else if ( $lay == "wide" || $lay == "full" ) { ?>

    <?php 
    while ( have_posts() ) { 
        the_post(); 
        the_content();
        wp_link_pages( array(
            'before' => '<div class="clearfix"></div><div class="sub-pager">' . esc_html__( 'Pages:', 'qonspt' ),
            'after'  => '</div>',
        ) );
    } 
    if ( '1' != wst_theme_option( 'page_comments' )  && ( comments_open() || '0' != get_comments_number() ) ) {
        comments_template( '', true );
    }
    ?>
       
<?php } else { ?>
    
    <div class="container">
        <div class="<?php echo esc_attr($cell) ?>">
            <div class="wst-main-content wst-content-column">
                <?php 
                while ( have_posts() ) { 
                    the_post(); 
                    the_content();
                    wp_link_pages( array(
                        'before' => '<div class="clearfix"></div><div class="sub-pager">' . esc_html__( 'Pages:', 'qonspt' ),
                        'after'  => '</div>',
                    ) );
                }
                if ( '1' != wst_theme_option( 'page_comments' )  && ( comments_open() || '0' != get_comments_number() ) ) {
                    comments_template();
                } 
                ?>  
            </div>
            <?php if ( $lay == 'left' || $lay == 'right' ) { get_sidebar(); } ?>
        </div>
    </div>
    
<?php }

get_footer();