<?php
/**
 * Displayed when no products are found matching the current query
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/no-products-found.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>
<div class="wst-no-products">
    <div class="not-found-icon main-color"><i class="stline-shopping-bag-barcode"></i></div>
    <div class="not-found-info">
        <h3><?php echo esc_html__( 'No products matching your selection.', 'qonspt' ); ?></h3>
        <p><?php echo esc_html__( 'You Can Try Searching again Or Even return back to Home Page with the button below.', 'qonspt' ); ?></p>
    </div>
</div>
<div class="tbl m-auto">
    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn btn-md btn-hover-shad rounded main-bg">
        <span><?php echo esc_html__('Go To Home Page','qonspt') ?></span>
    </a>
</div>

